KStars Revision History

To produce log below, use:

$ git log --date=short --pretty=format:"%h %ad %<(20)%an %<(150,trunc)%s"

3.1.0 (Timmy):

5af4cbdc7 2019-02-26 Jasem Mutlaq         Changes for KStars 3.1.0
34a6e0c2f 2019-02-26 Jasem Mutlaq         Sync INDI drivers
0b0f99334 2019-02-25 Jasem Mutlaq         More parked state more prominent for end users
d8fdb74d1 2019-02-24 Jasem Mutlaq         Go back to single threaded runningAverageStdDev since the multithreaded version is causing crashes
57337d2dc 2019-02-24 Jasem Mutlaq         Reset activeBin to 1 if there is no binning support
bc5788d16 2019-02-21 Yuri Chornoivan      Add Doxygen comment
b9a3343ff 2019-02-21 Jasem Mutlaq         No need to explicitly toggle all member of an exclusive button group
fbf0bee79 2019-02-21 Jasem Mutlaq         One architecture detection function is enough
62bd608f4 2019-02-21 Jasem Mutlaq         Add a couple of function to limit the software in case of ARM architecture
0f1351510 2019-02-20 Yuri Chornoivan      Remove extra spaces to not interfere with Doxygen comments
b0210f23f 2019-02-19 Yuri Chornoivan      Fix minor Doxygen issues
68e7afd64 2019-02-19 Jasem Mutlaq         Fix cases for .fits.fz formats
c842797ad 2019-02-19 Jasem Mutlaq         Remove temporary compressed .fz files
30278ca0d 2019-02-19 Jasem Mutlaq         Try to use QtConcurrent for running average stddev calculations
f6d810c83 2019-02-18 Jasem Mutlaq         Append format to the temporary file
8e2476dcc 2019-02-18 Jasem Mutlaq         When there is binning change, always FORCE setting of frame values even if they did not change
dc4a8f726 2019-02-16 Volker Krause        Fix build on binary factory
1fd7cc9db 2019-02-14 Jasem Mutlaq         Indenepdent windows has other issues should be used for advanced users
706896304 2019-02-14 Jasem Mutlaq         Make independent window stay on top
509a16b20 2019-02-14 Jasem Mutlaq         Fix Ekos widget not showing up issue after close. Make both INDI and Ekos windows independent by default
db96ecab7 2019-02-14 Jasem Mutlaq         If preview RAW then process it. Qt can open CR2 though
d92170292 2019-02-12 Jasem Mutlaq         Only convert RAW to JPG if DSLR image viewer is enabled
075531728 2019-02-10 Jasem Mutlaq         Use better connection that does not produce runtime warnings
48ce18f1d 2019-02-09 Jasem Mutlaq         Make button icons more indicative of the action
025c4f3ca 2019-02-09 Jasem Mutlaq         Auto sync
e0a019f19 2019-02-08 Jasem Mutlaq         Use simple array instead of QVector
33d6af04d 2019-02-08 Jasem Mutlaq         Reimplement auto stretch buffer in rescale
ac4a672f6 2019-02-07 Jasem Mutlaq         No need to explicitly call save config since it is done by the driver already
c69966fd6 2019-02-05 Jasem Mutlaq         Watch for negative IDs and reset them to zero
b47a6fbba 2019-02-05 Jasem Mutlaq         Do not autostrech again
5e924826c 2019-02-04 Jasem Mutlaq         When target position exceeds limits, try to move it to the limit edge instead of immediately aborting
87f090d7d 2019-02-04 Jasem Mutlaq         Sync drivers
b26261685 2019-02-04 Jasem Mutlaq         If pixel is zero and model exists, update driver
fb43f5d99 2019-02-04 Jasem Mutlaq         0 to nullptr
ada401f72 2019-02-03 Robert Lancaster     Summary: Removing Environment Variable, Use qt.conf instead.Improving Mac Astrometry Logging.
1f12040f3 2019-02-02 Jasem Mutlaq         Fix override warnings
03d1d8813 2019-02-02 Jasem Mutlaq         Use better statiscal methods for average HFR
9e03ce150 2019-02-02 Jasem Mutlaq         Merge branch 'arcpatch-D18510'
aebcc6f7b 2019-02-02 Jasem Mutlaq         Do not reset current position to 50000 when using a relative focuser
8feee5e1f 2019-02-02 Jasem Mutlaq         Use steps instead of ticks
a7826e9b3 2019-02-02 Jasem Mutlaq         Rearrange the UI a bit. When full field is unchecked, the FITS View is alerted so that it reset the filter values
21bb7c775 2019-02-02 Eric Dejouhanet      Ring-field focusing feature.
ee73f81f8 2019-02-02 Sebastian Neubert    working prototype solution for manual slewing during polar alignment
824c2887f 2019-02-02 Wolfgang Reissenberger Meridian flips handled by Mount
c795b4bdf 2019-02-02 Jasem Mutlaq         Enclose MacOS functions with ifdefs
c1f3d114e 2019-02-02 Robert Lancaster     Summary: Environment variable and Index File Path Fixes for Macs
964879c51 2019-02-02 Jasem Mutlaq         Always reset zoom level dropdown to 1x when the window is displayed. Disable FPS target if the camera does not support it
f45514107 2019-02-01 Jasem Mutlaq         Add extra check for capture module
9f4a6ae5b 2019-01-29 Jasem Mutlaq         Apply Autostretch in dark library
83baf543a 2019-01-29 Jasem Mutlaq         Use a combo box instead of zoom buttons and set the values twice since GPhoto does not change the value at first go
a2b8cc30a 2019-01-29 Jasem Mutlaq         Use a more logical control for FPS in the video streaming window
32553c69f 2019-01-29 Yuri Chornoivan      Fix the unfinished statement
5e2445486 2019-01-29 Yuri Chornoivan      Fix minor typos
2db493f04 2019-01-28 Jasem Mutlaq         Update FITS Viewer information
a08d5be70 2019-01-28 Jasem Mutlaq         Update version
9a3b44ef7 2019-01-25 Jasem Mutlaq         Add DBus function to set GPS location
4384b31a2 2019-01-25 Jasem Mutlaq         Fix few warnings
cc9380aa4 2019-01-24 Jasem Mutlaq         Make MOC on older Qt happy
745695628 2019-01-23 Yuri Chornoivan      Really translate the notice
5ccec7d9f 2019-01-23 Yuri Chornoivan      Fix minor typos, enhance formatting
5175396b5 2019-01-23 Jasem Mutlaq         Style updates
3d541e3f9 2019-01-22 Yuri Chornoivan      Docs enhancements and updates
5b20b6eec 2019-01-22 Yuri Chornoivan      Docs enhancements and updates
90bd90b36 2019-01-22 Jasem Mutlaq         Expand spacer if there are no DSLR controls to show
65f81ac56 2019-01-22 Jasem Mutlaq         Fix few histogram issues with multi-channel images
fbfb77651 2019-01-22 Jasem Mutlaq         Include filename in the sequence job. Use async uploads instead of blocking. Use Filename to load and upload data to cloud instead of relying on FIT..
71304a16d 2019-01-22 Jasem Mutlaq         Initial work for supporting EOS zoom and zoom position control
640b3d245 2019-01-22 Jasem Mutlaq         Remove spammy log
ff4031a4b 2019-01-21 Yuri Chornoivan      Minor fixes and enhancements in docs
e78af3e3a 2019-01-20 Jasem Mutlaq         Add manufacturer support to custom drivers
71cb09830 2019-01-18 Jasem Mutlaq         Preliminary support for websocket to INDI::CCD on the client side
ff54baeef 2019-01-20 Yuri Chornoivan      Fix minor formatting glitches in docs
01d1de71a 2019-01-19 Jasem Mutlaq         Improving integration with EkosLive
11ef936e0 2019-01-19 Yuri Chornoivan      Fix my typos
6654dfe42 2019-01-19 Yuri Chornoivan      Fix minor glitches
2fb6d94b0 2019-01-17 Yuri Chornoivan      Add Ekos docs to KStars
d9c6e792f 2019-01-14 Jasem Mutlaq         Separate align and capture timeout timers
305f802a3 2019-01-10 Yuri Chornoivan      Fix minor typo
2ea477356 2019-01-09 Jasem Mutlaq         Add option for raising FITS viewer when an image is recieved
da0f8ebae 2019-01-09 Jasem Mutlaq         Raise FITS Viewer when receiving an image
9bb38b5ae 2019-01-07 Eric Dejouhanet      Fixed START_AT jobs disregarded while evaluating, and fixed the update of their score.
1f60a107c 2019-01-07 Wolfgang Reissenberger Meridian flip issued also when a target is slewed directly without using a schedule
7c6e9e03a 2019-01-05 Jasem Mutlaq         Record initialHA after slew is complete. Without this, a premature meridian flip can be issued when not required if the slew happens outside the Mou..
a9ef62dd3 2019-01-04 Jasem Mutlaq         Fix a possibly crash you on exit if one or more FITS Viewer windows remain open
b31dd1e18 2019-01-04 Jasem Mutlaq         Remove the FITS viewer based on index and now raw pointer value
8e9382342 2019-01-04 Jasem Mutlaq         Fix crash when using linguider
54c3c6203 2019-01-03 Jasem Mutlaq         Remove "libindi" prefix in header files
1cba6d72b 2019-01-03 Jasem Mutlaq         INDI Drivers sync script
6f6a09f02 2019-01-03 Jasem Mutlaq         Rework serial port assistant page navigation
90f15f04d 2019-01-03 Jasem Mutlaq         Ensure that autofocus is ready before asking filter manager to sync the focuser position for the filter
23700ffe1 2019-01-02 Jasem Mutlaq         Sync INDI drivers script
75693abb2 2019-01-02 Jasem Mutlaq         Remove device widget once udev rule is added and go back to home
2fd178f7e 2019-01-02 Jasem Mutlaq         Fix issue where correction pulses where sent in odd frames only
5dd3651d0 2019-01-02 Yuri Chornoivan      Last fixes to unbreak automatic PDF generation from Doxygen code
2bd1ad043 2018-12-29 Jasem Mutlaq         In Dark library, always consider DSLRs to be shutterless when taking dark frames
ab5d0f983 2018-12-29 Jasem Mutlaq         No need to check pointer, delete anyway
d0e9bc52d 2018-12-29 Wolfgang Reissenberger bug fix #400265: meridian flip check before capturing
c46bcafb7 2018-12-29 Jasem Mutlaq         Use QVariantMap instead of QJsonObject for the signal since the latter is not automatically serielized to QVariantMap when used with DBus
7a83c25e8 2018-12-29 Jasem Mutlaq         Register PierSide in DBus
b7c41c47c 2018-12-29 Jasem Mutlaq         Add tooltip to mount tab to clarify limits
14e944110 2018-12-29 Jasem Mutlaq         Reset shutter status in clear camera configuration
33c80eb3c 2018-12-27 Jasem Mutlaq         Show and then raise the custom properties dialog to make sure it is displayed properly
36a2e8845 2018-12-27 Laurent Montel       Use isEmpty()
0d37947b0 2018-12-27 Jasem Mutlaq         Save remote capture directory in options
c0e85b4d9 2018-12-27 Jasem Mutlaq         Bump to 3.1.0
791ad2985 2018-12-27 Jasem Mutlaq         Remove old TODOs
9e1fab025 2018-12-27 Jasem Mutlaq         Sync INDI drivers
4e3a15fd3 2018-12-26 Jasem Mutlaq         Save PAH mount speed index for future use
8ef969d35 2018-12-26 Laurent Montel       Add parent to buttondialogbox
f39cb09ff 2018-12-26 Laurent Montel       Fix mem leak
c45fbcbd8 2018-12-25 Jasem Mutlaq         Using rotation only instead of GOTO for PAH
e211076cb 2018-12-24 Jasem Mutlaq         Fix syncing of the combo boxes when switching between local and remote
418fd3ef3 2018-12-23 Jasem Mutlaq         Group mounts by manufacturer in the profile editor
edbd5496e 2018-12-23 Jasem Mutlaq         Add more checks to the serial port assistant
c70d2afdc 2018-12-21 Jasem Mutlaq         Add tooltip for mount model resetting
54f6c5567 2018-12-19 Jasem Mutlaq         Move all sleep checking function to shouldSchedulerSleep function
9f514ca35 2018-12-19 Eric Dejouhanet      Proper removal of existing jobs by the Mosaic Tool

3.0.0 (Algol):
369e30d4e 2018-12-19 Jasem Mutlaq         Improve the naming of objects in the history find list
4ba2aa4e4 2018-12-19 Jasem Mutlaq         Improve find dialog further
ab70395e0 2018-12-18 Jasem Mutlaq         Move FindDialog to a singleton and improve its interface
322e7703d 2018-12-18 Jasem Mutlaq         Send initial state on startup
8696bd1a8 2018-12-18 Jasem Mutlaq         Fix radio box state
09376e5ff 2018-12-17 Jasem Mutlaq         Automatically set prefix as currently mount tracking target if capture state is IDLE
908655c54 2018-12-17 Jasem Mutlaq         Add clear button to prefix and script
54dade3a8 2018-12-17 Jasem Mutlaq         Minor fix for manual dither
a3e3b2c7c 2018-12-16 Jasem Mutlaq         Fix scheduler light frame check
1f3a925d0 2018-12-16 Jasem Mutlaq         Improve progressive manual dithering
85a767406 2018-12-16 Jasem Mutlaq         Minimize spaces
7fe72fc98 2018-12-16 Jasem Mutlaq         Add switch for EkosLive connection mode
b9e6fb141 2018-12-14 Jasem Mutlaq         Reduce minimum FOV for PAH to 10 arcmins since folks like to solve narrow field images and fail
dad9c9af3 2018-12-14 Jasem Mutlaq         Do not change CCD settings if it is capturing now
ece6c0a36 2018-12-14 Jasem Mutlaq         Add auto start support for EkosLive
d95035176 2018-12-13 Jasem Mutlaq         1. Fix LightFrameRequired flag. Calculated ALL required light frames for the job and then find if the overall job requires them. 2. Reset job stage ..
261fefea2 2018-12-13 Jasem Mutlaq         Do not include FOV in KStars Lite
2c2a6c5dc 2018-12-13 Aleix Pol            Add missing file to integrate with arcanist
6d6aaee0f 2018-12-11 Jasem Mutlaq         Loaded and Closed signals should communicate FITS UID, not raw index in the widget
dfa010479 2018-12-11 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
d5fc9b5ca 2018-12-10 Jasem Mutlaq         Fix FOV shape
46618f648 2018-12-10 Jasem Mutlaq         Remove duplicate property
3afe6b00a 2018-12-10 Jasem Mutlaq         SOlve compiling error
ac129a3d1 2018-12-10 Jasem Mutlaq         Add DBus support for FOVs
cfd401e80 2018-12-10 Jasem Mutlaq         When deleting DSLR info, immediately fire up the DSLR info dialog
4cd008811 2018-12-09 Jasem Mutlaq         Display DSLR image if preview always
946db550b 2018-12-09 l10n daemon script   GIT_SILENT made messages (after extraction)
2fa7b9f54 2018-12-08 Yuri Chornoivan      Add missing space
0ec215d69 2018-12-08 Jasem Mutlaq         Only display serial port assistant when stellarmate is detected
e0d84250b 2018-12-07 Jasem Mutlaq         Added shouldSchedulerSleep function to check if the current job is far away from lead time that necessate scheduler sleep. Some white spaces cleanups
58829bb13 2018-12-07 Eric Dejouhanet      Rewrite of Scheduler planning
f1c5776a4 2018-12-06 Jasem Mutlaq         Reversing DEC alone is not sufficient when pier side is switched so we clear calibration
bb78146cc 2018-12-06 Jasem Mutlaq         Remove unnecessary header
d5b1b353c 2018-12-06 Jasem Mutlaq         Add flag for when telescope is covered to uncover it in case of shutterless cameras.
9e855fa21 2018-12-05 Yuri Chornoivan      Try to fix the build on Jenkins
7a31d2a68 2018-12-05 Yuri Chornoivan      Remove property duplication
5d40881da 2018-12-05 Yuri Chornoivan      Trying to fix the rest of minor doxygen issues
52090a6d0 2018-12-05 Yuri Chornoivan      Fix minor typo
a3a2c6589 2018-12-05 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
129230c64 2018-12-04 Jasem Mutlaq         Serial port assistant is operational now but needs testing
033e1046b 2018-12-04 Jasem Mutlaq         1. If we are reacquiring a star when we are subframed, reset the frame. 2. Make guide module aware of mount pier side to switch DEC swap so that rec..
415690fdc 2018-12-04 Jasem Mutlaq         Fix settling time for PAH and regular astrometry
f8409f85e 2018-12-04 Robert Lancaster     Improvements to histogram
c69c8bf35 2018-12-04 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
86bc697d3 2018-12-04 Yuri Chornoivan      Fix minor typo
480965d33 2018-12-03 Jasem Mutlaq         MOre progress on serial port assistant
0821ae6cd 2018-12-03 Jasem Mutlaq         Add guide settle time for focus module when resuming guide
66b6aa507 2018-12-03 l10n daemon script   GIT_SILENT made messages (after extraction)
ee5d35bbd 2018-12-02 Jasem Mutlaq         Add icon for Serial Port Assistant
e85653c20 2018-12-02 Jasem Mutlaq         Limit the serial port assistant to selected devices and do not show it just yet
cbe804508 2018-12-02 Jasem Mutlaq         Adding support to loading and remove rules from serial port assistant
f020d0971 2018-12-02 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
19effbebf 2018-12-02 Yuri Chornoivan      Fix minor EBN doxygen issues
9a75874a4 2018-12-02 Yuri Chornoivan      Fix minor typos
6213a7abb 2018-12-02 Jasem Mutlaq         Add checkbox to drivers group
92c556a35 2018-12-01 Jasem Mutlaq         Initial work for Serial Port Assistant integration
e8cbcc835 2018-12-01 Jasem Mutlaq         Add a function to execute focus steps whether in-sequence or timed. This could run after image capture or after a dither operation is complete, so m..
0fff8ebf0 2018-12-01 Jasem Mutlaq         Read and set focuser MAX position
8807679e1 2018-12-01 Jasem Mutlaq         Set default solver action to slew to target since this is what new users expect
edcb4bae3 2018-11-30 Yuri Chornoivan      Fix minor EBN doxygen issues
f8c2bf8c6 2018-11-29 Jasem Mutlaq         Fix compile error with star profile widget
de5eb0259 2018-11-29 Robert Lancaster     Fixing a crash caused by QCustomPlot's replot method in a concurrent thread
32b15d9ba 2018-11-28 Robert Lancaster     Fixing StarProfileViewer and Adding Sliders to Histogram
1c78ec1c9 2018-11-28 Csaba Kertesz        Fix Android build
b0d4dd0fc 2018-11-28 Jasem Mutlaq         Honor settling time in Polar Alignment Assistant tool
5c39c2da8 2018-11-27 Robert Lancaster     Creating the FitsTools Panel and Histogram Fixes
d60eefc6b 2018-11-26 Jasem Mutlaq         Fix Degree to Hours error in finding next scope RA in Polar Alignment Assistant tool
a8073c844 2018-11-25 Yuri Chornoivan      Make Star Profile Viewer localizable
40c9bfb99 2018-11-25 Yuri Chornoivan      Get rid of zorder
39f75c049 2018-11-25 Jasem Mutlaq         Add Pegasus Ultimate Power Box
2cc8ac8cd 2018-11-22 Jasem Mutlaq         Updating INDI drivers list
9da689ccd 2018-11-22 Jasem Mutlaq         Improving performance of star profile viewer
d98bd207d 2018-11-21 Jasem Mutlaq         Do not get stuck if ekos status is idle
2eb72d97b 2018-11-21 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
63edb18d3 2018-11-19 Yuri Chornoivan      More EBN fixes in API docs
66257a011 2018-11-19 l10n daemon script   GIT_SILENT made messages (after extraction)
aabb94a97 2018-11-18 Yuri Chornoivan      Fix minor EBN issues in API docs
de7f74bae 2018-11-18 Yuri Chornoivan      Remove duplicate includes
0c981ffd5 2018-11-18 l10n daemon script   GIT_SILENT made messages (after extraction)
a4e6023d8 2018-11-17 Yuri Chornoivan      Minor fixes to API docs
9b984ce39 2018-11-16 l10n daemon script   GIT_SILENT made messages (after extraction)
f14f3db38 2018-11-15 Yuri Chornoivan      Fix minor typos
4a7823826 2018-11-15 l10n daemon script   GIT_SILENT made messages (after extraction)
e3a79c8c9 2018-11-14 Yuri Chornoivan      Minor fixes to the API docs
28eed04fc 2018-11-14 l10n daemon script   GIT_SILENT made messages (after extraction)
7590627f4 2018-11-14 Jasem Mutlaq         Fix compile error
ae1dcd9c7 2018-11-13 Jasem Mutlaq         For Refocus Every X time method, reset the focus frame if the last time we ran focus is >= 30 minutes
415f3dff8 2018-11-13 Yuri Chornoivan      Fix typo: hasDeails -> hasDetails
5c81d1dd1 2018-11-13 Yuri Chornoivan      Fix Appstreamercli minor issues
e5a12ee6d 2018-11-13 Yuri Chornoivan      Add missing includes
27d10e4f9 2018-11-13 Yuri Chornoivan      Fix minor typos
c56d24dda 2018-11-10 Jasem Mutlaq         Fix enabling & disabling of BLOBs in the BLOB manager
92fe9a48d 2018-11-10 Jasem Mutlaq         Add option to toggle using Focus median value
99834103c 2018-11-07 Jasem Mutlaq         Add timeout to capture module
5efb79241 2018-11-06 Yuri Chornoivan      Remove extra semicolons
e1f970517 2018-11-06 Jasem Mutlaq         CHeck for targetChip which is a better indicator of disk vs non-disk darks
cb66fb188 2018-11-06 Jasem Mutlaq         DO not ask to remove cover if data is loaded from disk
d59c6deaa 2018-11-06 Jasem Mutlaq         Fix autostretch handling
984211e81 2018-11-04 Jasem Mutlaq         Disable mount tracking if supported by driver after slewing to a wall
03e2c20d2 2018-11-04 Jasem Mutlaq         Look in system path for drivers as well
fd915e011 2018-11-04 Jasem Mutlaq         Bump to 1.3
4add977d7 2018-11-04 l10n daemon script   GIT_SILENT made messages (after extraction)
da7539930 2018-11-03 Jasem Mutlaq         Fix slewing to wall when not in calibration mode.
92c8491ea 2018-11-03 Jasem Mutlaq         For shutterless cameras, ask user to remove cover from scope before continuing
afc33f675 2018-10-27 Jasem Mutlaq         Add support for Dust Cap and Light panel control from EkosLive. Just light switch is now controllable plus parking
7189bb67c 2018-10-27 Jasem Mutlaq         Use the common INVALID_VALUE constant
351bd4c32 2018-10-27 Jasem Mutlaq         Send frames to EkosLive media whenever an image is captured and not necessairly depending on Summary View behavior. This would only work if the FITS..
1934c012c 2018-10-27 Jasem Mutlaq         Add support for gain
87be20f17 2018-10-27 Jasem Mutlaq         Use common INVALID_VALUE. Set gain from EkosLive is supported by camera by adjusting custom properties
9863db4e2 2018-10-25 Jasem Mutlaq         Send domes and dustcaps when initialized
2aebdaaf4 2018-10-24 Jasem Mutlaq         Store park status variable when updated
3c1643402 2018-10-24 Jasem Mutlaq         Disconnect all _other_ CCDs when the CCD is switched, not the current CCD
720b6badb 2018-10-24 Jasem Mutlaq         Do not crash if there are no sorted job in the 2nd run
026689b41 2018-10-24 Jasem Mutlaq         Check if the file is temporary .. this was removed due to a regression
86db271f3 2018-10-24 Jasem Mutlaq         Do not update frame when tracking box is enabled or disabled, let the calling function handles this
2abf84cfe 2018-10-24 Jasem Mutlaq         Let the calling function handle calling updateFrame when necessary
a78a7c805 2018-10-24 Jasem Mutlaq         Delete all component before clearing them
8bb0ac4d9 2018-10-24 Jasem Mutlaq         No need to use pointer for QImage since the data is stored on the heap and is implicitly shared
f98492f2b 2018-10-24 Jasem Mutlaq         Free background buffer
dfd0a7267 2018-10-22 Jasem Mutlaq         QOverload not supported in Qt 5.6 which we use for 16.04
3f2726186 2018-10-22 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
fa6ff04bf 2018-10-22 Jasem Mutlaq         Add new function deltaAngle to DMS class to calculate the shortest angle between two angles.
4bc6befa6 2018-10-22 Jasem Mutlaq         If object is not in the list, default to Saturn
be63dda4f 2018-10-22 Jasem Mutlaq         Completely disconnect the server process when shutting down
39f1287b1 2018-10-21 Jasem Mutlaq         Fix regression that caused job aborted due to twilight loop forever
0ed0f5771 2018-10-21 Jasem Mutlaq         Remove extra option that is no longer required
9f0d41c3e 2018-10-20 Jasem Mutlaq         Small improvements to icons to make them consistent with the rest of Ekos
aafd6adf3 2018-10-20 Jasem Mutlaq         Fix layout stretch for observatory scripts
16e301823 2018-10-20 Pino Toscano         fixuifiles
14528eeef 2018-10-20 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
119e9a4ab 2018-10-19 Jasem Mutlaq         Add earth shadow + lunar eclipse finder
ca52b659a 2018-10-18 Jasem Mutlaq         Always emit resumeGuiding even on focus failure
16dfe2afc 2018-10-18 Jasem Mutlaq         Add detailed comments for workflow. Fix issue with timeout in case of minimum required HFR is requested
3d2a77317 2018-10-18 Jasem Mutlaq         Add Qt version to info
47c741ac2 2018-10-17 Jasem Mutlaq         Remove duplicate alignTimer slot
cdd741910 2018-10-17 Yuri Chornoivan      Fix minor typos
b436e426c 2018-10-16 Jasem Mutlaq         Only run polynomial fitting after 5th data point to improve reliability.
eee4c4606 2018-10-16 Jasem Mutlaq         Improve flat calibration algorithm by checking out of range and saturated images
66c1622b7 2018-10-15 Jasem Mutlaq         Revert change from mass replacement. androiddeployqt should not have a packaging prefix
c1b04a0a8 2018-10-15 Jasem Mutlaq         Complete the support for dome control in EkosLive
8fb96ad4f 2018-10-15 Jasem Mutlaq         Fix Focus --> Align state
0b0834fce 2018-10-15 Jasem Mutlaq         Update few timesouts to be more relaxed
f2a2f88d5 2018-10-14 Jasem Mutlaq         Make loadAndSlew return a boolean value to solve async problem. More DBus functions need to be migrated to this pattern
53a13eb7e 2018-10-13 Jasem Mutlaq         Only target SDK needs to be 26. Minimum SDK can remain at 17
025d23caa 2018-10-13 Jasem Mutlaq         Google Store now requires minimum API to be 26 even for updates
678c96d23 2018-10-12 Eric Dejouhanet      Use "Remember Job Progress" in Scheduler and "Always Reset Sequence When Starting" in Capture.
47b3a3633 2018-10-13 Eric Dejouhanet      Fix regression on job deletion when sorting jobs based on altitude and priority is enabled.
a2b6a9aec 2018-10-12 Jasem Mutlaq         For FITS images only emit BLOBUpdated after the frame is loaded to allow dependent modules to process the captured FITS after it is loaded
e4aa750af 2018-10-12 Jasem Mutlaq         Add capture timeout watchdog to ensure focus does not timeout waiting for captured images
a5955d2cb 2018-10-11 Jasem Mutlaq         Fix few issue with displaying capture progress when FITS Viewer is disabled
199051955 2018-10-11 Jasem Mutlaq         Simplify image capture signaling
fcee7f64f 2018-10-11 Jasem Mutlaq         Fix crash when opening FITS
e02f376f5 2018-10-10 Eric Dejouhanet      Do not alter the state of the Scheduler while evaluating
9157a6fda 2018-10-10 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
d6278a000 2018-10-10 l10n daemon script   GIT_SILENT made messages (after extraction)
787ec001b 2018-10-09 Jasem Mutlaq         Fix focus in and out
f0e9bd5e6 2018-10-08 Jasem Mutlaq         Remove redundant vars
b24c2ed8c 2018-10-08 Jasem Mutlaq         Adding dome and dust cap controls to dbus and ekoslive
a04c0c605 2018-10-08 Yuri Chornoivan      Fix minor typo
d6d79c8e7 2018-10-08 Jasem Mutlaq         Try to connect guider before guiding in the case of an external guider that got disconnected. For internal guider it makes no difference
1e03ff016 2018-10-08 Jasem Mutlaq         Add inactivity checks in scheduler to make sure that modules do not timeout when they are commanded to do certain actions
fb875282e 2018-10-07 Yuri Chornoivan      Fix minor EBN issues
6f347684f 2018-10-07 Jasem Mutlaq         Call stop first before start and add a bit of delay in between. Restart timeout timer
998e57aa6 2018-10-07 Jasem Mutlaq         Do not start Ekos if Ekos is already in pending mode or already online
5f8d20ded 2018-10-07 Jasem Mutlaq         Make messages more consistent. Clean up old code
a777d1506 2018-10-06 Jasem Mutlaq         Add warning when slewing to Sun. Adjust tracking rate if supported by the mount depending on the object type
2db493c09 2018-10-05 Pino Toscano         remove extra return
2c94bce5f 2018-10-04 Jasem Mutlaq         Add option to control DSLR image viewer. It can now be turned off
e92e7e59e 2018-10-04 Jasem Mutlaq         Read driver manufacturer into DriverInfo class
4e6b8ed26 2018-10-04 Jasem Mutlaq         Summary View now loaded sequence images properly
15e734753 2018-10-04 Jasem Mutlaq         When polynomial next predicted exposure flat is invalid, discard the last point and recapture again
2308878a9 2018-10-03 Jasem Mutlaq         Fix installation of translations files. po should be merged into source tree for this to work
7e1f63acf 2018-10-03 Eric Dejouhanet      Update job completion counts, and fix regression on job rescheduling.
40d755591 2018-10-03 Jasem Mutlaq         Add QFuture to fitsdata.h header since it is required on Android
1de7e4130 2018-10-03 Jasem Mutlaq         KStars Lite should always fetch translations regardless
645540da1 2018-10-03 Jasem Mutlaq         Add Zulu postfix to the DATE-OBS
ee82d0767 2018-10-02 Jasem Mutlaq         Add option to fetch translations
cf0476591 2018-10-02 Jasem Mutlaq         Add live view support to focus module and rework existing one in capture to be icon based
f07eff116 2018-10-02 Jasem Mutlaq         Limit stack size change to Qt v5.10+
9cfccbc9e 2018-10-02 Jasem Mutlaq         Merge branch 'async_fits'
332e25e19 2018-10-02 Jasem Mutlaq         Fixing issue with updating list of running FITSViewers. They are now properly removed once closed
7740e042a 2018-10-02 Jasem Mutlaq         More progress for async FITS operations
c0c1fe0d1 2018-10-01 Jasem Mutlaq         More work on async loading
6528ab561 2018-10-01 Jasem Mutlaq         Migrating the rest of the code to support the asynchronous nature of FITS loading now
2b3679a37 2018-10-01 Jasem Mutlaq         Add helpful tip to location dialog
6bfa75846 2018-10-01 Jasem Mutlaq         Merge branch 'master' into async_fits
c7dbd94c5 2018-10-01 Eric Dejouhanet      Use system locale to display numbers in the scheduler.
ab320a1ec 2018-10-01 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
4adf0ed41 2018-10-01 Jasem Mutlaq         Fix issue with subframed calibration when auto-select star is not enabled. Now subframed star position is set properly in the internal guider before..
a2930512b 2018-10-01 Jasem Mutlaq         Remove unnecessary break
fe758c72c 2018-09-30 Jasem Mutlaq         Update star profile viewer to new property system
d572d63ed 2018-09-30 Jasem Mutlaq         Starting work on asynchronous FITS operations
183d1758c 2018-09-30 Jasem Mutlaq         Refactoring FITSData to migrate to Q_PROPERTY framework and to prepare to asynchronous loading
4daf63e55 2018-09-29 Jasem Mutlaq         Fix wrong XML and indentation
07bf0ce7d 2018-09-29 Eric Dejouhanet      Fix Scheduler slewing stage and dome interaction.
0ae972bbd 2018-09-28 Jasem Mutlaq         Fix cooler logic issues
da1dd33e0 2018-09-28 Jasem Mutlaq         Reduce code duplication and include SLEWING stage in the check since the mount could be on that object when the scheduler starts and therefore a sle..
fd13e74ac 2018-09-27 Jasem Mutlaq         Fix QSharedPointer error
115c0d0cd 2018-09-27 Jasem Mutlaq         Create a separate dedicated client to handle only BLOB properties to increase efficiency
68352b8b4 2018-09-27 Jasem Mutlaq         Minor fixes
18dee7544 2018-09-27 Jasem Mutlaq         Fix reconnect issues
15ae755c9 2018-09-27 Jasem Mutlaq         Fix options and reintroduce INDI Control Panel button
808573c0d 2018-09-27 Jasem Mutlaq         Minor cast fixes
6535358b6 2018-09-27 Jasem Mutlaq         Missed ISD::ParkStatus change
5f73c086e 2018-09-27 Jasem Mutlaq         Support older Qt versions format in 16.04
e2b179abe 2018-09-26 Jasem Mutlaq         Encode the QDbus vars with ifdefs for KSTARS LITE
8bdd3ecd9 2018-09-26 Jasem Mutlaq         Bump version to 1.2.0 for Android
ae29d544e 2018-09-26 Eric Dejouhanet      Do not abort a job that is repeating because it started long ago, that delay is expected.
b97920405 2018-09-26 Jasem Mutlaq         Capture module: fixes for decimal numbers in various locales, and fix for CCD selection
b17a8a3d4 2018-09-26 Jasem Mutlaq         Disable KAuth due to reliability issues. We are now saving the config and files locally if not found on the system
7236760aa 2018-09-26 Jasem Mutlaq         Send escaped text elements to prevent breaking XML
091e3fa69 2018-09-25 Jasem Mutlaq         Cooler and clearing camera configuration buttons added
90fd88cbc 2018-09-24 Jasem Mutlaq         Preliminary support for controlling cooler in capture module
fa000c136 2018-09-24 Jasem Mutlaq         Fix target name property. Also, do not clear sequence queue as it called internally by capture module. When restarting a sequence, no need to reload..
2ae3ff3cb 2018-09-24 Jasem Mutlaq         Fix jobs always starting at zero counts by dividing jobs checks into scheduler-aware and regular types along with the option to ignore job progress ..
1895fe59f 2018-09-24 Jasem Mutlaq         Remove extra signal that was causing issues since it was already declared in guiderinterface
c4acb9c8d 2018-09-23 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
25958fa4f 2018-09-23 Eric Dejouhanet      Remove prevention of autofocus when no prior focus was done, add warnings.
82b5ba276 2018-09-23 Robert Lancaster     Fix exposure spinbox and MacOS compile problem
cfe494a8c 2018-09-16 Jasem Mutlaq         Removing duplicated enum
f007c9e69 2018-09-16 Jasem Mutlaq         Fix wrong enum value
f928a5d92 2018-09-16 Jasem Mutlaq         STATUS_PENDING is reserved in Windows so we are using different enum values
62c885a73 2018-09-15 Jasem Mutlaq         Preliminary support for flatpak paths
b88bfe91d 2018-09-14 Jasem Mutlaq         Scheduler event-driven work is nearly completely
37483f059 2018-09-13 Jasem Mutlaq         Create ready signal to continue event-driven migration of scheduler
0602776d3 2018-09-13 Jasem Mutlaq         More process in dbus migration. dbusInterface->property() is not working now. Need to investigate
a7d692958 2018-09-13 Jasem Mutlaq         Fix DST rule for Terre Haute
5e8fe0d4b 2018-09-12 Jasem Mutlaq         Dome, mount and dustcap DBus interface updated
8653d9c0a 2018-09-12 Jasem Mutlaq         Fix compile issues
042e91922 2018-09-12 Jasem Mutlaq         Merge branch 'dbus_work' of git://anongit.kde.org/kstars into dbus_work
830e749d5 2018-09-12 Jasem Mutlaq         More work on DBus update and migration
6049fdae0 2018-09-12 Jasem Mutlaq         Merge branch 'master' into dbus_work
7d1295998 2018-09-12 Jasem Mutlaq         Improve timeout behavior for astrometry download with KAuth
f2560079d 2018-09-12 Jasem Mutlaq         QString sprintf is deprecated so using arg() instead, but it still does not produce correct locale-aware fractions
fe3782719 2018-09-11 Eric Dejouhanet      Fix cache discrepancy when a job is complete.
a9cd4c67e 2018-09-11 Eric Dejouhanet      Fix mount not unparking after scheduler stops
daaddeb30 2018-09-11 Jasem Mutlaq         More work on converting Signal/Slot to new Qt Style
f4f940677 2018-09-10 Jasem Mutlaq         Migrate to new Qt connection style
10c893568 2018-09-10 Jasem Mutlaq         Migrate to new Qt connection style
a4d380764 2018-09-10 Jasem Mutlaq         Align and Guide modules DBus is updated
17f917917 2018-09-07 Wolfgang Reissenberger Restarting looping schedule continues capturing
edb8bb0ae 2018-09-07 Jasem Mutlaq         Fix remaining warnings in fpackutil.c
1b7c748ab 2018-09-06 Jasem Mutlaq         Fix warnings in fitsviewer code in fpack and fpackutil due to const qualifier and unused variables
708d796df 2018-09-06 Jasem Mutlaq         Fix warning: content-type missing in HTTP POST, defaulting to application/x-www-form-urlencoded. Use QNetworkRequest::setHeader() to fix this problem.
d086573e0 2018-09-06 Jasem Mutlaq         Update focus module DBus interface
e0d63f01c 2018-09-04 Csaba Kertesz        Fix a crash and storing INDI settings in KStars Lite
e057aa064 2018-09-03 Jasem Mutlaq         Few J2000/JNow fixes
d625b2b6c 2018-09-02 Jasem Mutlaq         Minor refactoring
7d6d6d386 2018-09-02 Jasem Mutlaq         Capture module DBus migration first pass is complete. All connections migrated to new Qt style
4e8b61f53 2018-09-01 Robert Lancaster     Adding XPlanet Recenter ability Making left mouse button change position and right mouse chane location Adding Reset Recenter button Adding Reset Lo..
f055309dd 2018-09-01 Jasem Mutlaq         Remove / from thumbnail file names
38edb83ea 2018-09-01 Jasem Mutlaq         Reimplement compute altitude at a specific time
b03bbbb39 2018-08-31 Jasem Mutlaq         Do not add any camera or ST4 devices to guide module if guider is external. Instead put guider type in guider dropdown and disable it
eee184547 2018-08-31 Jasem Mutlaq         Fix crash and add support to J2000 mounts
36476b0a7 2018-08-31 Jasem Mutlaq         Add another check that state is not suspended
8afa2bc4f 2018-08-31 Jasem Mutlaq         Show loaded coords in sexigesimal format and in high precision when possible
e6eca7cf2 2018-08-31 Jasem Mutlaq         Do not cast DSO coords seconds to int as we lose important precision. Use full resolution as double
8fd3d9e10 2018-08-31 Jasem Mutlaq         Fix J2000 coordinates in Align and Capture
f3705f1c9 2018-08-31 Robert Lancaster     Support for xplanet on Windows
ca5a604f9 2018-08-31 Jasem Mutlaq         Add new state to capture SUSPENDED. This is triggered once the sequence needs to be aborted, but capture module has the ability to resume itself aut..
0a5d10188 2018-08-29 Jasem Mutlaq         android --> packaging/android
5c24fac29 2018-08-29 Jasem Mutlaq         Add dbus log property and signal for Ekos Manager
5825ccb6c 2018-08-29 Eric Dejouhanet      Proper silencing for the switch-case fall-through warning
be3948ed5 2018-08-29 Jasem Mutlaq         Refactoring old style connect to new style. DBus signals working now via structure which is not ideal but the only way to use enums in signals and r..
aeaa325a0 2018-08-29 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
8a1bd75ba 2018-08-28 Jasem Mutlaq         Adding packaging directory to include all KStars multiplatform packaging scripts and resources
8491cc25b 2018-08-28 Jasem Mutlaq         Detect coordinates epoch once from property registeration
6798c1d0c 2018-08-28 Jasem Mutlaq         Account for JNow vs J2000 coords in the mount and capture modules. Telescope class should report which epoch is in use
1e299fdf5 2018-08-28 Eric Dejouhanet      Fix parking engine, and make observatory startup job-centric
85bf46276 2018-08-28 Wolfgang Reissenberger Bugfix for #397650 flat creation failed
9294e4f03 2018-08-27 Jasem Mutlaq         DBus signals are working now
12278209f 2018-08-26 Jasem Mutlaq         More progress in refactoring
30c99f686 2018-08-26 Jasem Mutlaq         Refactoring EkosManager to Ekos::Manager and updating DBus structure for all modules
9de71fb7b 2018-08-26 Jasem Mutlaq         Reset properties when filter is disconnected
6d1297e8f 2018-08-25 Yuri Chornoivan      Fix minor EBN issues
00c6861b9 2018-08-25 Robert Lancaster     Summary: Using specified FOV's for each planet so the user can zoom. Adding a button to select FOV from the KStars FOV list. Adding another decimal ..
a6510ac67 2018-08-23 Robert Lancaster     Making more recommended xplanet changes and fixing bugs:
0fa94d809 2018-08-23 Eric Dejouhanet      Improve Scheduler robustness against INDI disconnections
e3bec03e2 2018-08-22 Jasem Mutlaq         Use apparentCoord to immediately process the J2000 coordinates to JNow
87be05656 2018-08-21 Jasem Mutlaq         Q_FALLTHROUGH() requires Qt 5.8 while we support 5.4 still so disabling
d695b9ef6 2018-08-21 Csaba Kertesz        Fix the Android build
19ec89274 2018-08-21 Csaba Kertesz        Add missing icons by automerge
99d5b93fe 2018-08-21 Csaba Kertesz        Fix some item colors in KStars Lite
a11fd36b0 2018-08-21 Jasem Mutlaq         Add telescope joystick controls to KStars Lite
e47d07dea 2018-08-20 Eric Dejouhanet      Proper silencing for the switch-case fall-through warning
0b33b9aea 2018-08-20 Jasem Mutlaq         Use more sane default when hitting enter key in Ekos modules.
279e64a11 2018-08-20 Yuri Chornoivan      Fix minor EBN issues
b9eb26e4d 2018-08-18 Jasem Mutlaq         Add warnings for missing properties
5bb40f285 2018-08-18 Jasem Mutlaq         Explicitly set timespec to UTC
6256a1993 2018-08-18 Jasem Mutlaq         FIx on 16.04 build
80c7784ec 2018-08-18 Robert Lancaster     Adding XPlanet Viewer
5823021b2 2018-08-18 Jasem Mutlaq         KStars GIT is now 3.0.0
02e875e9e 2018-08-17 Jasem Mutlaq         Increase maximum dark library temperature thresold to 30
afcfeb55c 2018-08-17 Jasem Mutlaq         Astrometry WCS should be enabled by default
a4698d9e4 2018-08-16 Jasem Mutlaq         Comment C++17 feature
4192037d2 2018-08-16 Jasem Mutlaq         Use IAU preferred names. While Tsih seems the most common name for Gamma Cassiopeiae, Navi is also associated from old space missions.
996935f9f 2018-08-16 Eric Dejouhanet      Fix sequence boundary index regression.
e416273aa 2018-08-16 Eric Dejouhanet      Fix unexpected signature folder creation, fix logs.

2.9.8 (Pelican):
=================================================================================================
eb4aa89dc 2018-08-13 Jasem Mutlaq         Fix upper limits for some guide settings
b7e3810b1 2018-08-13 Eric Dejouhanet      Fixes for the Scheduler and Capture modules
27ae34f2b 2018-08-12 Jasem Mutlaq         Bit of code refactoring. Keep track of axis distance when reversing guide calibration direction. If we are still not moving toward the starting poin..
e8cb5f3a9 2018-08-12 Jasem Mutlaq         Revert "Remove prefix from test to be the same for all"
c2fef9880 2018-08-12 Jasem Mutlaq         Remove prefix from test to be the same for all
6dfb66d01 2018-08-11 Jasem Mutlaq         Fix J2000 in sendCoords
054fb21cd 2018-08-11 Jasem Mutlaq         Handle EQUATORIAL_COORD when the property is updated
2587c4f6f 2018-08-11 Jasem Mutlaq         Draw J2000 coords
d1cb70fbe 2018-08-11 Jasem Mutlaq         ALso accept EQUATORIAL_COORD for telescope coordinates
b455bd581 2018-08-10 Yuri Chornoivan      Fix minor EBN issues
9816f3521 2018-08-10 Jasem Mutlaq         In guiding deviation handler, search for aborted jobs and resume one since activeJob is always nullptr when abort is now called
cb856ddf5 2018-08-09 Yuri Chornoivan      Fix minor typo
9cd9341e0 2018-08-09 Jasem Mutlaq         Reset RMS value when reacquiring a star
0d65fa060 2018-08-08 Jasem Mutlaq         Add complex job test
23ec2283e 2018-08-08 Jasem Mutlaq         Fix message using the wrong variable
ac502664b 2018-08-08 Jasem Mutlaq         Add helpful tooltip for guide settle
e1a3f1369 2018-08-07 Eric Dejouhanet      Add RA/DEC fields to the list of controls which trigger a save.
da7c8a6bc 2018-08-07 Csaba Kertesz        Fix the custom sky object removal
9c7bebf84 2018-08-07 Jasem Mutlaq         Fix typo
7f915094e 2018-08-07 Jasem Mutlaq         Check if telescope is connected before accepting sync
6da8bb68e 2018-08-07 Jasem Mutlaq         Add Copy Coordinates action to the popup menu
1d45a9c07 2018-08-07 Eric Dejouhanet      Edit scheduler jobs with double-click and update icon to match Capture module.
610a79ed9 2018-08-06 Jasem Mutlaq         Fix typo
068ef057a 2018-08-05 Csaba Kertesz        Fix for touch support to avoid closing popups in the skymap
a5e515663 2018-08-05 Jasem Mutlaq         IDLE --> ABORTED so that scheduler acknowleged that. Disabling GuideStep --> Guiding transition since we have a case now where the transition is inc..
617703f09 2018-08-05 Jasem Mutlaq         Update INSTALL file to reflect current state of affairs
07a0d3eb3 2018-08-05 Jasem Mutlaq         Looksl like we will release 2.9.8 hotfix first before moving to 3.0.0
5b7990ead 2018-08-05 Csaba Kertesz        Increase the font size in KStars Lite
1fa13a932 2018-08-05 Jasem Mutlaq         Using Delta Max RMS as the threshold value to abort instead of just pulse length since it is a more reliable measure of guiding performance and also..
bb27336ca 2018-08-05 Jasem Mutlaq         Always process images in Guide, Focus, and Align as Mono images
45777dfd4 2018-08-04 Andy Galasso         The PHD2 external guider was not honoring the Lost Star timeout setting, it was using a hard-coded value of 5 seconds which is much too aggressive.
a6b9780d2 2018-08-04 Yuri Chornoivan      Fix some EBN issues
0abaa846a 2018-08-04 Wolfgang Reissenberger Summary: Logging output in Capture corrected, considering only the counts of a single sequence job
46523bed3 2018-08-04 Eric Dejouhanet      Rework scheduler startup to merge execution paths.
3e5f9f055 2018-08-04 Eric Dejouhanet      Update frame map unconditionally when starting scheduler.
c774401a8 2018-08-04 Eric Dejouhanet      Mark scheduler job dirty when succesfully changing its target.
bf4ac1e6a 2018-07-21 Csaba Kertesz        Use localization for KStars Lite
5cec05783 2018-07-17 Csaba Kertesz        Further fixes for the Android build
f83aed485 2018-08-03 Eric Dejouhanet      Adjust job editing algorithm
723c1bcf9 2018-08-03 Jasem Mutlaq         Fix focus timer in capture module. Add more comments to explain some of the complex counting
3bfa544de 2018-08-02 Jasem Mutlaq         After meridian flip, clear calibration is required and then guide
c4dd86424 2018-08-02 Aleix Pol            Add the file to integrate with phabricator
3ba2c1a27 2018-08-01 Jasem Mutlaq         Add GUIDE_IDLE to accepted previous state before restarting capture
f3982dbf5 2018-08-01 Jasem Mutlaq         When PHD2 reports idle after calibration error, keep the error so that it is picked up by other processes until DBus signals are implemented
424f4b03d 2018-08-01 Jasem Mutlaq         Fix slots connections. Remove prior hack used to identify aborted guide state
499669f86 2018-08-01 Jasem Mutlaq         Limit reading for drivers XML files to those starting with indi_*
25630e41c 2018-07-31 Pino Toscano         cmake: fix enabling of exceptions
7676c91eb 2018-07-31 Jasem Mutlaq         Add warning if the guide camera is the same as the capture capture
8e1034e54 2018-07-31 Jasem Mutlaq         Adapt INDI control panel to high DPI screens
0132cd73c 2018-07-31 Jasem Mutlaq         Simplify scheduler calls to Guide module by remote the startAutoCalibrate and calling individual commands to have more control
ac36a20c1 2018-07-30 Jasem Mutlaq         Reset align and guide fail counts when finding next job. Add GUIDE_IDLE as a fail condition since PHD2 resets to IDLE after it fails calibration
d42df697c 2018-07-30 Jasem Mutlaq         When user edit FOV and reset it to 0x0, remove the effective FOV if one is saved so that the alignment process re-measures it again
895cf1480 2018-07-30 Jasem Mutlaq         Remove cross cursor it was added before by mistake somehow
26cd35278 2018-07-30 Jasem Mutlaq         Add StartupWMClass for better compatibility in other desktop environments
6654b2fd2 2018-07-29 Jasem Mutlaq         Show tip of the day dialog after applying themes.
9be2169dc 2018-07-29 Andy Galasso         PHD2: honor the "Receive external guide frames" setting. Also, only log event messages from PHD2 when verbose logging is enabled PHD2: only request ..
0e259fb08 2018-07-28 Pino Toscano         i18n fixes
cde98d293 2018-07-26 Jasem Mutlaq         Fix crash due to NaN asteroid magnitude. Also enforce show limit as per the options.
fc5b8e237 2018-07-26 Eric Dejouhanet      Fix FINISH_AT management in Scheduler.
40578b139 2018-07-25 Jasem Mutlaq         FIx another center issue with older Qt
e5656839e 2018-07-25 Jasem Mutlaq         QPointF.center requires Qt 5.8 so we are going for the simpler version to make this compile on 16.04
fadd47d9b 2018-07-25 Wolfgang Reissenberger Handling multiple occurrence of the same sequence job corrected
4f100e322 2018-07-25 Robert Lancaster     Improving the Astrometry Index File configuration tab to include a button to open files and a link to the Readme
0176721b0 2018-07-25 Jasem Mutlaq         Add green cloud to indicate EkosLive is online

2.9.7 (Luna):
=================================================================================================
fadd47d 2018-07-25 Wolfgang Reissenberger Handling multiple occurrence of the same sequence job corrected
4f100e3 2018-07-25 Robert Lancaster     Improving the Astrometry Index File configuration tab to include a button to open files and a link to the Readme
0176721 2018-07-25 Jasem Mutlaq         Add green cloud to indicate EkosLive is online
c3c9543 2018-07-24 Jasem Mutlaq         Improve tracking box pixmap by giving it a margin. Guiding profile needs to be grapped fully as is
8d746c6 2018-07-24 Robert Lancaster     I finally got around to looking at these two issues.  First, the Astrometry Startup wizard has been rather redundant since I integrated all the astr..
c3156de 2018-07-24 Jasem Mutlaq         Update OpenNGC to latest snapshot
72a13e3 2018-07-24 Jasem Mutlaq         Support for remote drivers, both locally and using INDI Web Manager are complete. These changes require INDI Web Manager v0.1.5
46cb903 2018-07-24 Jasem Mutlaq         Add control to change video stream exposure duration from the video widget
2e33c32 2018-07-24 Jasem Mutlaq         Remote drivers are now supported locally and also remote via INDI Web Manager in addition to custom driver support
0bf5c25 2018-07-24 Jasem Mutlaq         Add support for remote drivers
619f446 2018-07-24 Jasem Mutlaq         Use new versioning system that is more reliable than relying on KStars version solely. Remove very old database upgrade paths.
c67f9e8 2018-07-23 Jasem Mutlaq         Accomodate new web manager API
4e13404 2018-07-23 Jasem Mutlaq         Syncing remote drivers in current profile with remote INDI web manager
25f4a55 2018-07-23 Jasem Mutlaq         Custom drivers now work locally with Ekos
d6ef5b1 2018-07-23 Jasem Mutlaq         Bump GUI version to 7
23e6454 2018-07-22 Jasem Mutlaq         A bit of refactor and GUI rework plus database functionality for Custom Drivers instead of just aliases
7ba647c 2018-07-22 Jasem Mutlaq         Use more common-sense variable names
2b2e3a8 2018-07-22 Jasem Mutlaq         Update XML from upstream 3rd party
e3d2c1f 2018-07-22 Jasem Mutlaq         Add detector to aux list as well
0ce2169 2018-07-22 Jasem Mutlaq         Add spectrograph family type
7804e61 2018-07-22 Jasem Mutlaq         calculating cumulative frequency corrected
34ff784 2018-07-21 Jasem Mutlaq         Add support to manual dither either by magnitude or X,Y coordinates. Please note that if the target X,Y coordinates are far away from current reticl..
17ec2a5 2018-07-21 Jasem Mutlaq         Use settings universally
a781a00 2018-07-21 Jasem Mutlaq         Do not assume Filter_# convention
f17be1d 2018-07-20 Jasem Mutlaq         Initial work for driver aliases
e31207e 2018-07-20 Jasem Mutlaq         Add auto park feature with a timer
4ba60e3 2018-07-20 Jasem Mutlaq         Do not delete temporary file even with autoremove set to true if we are loading the same filename
bc6a45c 2018-07-20 Jasem Mutlaq         Use correct header
c5ef911 2018-07-20 Jasem Mutlaq         Add option to restart alignment process in scheduler in case of guiding calibration failure since the target might have moved off center during the ..
6d2257b 2018-07-20 Jasem Mutlaq         Add more check when saving PHD2 FITS image
cc3a339 2018-07-19 Jasem Mutlaq         Add warning if reset guide calibration is enabled while using PHD2
0e5361a 2018-07-19 Jasem Mutlaq         Limit minimum box radius to 100 pixels
41104d9 2018-07-17 Aleix Pol            Android: Fix small build issues
65735ca 2018-07-18 Jasem Mutlaq         Only queue focus-related tasks when the focuser is online
ec7fd81 2018-07-17 Jasem Mutlaq         Send PAH message as plain text
5db8b39 2018-07-17 Jasem Mutlaq         Return calculated values as required from astrometry option even if the effective FOV has not been measured yet. Make binning by default to be the m..
28c4b13 2018-07-16 Jasem Mutlaq         Implement smart auto zoom for PAH when using EkosLive
a89e11d 2018-07-16 Jasem Mutlaq         Add guiding settle time to capture module
21bbdc0 2018-07-16 Jasem Mutlaq         Send center coords to EkosLive
ed93aa1 2018-07-14 Jasem Mutlaq         Use dedicated timer instead of single shot so that we can stop the timer when captureAndSolve is invoked again. Added more helpful PAH info
fd2c5ee 2018-07-14 Jasem Mutlaq         Send polar error along with correction vector to EkosLive
b620243 2018-07-14 Jasem Mutlaq         Temporarily disable tracking box in focus view to prevent it from searching stars within the tracking box when no user star selection has been made
bd59f16 2018-07-14 Jasem Mutlaq         Disable check for internet due to QTBUG-68613
92f4f0e 2018-07-13 Csaba Kertesz        Add About dialog to KStars Lite
a15b374 2018-07-13 Csaba Kertesz        Fix the Android build
82605a3 2018-07-12 Csaba Kertesz        Bug fix: Mark the session list items on the skymap
1e25ee5 2018-07-12 Jasem Mutlaq         Reduce PAH frame quality to increase speed during refresh. Only send magnitude and position angle of vector
ce24278 2018-07-11 Jasem Mutlaq         Set state to abort or idle depending on the call. Resume capture if it was aborted before due to guide getting aborted.
9b46a9d 2018-07-11 Jasem Mutlaq         Do not set slew rate if it the rate is the same
8bf9a1c 2018-07-09 Jasem Mutlaq         Send correction vector to EKos like separately
df18faa 2018-07-09 Jasem Mutlaq         Fix reading of RA (in degrees)
c92979a 2018-07-07 Jasem Mutlaq         Consolidate setting and getting Ekos Live settings
a852d0c 2018-07-06 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
77d3c0c 2018-07-06 Jasem Mutlaq         Sync capture settings back to EkosLive
1d204a5 2018-07-06 Jasem Mutlaq         Add more debug for PAA and calculate Position Angle
aee228f 2018-07-05 Csaba Kertesz        Add touch support to KStars (pinch, tap-and-hold)
967c3d5 2018-07-03 Csaba Kertesz        Optimize Android package size
5c7c268 2018-07-01 Jasem Mutlaq         Drop the experimental bit for HiPS, it is stable
9ad3650 2018-07-01 Jasem Mutlaq         Fix header info
be64083 2018-07-01 Jasem Mutlaq         Use QVariant for FITS header values since they carry different types. Still needs more work
1180b2d 2018-07-01 Jasem Mutlaq         Add more informative log for PAH process
a9835eb 2018-06-27 Csaba Kertesz        Remove custom sky objects via context menu
1dbcb0c 2018-06-30 Jasem Mutlaq         Disable telescope wizard since it can be confusing to new users and is now redundant with Ekos
77cd6a0 2018-06-28 Jasem Mutlaq         Display compressed file in FITSVIewer
8ed1026 2018-06-27 Jasem Mutlaq         Add content-disposition to header to that the correct file name is downloaded when the URL is requested
1075348 2018-06-27 Jasem Mutlaq         Include another missing header..
7daa3cc 2018-06-26 Jasem Mutlaq         Be consistent in naming KStars startup wizard.
702e068 2018-06-26 Jasem Mutlaq         Include required header
dae9014 2018-06-23 Csaba Kertesz        Update the Android build to the latest NDK version and official tools, remove hacks
6e4d0c9 2018-06-25 Jasem Mutlaq         Fix random dithering not being not so random, plus limit it to 25 pixels box
8aa7ca2 2018-06-25 Jasem Mutlaq         No need to prefix the x-amz since we'll just save the metadata to DB and not cloud
2646052 2018-06-25 Jasem Mutlaq         Fix gain issue not showing up
337670b 2018-06-24 Jasem Mutlaq         Include fpack and punpack directly since we need to specify the output filename as well calling a binary cross-platform can be problematic. Each upl..
d5befeb 2018-06-22 Jasem Mutlaq         Fix broken simbad link to simbad.cfa.harvard.edu
d6e9cb4 2018-06-22 Jasem Mutlaq         Only stop sending pulses in case we are guiding (not dithering) and we already sent one high pulse beforehand. This is to allow for dithering large ..
47291ec 2018-06-21 Jasem Mutlaq         Cloud storage is now operational
9da31f3 2018-06-21 Eric Dejouhanet      Keeping time since previous periodic refocus
92b9c3c 2018-06-21 Jasem Mutlaq         Add cloud part and consolidate options
92d91f3 2018-06-19 Csaba Kertesz        Separate build targets for KStars and KStars Lite
ec145c7 2018-06-21 Jasem Mutlaq         Refactoring Ekos Live into its own namespace
2661f5f 2018-06-21 Jasem Mutlaq         Add isTempFIle()
a242977 2018-06-20 Jasem Mutlaq         Add const qualifier
5da27f4 2018-06-20 Jasem Mutlaq         Enable cloud storage
5de94b9 2018-06-20 Jasem Mutlaq         Set it to use Live
a2682ee 2018-06-19 Jasem Mutlaq         Fix set blobs and send query params on media connection
30a1546 2018-06-19 Jasem Mutlaq         Implement set blobs
09023b2 2018-06-18 Jasem Mutlaq         Merge branch 'ekoslive'
ce614aa 2018-06-18 Jasem Mutlaq         Merge branch 'ekoslive'
54d4830 2018-06-18 Jasem Mutlaq         Use Qt5 Keychain instead of KWallet since it works cross-platform better
d108408 2018-06-17 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars into ekoslive
ed37a2f 2018-06-17 Jasem Mutlaq         Set rotation regardless of job status
09a60a5 2018-06-17 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars into ekoslive
88e11b5 2018-06-17 Jasem Mutlaq         Set temperature regardless of status
70fc5c2 2018-06-17 Jasem Mutlaq         Sync with master
00cb600 2018-06-17 Jasem Mutlaq         Job should be BUSY even in the preperation phase before capture where it is setting filter or rotation or temperature..etc. This should enable the u..
a9448ae 2018-06-16 Jasem Mutlaq         Fix copy-paste error
eae818d 2018-06-16 Jasem Mutlaq         Send additional metadata and implement focus reset
a4e4b0a 2018-06-16 Jasem Mutlaq         Send inital status on set
c394475 2018-06-15 Jasem Mutlaq         Delay frame capture until pulse duration is almost over
e05f896 2018-06-14 Jasem Mutlaq         Increase high pulse margin to .95 and add debug in case of lost star
c71b674 2018-06-14 Jasem Mutlaq         Add support to notification option
f27b79e 2018-06-14 Jasem Mutlaq         Fix typo
296bd3e 2018-06-14 Jasem Mutlaq         Need to move them to slots
59d493c 2018-06-14 Jasem Mutlaq         Support auto reconnect on server termination
a18d673 2018-06-14 Jasem Mutlaq         Merge branch 'ekoslive' of git://anongit.kde.org/kstars into ekoslive
6b22b11 2018-06-14 Jasem Mutlaq         Syncing with master
84bb988 2018-06-12 Csaba Kertesz        Fix cppcheck findings
a6be7db 2018-06-13 Jasem Mutlaq         If star is lost during dithering, resume dither after reaquiring the star
384ce52 2018-06-12 Csaba Kertesz        Compilation fixes
d058ae1 2018-06-08 Csaba Kertesz        Krazy fixes
c018f4d 2018-06-11 Jasem Mutlaq         Testing dev site
ba9217e 2018-06-11 Jasem Mutlaq         Support bandwidth and transfer settings
2dd77ab 2018-06-11 Eric Dejouhanet      Keep job removal icon disabled when Scheduler stops
418478a 2018-06-10 Jasem Mutlaq         Sequences working now with Ekos Live
dfceb97 2018-06-10 Jasem Mutlaq         Add missing satellite icons
a3ad2a2 2018-06-09 Jasem Mutlaq         isoIndex --> iso
23beeeb 2018-06-07 Jasem Mutlaq         Use the same setCapture settings structure
14e2d09 2018-06-07 Jasem Mutlaq         Emit state also when idle. Send mounts and scopes on detecting TELESCOPE_PARK as well
e578061 2018-06-07 Eric Dejouhanet      Preparing for homogeneity with capture tab.
8b0db9f 2018-06-07 Eric Dejouhanet      Fix scheduling issue picking unexpected job as first
4e6a0d4 2018-06-07 Jasem Mutlaq         Merge branch 'ekoslive' of git://anongit.kde.org/kstars into ekoslive
336b886 2018-06-07 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars into ekoslive
b3c1b0d 2018-06-06 Jasem Mutlaq         The workflow is now more event driven
f9202a9 2018-06-06 Jasem Mutlaq         More progress for connection and profile work
beb522e 2018-06-06 Jasem Mutlaq         Enable high dpi scaling for Qt > 5.6
e41e1fc 2018-06-06 Jasem Mutlaq         Merge branch 'ekoslive' of git://anongit.kde.org/kstars into ekoslive
59d5a8f 2018-06-06 Jasem Mutlaq         Master merge
dbb9419 2018-06-06 Jasem Mutlaq         Initial support for profile control
85560b1 2018-06-05 Csaba Kertesz        Fix Coverity findings
aa8b38b 2018-06-05 Jasem Mutlaq         Merge branch 'ekoslive' of git://anongit.kde.org/kstars into ekoslive
40fb703 2018-06-05 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars into ekoslive
c2c83d6 2018-06-04 Jasem Mutlaq         Removing some HTML tags. PAH now ready to be used with Ekos Live
5421483 2018-06-04 Jasem Mutlaq         Save pixmap and image in QBuffer instead of saving to disk. Pixmap contains all overlay elements. This should be used for other cases where we save ..
d893c34 2018-06-04 Csaba Kertesz        Clazy fixes
069331c 2018-06-04 Jasem Mutlaq         Merge branch 'ekoslive' of git://anongit.kde.org/kstars into ekoslive
429e91e 2018-06-04 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars into ekoslive
6569077 2018-06-03 Csaba Kertesz        Modernize for cycles
3e77d59 2018-06-03 Jasem Mutlaq         Ensure ekos is connected first
8900e81 2018-06-03 Jasem Mutlaq         Support PAH changes in Ekos Live
d4ecff1 2018-06-03 Jasem Mutlaq         Simplify PAH tool
48e8cc7 2018-05-31 Csaba Kertesz        Remove redundant returns
0c757d3 2018-06-02 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars into ekoslive
ebf5020 2018-06-02 Csaba Kertesz        Fix the Windows build
1904421 2018-06-02 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars into ekoslive
f689ccb 2018-06-02 Jasem Mutlaq         Use UUID to create the filename for FITS WCS
e12d536 2018-06-02 Jasem Mutlaq         Some initial work for PAH support in Ekos Live
9096a0a 2018-06-01 Jasem Mutlaq         Code refactoring. Support load n slew from Ekos Live
f5ba3be 2018-06-01 Jasem Mutlaq         Do not send token with EACH request since we have a stateful connection. Just send token on the initial connection.
90103ba 2018-05-31 Eric Dejouhanet      Reduced the amount of logs in the Scheduler.
82b5710 2018-05-31 Jasem Mutlaq         Support a dedicated channel for media
3915c2d 2018-05-31 Jasem Mutlaq         Return solutoin results and set capture settings in align module
e7ecc3f 2018-05-31 Jasem Mutlaq         Merge branch 'ekoslive' of git://anongit.kde.org/kstars into ekoslive
9892df2 2018-05-30 Jasem Mutlaq         Progress on alignment
3c1236e 2018-05-30 Jasem Mutlaq         Merge branch 'ekoslive' of git://anongit.kde.org/kstars into ekoslive
60a0423 2018-05-30 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars into ekoslive
616a6bf 2018-05-29 Jasem Mutlaq         Add minimum 5 points to help text to avoid confusion
f36eae1 2018-05-26 Csaba Kertesz        Change the num singleton name in KStars Lite to uppercase otherwise new Qt versions crash
f58b2e6 2018-05-29 Jasem Mutlaq         Add metadata to regular captures
bd3800e 2018-05-29 Jasem Mutlaq         size --> samplesPerChannel refactor
789d590 2018-05-29 Jasem Mutlaq         size --> samplesPerChannel refactor
c8916d3 2018-05-29 Jasem Mutlaq         Use const where appropiate. Parse FITS header and provide methods to retrive and search it
7624bf3 2018-05-28 Jasem Mutlaq         Implement guiding and send video frames separately
9320faf 2018-05-28 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
5a4a5ea 2018-05-28 Robert Lancaster     This patch fixes a couple of icons issues that popped up after we did the themes work.  These were not correct and it could not find the icons prope..
b4916eb 2018-05-28 Jasem Mutlaq         Add supprt for focus actions
7f07def 2018-05-28 Jasem Mutlaq         Ekos live mount control are almost complete now.
6c02df0 2018-05-28 Eric Dejouhanet      Fix execution of repeating scheduler jobs.
ebd508e 2018-05-28 Jasem Mutlaq         Support tracking control and slew rate
2456da5 2018-05-27 Jasem Mutlaq         Merge with master changes
4563499 2018-05-26 Jasem Mutlaq         Support for abort and slew rates
6661957 2018-05-26 Csaba Kertesz        Compilation fixes
5ac761a 2018-05-25 Csaba Kertesz        Use default keyword for ctors/dtors and other fixes
368a0d9 2018-05-25 Yuri Chornoivan      Add missing words
7d4975c 2018-05-25 Yuri Chornoivan      Make compile + some updates
42afb30 2018-05-25 Yuri Chornoivan      Fix minor typos
04b980e 2018-05-25 Yuri Chornoivan      Fix minor typos
c7ae428 2018-05-25 Jasem Mutlaq         Include the hips entity in commands

2.9.6 (Lalande):
=================================================================================================
3434dd0 2018-05-24 Jasem Mutlaq         Add HiPS documentation
93e9dba 2018-05-24 Jasem Mutlaq         Bump to 2.9.6
02e9508 2018-05-24 Robert Lancaster     Fix OSX Build
4e4ea8a 2018-05-23 Robert Lancaster     Fix option dialog on MacoS. BUGS:394138
8c880dc 2018-05-22 Pino Toscano         Make Xplanet an optional runtime-only dependency
12f8e20 2018-05-21 Jasem Mutlaq         Sync driver list with INDI. BUGS:394522 FIXED-IN:2.9.6
d9a526f 2018-05-21 Csaba Kertesz        Use modern headers
e63bed3 2018-05-17 Csaba Kertesz        Update Clang Tidy script to Clang 6.0 and fix some findings
503b140 2018-05-16 Csaba Kertesz        Fix the Clang Static Analyzer findings
9c9c1fb 2018-05-14 Csaba Kertesz        Compilation fixes
f8df59f 2018-05-14 Csaba Kertesz        Update the Clang Static Analyser script to Clang 6.0
419bef1 2018-05-18 Eric Dejouhanet      Fix side-effect causing distant jobs to abort.
69f2f99 2018-05-16 Eric Dejouhanet      Fix regression with completed jobs being rescheduled erroneously.
ac40791 2018-05-14 Jasem Mutlaq         Use a more common-sense GUI for telescopes
65afc9d 2018-05-14 Jasem Mutlaq         Abort guiding if mount is slewing or parking
bb97b1d 2018-05-14 Jasem Mutlaq         No need to forward declare KStarsDateTime here
0ecc72c 2018-05-09 Eric Dejouhanet      Summary of development branch 'schedule of asap jobs'
d1e97c3 2018-05-08 Jasem Mutlaq         Block signals instead of disconnect for CCD transfer format
5d4a4f9 2018-05-07 Jasem Mutlaq         When establishing a profile on the remote INDI web manager while we have both CCD and Guider of type multiple-device-per-driver, then we only start ..
aa0bba3 2018-05-07 Jasem Mutlaq         Remember CCD capture format and FITS directory
6e84f80 2018-05-06 Jasem Mutlaq         Fix centering and tracking of empty sky
f708322 2018-05-06 Jasem Mutlaq         Add method to clear all DSLR info
8771ace 2018-05-05 Jasem Mutlaq         Make the Ekos modules fully expand except for regular GUI controls as suggested by Jim on INDI forums
6b0267e 2018-05-05 Jasem Mutlaq         Fix issue with deleting record from database since ID was missing in the map. On invalid FOV, color the background RED
90dda3e 2018-05-04 Jasem Mutlaq         Add J2000 support to mount control panel
629639b 2018-05-03 Jasem Mutlaq         Hemispheres should not affect rotation direction in RA
1951ad5 2018-05-01 Jasem Mutlaq         Start timer for remote solver as well
8f4ef60 2018-05-01 Jasem Mutlaq         Fix filter manager database issues since it was broken and worked on first update only. Now we clone database instead of using existing connection n..
d72f271 2018-04-29 Pino Toscano         tests: do not add KStarsUiTests as autotest
7a8c670 2018-04-28 Pino Toscano         cmake: demote AstrometryNet as runtime dependency
870147b 2018-04-27 Robert Lancaster     This batch should fix a possible bug if DBus looks like it has started on Mac but hasn’t actually started.  It also provides more feedback in the ca..
ea68c70 2018-04-26 Eric Dejouhanet      Scheduler adjustments and fixes
093e671 2018-04-25 Andreas Sturmlechner Fix build with Qt 5.11 (missing QDoubleValidator)
0111020 2018-04-23 Jasem Mutlaq         Fix TZ ambiguity. SetTZ was renamed to SetTZ0 since it sets the TimeZone WITHOUT DST correction. INDI Mount and GPS updates now account for that. Im..
8d80f28 2018-04-22 Jasem Mutlaq         Add Eric as one of the active developers
444843f 2018-04-22 Jasem Mutlaq         Logs, and reworking job count update and repeated jobs estimation
58503e5 2018-04-21 Jasem Mutlaq         Minor cleanup
9b91280 2018-04-21 Jasem Mutlaq         Sync GUI if widget is visible already

2.9.5 (Cygni):
=================================================================================================
1b0216a 2018-04-20 Jasem Mutlaq         Format and sync INDI drivers XML to INDI 1.7.1 release
0ac707a 2018-04-20 Jasem Mutlaq         Use a less confusing question regarding shutters
e754937 2018-04-20 Jasem Mutlaq         Add calculated FOV as a hint to users
c9ccf73 2018-04-20 Jasem Mutlaq         Sync KStars time after initial splash loading phase since time already elapsed from initial startup time
3af4419 2018-04-20 Jasem Mutlaq         Sync last indidrivers.xml
ae3b768 2018-04-20 Jasem Mutlaq         Align module FOV shall default to zero on initial startup. Only after first solve is complete it gets filled from the actual plate solution that mig..
d0a380b 2018-04-20 Jasem Mutlaq         Handle processing reponse from online solver. Follow the timeout set in options to determine when to call it quit
0daadb4 2018-04-20 Jasem Mutlaq         Do not draw invisible FOVs
37c3752 2018-04-20 Jasem Mutlaq         If solver was set to remote and current profile does not contain remote astrometry then reset option to online. This was for Windows only before but..
290c02b 2018-04-19 Jasem Mutlaq         Use different icon when KStars is paused so it is visually clear to the user. The selected icon is red so it stands out among the rest
f63ef75 2018-04-19 Jasem Mutlaq         OSX build fails without include of QApplication
06f5b9d 2018-04-19 Jasem Mutlaq         firstAutoFocus is no longer required
ea16be5 2018-04-19 Jasem Mutlaq         Only enable gain setting if it is writable
788bc8a 2018-04-19 Jasem Mutlaq         Add missing #include <QAction> to compile on Qt 5.5
ab2049c 2018-04-19 Eric Dejouhanet      + Added sequence completion column Added a column to the Scheduler list, with light frame currently captured, and required. These are connected to S..
167b977 2018-04-19 Jasem Mutlaq         Fix complilation on Qt 5.5
256c02c 2018-04-19 Jasem Mutlaq         Add one more connect statement when setting the remote parser to avoid race condition
ea93804 2018-04-18 Jasem Mutlaq         Fix namespace conflict with QDataVisualization
8d7db38 2018-04-18 Jasem Mutlaq         Clean up class includes
833f41e 2018-04-18 Jasem Mutlaq         isFocused should not be in SkyObject
441c12e 2018-04-18 Eric Dejouhanet      This change moves the score/altitude/priority comparisons to SchedulerJob, keeping the lessThan QT-style sort predicate implementation, but clarifyi..
1dbf75d 2018-04-18 Jasem Mutlaq         Bump to 2.9.5
0ab9b26 2018-04-17 Jasem Mutlaq         No need to use lock filter explicitly, use it to whatever currently selected filter
92e631b 2018-04-17 Jasem Mutlaq         Initial work for in-sequence median per-filter HFR thresholding
5b40f1f 2018-04-16 Jasem Mutlaq         Separate device source into Mount and GPS sources to enable users to select which source they prefer most
151f111 2018-04-16 Jasem Mutlaq         Do not set filter absolute focus position if there is no currently selected filter
5440bfe 2018-04-15 Robert Lancaster     I realized one thing that will help the issue we were discussing yesterday about files being copied into Application Support.  So my current solutio..
3d21a9f 2018-04-14 Jasem Mutlaq         Embed indidrivers.xml and QML files and their resources in the application qrc to avoid cross-platform search
a4189c3 2018-04-14 Pino Toscano         tests: fix KStarsUiTests
05e0dfc 2018-04-14 Eric Dejouhanet      Fix scheduler memory leak D12182
f9cbc8d 2018-04-14 Eric Dejouhanet      Limit length of Scheduler log D12183
bbda2f9 2018-04-13 Jasem Mutlaq         Use better display for longitude and latitude
8dc8c58 2018-04-13 Jasem Mutlaq         Check explicitly for cooler switch name
95314df 2018-04-12 Jasem Mutlaq         Bump to 1.7.1 since it contains the indiapi hotfix
2be506a 2018-04-12 Jasem Mutlaq         Bump minimum requirement to INDI v1.7.0
ef721ed 2018-04-12 Yuri Chornoivan      Fix minor typo
431cc42 2018-04-11 Jasem Mutlaq         Make sure async future is finished before closing FITS Tab
766e08d 2018-04-11 Jasem Mutlaq         Add option to reset guiding calibration which is true by default for the scheduler
02183d4 2018-04-11 Pino Toscano         use KFormat::formatByteSize()
d941819 2018-04-09 Jasem Mutlaq         Add Ekos logging support for more device classes

2.9.4 (Emad):
=================================================================================================
d902275 2018-04-08 Jasem Mutlaq         Updated set as parking position message. Fixes D12033
4801574 2018-04-05 Jasem Mutlaq         FITS improvements are complete and ready for testing.
d77bff3 2018-04-05 Jasem Mutlaq         Initial work for parallelization in FITS classes
89ea1e1 2018-04-04 Robert Lancaster     Few changes to make KStars compile on MacOS in addition to changes in INDI directory handling
0b936a7 2018-04-03 David Faure          Fix compilation with Qt 5.11 - just a missing fwd decl
4621ada 2018-03-31 Csaba Kertesz        Get some source files out of sanitizer support
b97bf5b 2018-03-31 Csaba Kertesz        Optimize the FITS statistics and histogram calculations
fb134e9 2018-03-30 Jasem Mutlaq         Set to first tab
c033e62 2018-03-29 Robert Lancaster     Use RCC file to load icons on MacOS
99d6100 2018-03-29 Jasem Mutlaq         Forgot to add resource header
d7bc193 2018-03-29 Jasem Mutlaq         Load RCC resource on Windows
a4dca10 2018-03-28 Jasem Mutlaq         Ignore capture if capture in progress flag is set but display a warning to the log nonetheless
12b2fe2 2018-03-28 Jasem Mutlaq         Flat sync focus functionality now works but requires testing
350f173 2018-03-27 Jasem Mutlaq         Bump to 2.9.4 and initial work for flat field frame synchronization with absolute focus position of corresponding light frames using the same filter
36b4c30 2018-03-27 Jasem Mutlaq         Implement double spin box for PAH exposure and improve PAH refresh performance
51bfe44 2018-03-26 Jasem Mutlaq         Add button to clear all logs including autofocus files. Add size format function to KSUtils
2a58471 2018-03-26 Jasem Mutlaq         Improve debug statement when starting calibration
8d6b80f 2018-03-26 Jasem Mutlaq         Save target CCD in case astrometry driver is not initiliazed yet. Save solver type immediately after changing selection
5b4c22e 2018-03-25 Jasem Mutlaq         Use HA of actual object, not mount. More more messages to logging to simplify the default Ekos on-screen log. Restore the scoreHigh sorting if enabled
4fefd47 2018-03-25 Jasem Mutlaq         Set time spec again after adding seconds since that resets timespecs to UTC by default
dc8f560 2018-03-25 Jasem Mutlaq         Fix compile error
2051486 2018-03-25 Jasem Mutlaq         More fixes to scheduler logic
5e66547 2018-03-25 Jasem Mutlaq         Always re-check job estimated time. Select active job in the list to improve scheduler usability
dab016e 2018-03-25 Jasem Mutlaq         Various scheduler fixes
2077c8d 2018-03-24 Jasem Mutlaq         BUGS:392284
1e7a4fa 2018-03-24 Jasem Mutlaq         Always restart evalutaion of all pending jobs. Do not set best candidate if it was an invalid job
ab02aaf 2018-03-24 Jasem Mutlaq         Set state to progress on changing filter position
4632d93 2018-03-24 Jasem Mutlaq         newStarPosition is already connected
d342ab1 2018-03-23 Jasem Mutlaq         Minor reorganization and GUI improvements
4f7b6d7 2018-03-23 Jasem Mutlaq         Integrate SEP with internal guider. Add support for reacquiring lost star automatically without aborting immediately
4d8f8e7 2018-03-23 Jasem Mutlaq         Add functionality to clear expired dark frames. Small GUI improvements as well
207fbc1 2018-03-23 Jasem Mutlaq         0.99 good enough and will reject out of band widths
dd79e3c 2018-03-23 Jasem Mutlaq         Disable unnecessary debug
5c52463 2018-03-22 Jasem Mutlaq         Only reset guiding calibration when there is error.
cdfc4ac 2018-03-22 Jasem Mutlaq         Use Qt_5_5 as base for binary version
24672b4 2018-03-22 Valentin Boettcher   + Implementing binary reader for asteroid data to make it loading of larger data sets faster and more efficient. + Using qHash for all components. T..
1da9353 2018-03-17 Jasem Mutlaq         Sync INDI drivers list
636634f 2018-03-17 Jasem Mutlaq         autoWCS should be enabled by default
eda1639 2018-03-15 Jasem Mutlaq         Improve logging for alignment and WCS
d0a3ad3 2018-03-15 Jasem Mutlaq         Return false and not status on error
1be092d 2018-03-14 Csaba Kertesz        Make sure there is no out of bound access on moon calculations
a1fc053 2018-03-14 Csaba Kertesz        Move 3rdparty photometry sources out of Unity Build and apply warning surpression on those files
63b7317 2018-03-13 Jasem Mutlaq         Sync INDI drivers with upstream
8a4f8f3 2018-03-12 Jasem Mutlaq         Opps first tab should be the active one
d340153 2018-03-12 Jasem Mutlaq         Add option to reset mount model before each job
e892b95 2018-03-11 Jasem Mutlaq         Enable BLOB when starting video stream in case it was disabled due to external guider usage
dd72a7d 2018-03-08 Jasem Mutlaq         Add exception to networkAccessible() call in online astrometry parser
87eb1fb 2018-03-06 Jasem Mutlaq         Get all objects as proposed by INDI forum user fehlfarbe
4bc165b 2018-03-06 Jasem Mutlaq         Fix crash condition
410fd45 2018-03-05 Jasem Mutlaq         Remove extra options not needed anymore
df8432f 2018-03-02 Jasem Mutlaq         Do not display error of internet connection if astrometry URL is local
79001ff 2018-02-27 Jasem Mutlaq         Improve handling of DSLR info dialog and only show when necessary
cc9f2a6 2018-02-26 Jasem Mutlaq         BUGS:391114 FIXED-IN:2.9.4
92f6cef 2018-02-26 Jasem Mutlaq         Calculate mean and stddev for multi-channel FITS
a940457 2018-02-26 Jasem Mutlaq         Force use of FITS Viewer when we are doing ADU calculations

2.9.3 (Trappist):
=================================================================================================
c3dbe12 2018-02-26 Jasem Mutlaq         BUGS:390124 FIXED-IN:2.9.3
fad13cc 2018-02-26 Jasem Mutlaq         BUGS:391085 FIXED-IN:2.9.3
e4e132a 2018-02-26 Jasem Mutlaq         Use exposure looping count and do not trigger notifications for fast exposures
e020d35 2018-02-25 Jasem Mutlaq         Add INFO debug for setting time and location from device
001be87 2018-02-25 Robert Lancaster     Enable some elements when PHD2 is active
7c0ab12 2018-02-25 Jasem Mutlaq         Update temma binary
bbaab15 2018-02-22 Jasem Mutlaq         Add 24 and 12 hour format for polaris angle as suggested by Patrick
5c02d03 2018-02-22 Pino Toscano         cmake: explicitly require the Auth Framework
65c7e5d 2018-02-21 Jasem Mutlaq         BUGS:390124
10437c9 2018-02-21 Jasem Mutlaq         Opps revert last change. Should be centroid by default
546dfef 2018-02-21 Jasem Mutlaq         Use solver path in detection.
c3bf4c5 2018-02-20 Jasem Mutlaq         Increase minimum area size to 10
291c478 2018-02-20 Jasem Mutlaq         Reset order to Gradient -> Centroid -> Threshold -> SEP
23c0483 2018-02-19 Jasem Mutlaq         Fix compile error
95f4823 2018-02-19 Jasem Mutlaq         Initial experimental support for rapid looping
aaf7823 2018-02-19 Jasem Mutlaq         Increase max count for captured images
86ad796 2018-02-19 Jasem Mutlaq         Increase maximum lost star retries to 10 in case of passing clouds
fe42271 2018-02-18 Jasem Mutlaq         Add SEP handling to focus module. Restructure findStars in FITSData.
3e1bb98 2018-02-18 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
7e7636c 2018-02-16 Jasem Mutlaq         Raise maximum value if saved maximum travel is higher than default maximum value of 50,000
39f8769 2018-02-15 Jasem Mutlaq         Initial work for SEP integration
4b6cd16 2018-02-14 Jasem Mutlaq         Always set binning before setFrame to ensure proper sequence of events in case subframed image dimensions can only work under binning
409cd8a 2018-02-14 Jasem Mutlaq         Add more checks for filter current index
926b21d 2018-02-14 Jasem Mutlaq         Remove -m 100 since it is already by default 128
88537aa 2018-02-11 Jasem Mutlaq         Flush fits file when saving
f79a51c 2018-02-09 Jasem Mutlaq         Use fits_open_diskfile to enable reading filename that may contain paranthesis and brackets.
1f1ded1 2018-02-06 Jasem Mutlaq         Increment finishFramesCount in each job
f32fdfb 2018-02-06 Jasem Mutlaq         Include QMap otherwise it fails to compile on some systems
8cf30f4 2018-02-06 Jasem Mutlaq         Check for nullptr to prevent crash in FITS Viewer.
6215c60 2018-02-06 Jasem Mutlaq         Update Max Travel to focuser limits.
ed81f2a 2018-02-05 Jasem Mutlaq         use rule from last geo location
42dabde 2018-02-05 Jasem Mutlaq         Fix typo
6b2fb50 2018-02-04 Jasem Mutlaq         Increase version number due to GUI changes
f2a834a 2018-02-04 Jasem Mutlaq         More progress to fix the identical jobs issue in scheduler and capture
9a5ded0 2018-02-04 Csaba Kertesz        Don't use internal resource for the GUI because it breaks custom shortcut loading/saving
f3daa23 2018-02-04 Jasem Mutlaq         More progress toward fixing multiple identical jobs in the scheduler queue
b7e382f 2018-02-04 Jasem Mutlaq         Simplify completed jobs count
576e77c 2018-02-04 Jasem Mutlaq         More debug statements
1e7ba9c 2018-02-03 Jasem Mutlaq         Improve QtConcurrent location and remove existing mutexes to enhance performance.
42c5353 2018-02-03 David Faure          Enable QT_NO_CAST_TO_ASCII and fix compilation
8dc1817 2018-02-02 Jasem Mutlaq         If not subframed, set frame settings to the maximum image size even if the current frames upon connection are less than a full frame
6b91b0c 2018-02-01 Jasem Mutlaq         Keep track of identical scheduler jobs with identical sequences to avoid marking all identical jobs as complete. BUGS:389738
28bf635 2018-01-31 Jasem Mutlaq         Enable limits settings by default. Display warnings if they are selected but if the respective modules are not active yet
83c8b08 2018-01-30 Jasem Mutlaq         Make another executable for KStars Lite on non-Android systems. Make sure this does not break Android build

2.9.2 (Titawin):
=================================================================================================
982e9ce 2018-01-29 Jasem Mutlaq         Fix crashing on older Qt systems when reloading QML sources by deleting context. BUGS:389583
090a98d 2018-01-29 Jasem Mutlaq         Use older icon to be compatible with older distros until 18.04 is released at least
502bc40 2018-01-29 Laurent Montel       Fix i18n usage
69446fb 2018-01-29 Jasem Mutlaq         Use icons available in older breeze for backward compatibility in older distros
11440de 2018-01-28 Jasem Mutlaq         Add windows theme search path
263ec0f 2018-01-27 Jasem Mutlaq         Improve FOV text display limits
aff1d2f 2018-01-27 Robert Lancaster     These should be the changes to KStars that would be needed to support the path change
e7061cf 2018-01-27 Yuri Chornoivan      Fix minor typo
09cbf6d 2018-01-27 Robert Lancaster     This patch will add the theme changing function to color options.
967e453 2018-01-26 Robert Lancaster     This patch will add the found stars to the Zoom Menu.  It also adds the ability to change the spacing between bars.  It adds the ability to put the ..
e720694 2018-01-26 Jasem Mutlaq         Add Mount Control Panel access to the telescope tool bar
dbea952 2018-01-26 Jasem Mutlaq         Fix default color
0d2076a 2018-01-26 Jasem Mutlaq         Add support to Sensor FOV that can be triggered from the Ekos tool bar. Color can be set from color scheme
13c441a 2018-01-25 Wolfgang Bauer       Fix build with gcc 4.8
a5fa75e 2018-01-25 Yuri Chornoivan      Fix minor typo
38fcade 2018-01-25 Robert Lancaster     Human counting
6764ceb 2018-01-25 Robert Lancaster     This patch will provide nicer icons for the Star Profile Viewer.  It also improves the display of the sliders, adding labels for them as well.  It a..
86fe609 2018-01-24 Jasem Mutlaq         Only apply PA calculation on square FOVs
29ac3cf 2018-01-24 Jasem Mutlaq         Adding experimental support for differential slewing in align module
0b6303d 2018-01-24 Jasem Mutlaq         Fix typo
d5b39cc 2018-01-24 Jasem Mutlaq         Sync INDI drivers list
f54090f 2018-01-24 Jasem Mutlaq         Remove obsolete parameter
201f3bc 2018-01-24 Jasem Mutlaq         Remove completed jobs from sorted jobs
a7b71da 2018-01-22 Jasem Mutlaq         Use icon name since breeze was removed
cff51e5 2018-01-22 Jasem Mutlaq         Display local meridian even if grids are off or in equatorial mode. BUGS:389289 FIXED-IN:2.9.2
7c7e1dd 2018-01-22 Jasem Mutlaq         Add option to skip sorting jobs and run them as-is in the order they are added
fea7fe2 2018-01-20 Robert Lancaster     When deleting the old night vision style, a remnant was left and is preventing the build on Mac.  This is a simple fix.
7ce9d5f 2018-01-20 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
142c7eb 2018-01-19 Robert Lancaster     Night vision improvements
f4a2a4f 2018-01-18 Jasem Mutlaq         Fix proper settings of icon theme with respect to current theme and current default theme in case of a default theme
cf01438 2018-01-18 Jasem Mutlaq         More work on color schemes and theme. Now nightvision theme triggers also the nigh color scheme as well. Setting it to default will restore color sc..
812e091 2018-01-18 Robert Lancaster     After a bunch of work today and several failed approaches, I finally seem to have fixed the bugs with the changes in theme on Mac.   The issue was t..
22cbd6b 2018-01-17 Robert Lancaster     Hack for loading theme icons on MacOS
8bb0833 2018-01-17 Jasem Mutlaq         Fix typo
706def5 2018-01-16 Jasem Mutlaq         Reset to correct page in wizard
0ee4f5c 2018-01-16 Jasem Mutlaq         Remove Breeze icons and relying on install theme. Chaning some icon to look better with the default KStars theme
fc7ad71 2018-01-16 Robert Lancaster     More work to set theme search paths for different OSes
7b3b2b1 2018-01-15 Jasem Mutlaq         Limit Macintosh theme to Apple
b8ed17f 2018-01-15 Robert Lancaster     This code will enable the Macintosh style theme.  I also move the setStyle to the theme manager since that seems to work now.
665d808 2018-01-15 Robert Lancaster     Set Fusion style for all by default for now
2a039f4 2018-01-15 Jasem Mutlaq         Do not set theme on populate
2249102 2018-01-15 Jasem Mutlaq         Set current theme after everything else is init
afbde64 2018-01-14 Jasem Mutlaq         More progress on theming
6375811 2018-01-14 Jasem Mutlaq         Initial work for theming support. Nothing works.
e703d30 2018-01-14 Jasem Mutlaq         Add logging when saving FITS to disk
38b187e 2018-01-13 Jasem Mutlaq         Update appstream screenshots
913faca 2018-01-13 Robert Lancaster     band-aid fix for cursor bug in FITS View
1b8ac9c 2018-01-11 Robert Lancaster     Color scheme patch for guiding

2.9.0 (Lancaster):
=================================================================================================
928bb5b 2018-01-08 Robert Lancaster     I was doing more testing, and the range on the sliders needs to be expanded just slightly so that it includes all the data.
a55bfd0 2018-01-08 Jasem Mutlaq         Bump INDI dependency to v1.6.1
307c222 2018-01-08 Robert Lancaster     In preparation for the OS X release of KStars 2.9.0, I hunted around for any bugs I could find and I made several small changes.
85d69f5 2018-01-07 Jasem Mutlaq         Bump to 2.9.0
72e37f4 2018-01-07 Robert Lancaster     Significant improvements to star profile viewer
fd4b89f 2018-01-07 Jasem Mutlaq         Update INDI XML drivers file
646c06b 2018-01-07 Jasem Mutlaq         Include WCS lib if it was detected
83498b9 2018-01-04 Robert Lancaster     This patch is for KStars.  It will set the path in the environment variable for the DSI to function on Mac.  Second, I thought the environment varia..
ac53973 2018-01-02 Jasem Mutlaq         Make Qt5DataVisualization optional
a80201d 2018-01-02 Robert Lancaster     This patch and the accompanying files should create a 3D star profile plot that will be available in the guide and focus modules.  Note that current..
bc16599 2018-01-02 Jasem Mutlaq         Try to make it compile for older Qt versions and minor refactor
660266c 2017-12-31 Robert Lancaster     Just a few minor changes.
b991d24 2017-12-31 Robert Lancaster     As I said, I would try to take care of the Dither issues with PHD2.  This patch should prevent the observed problems.
064437e 2017-12-31 Jasem Mutlaq         Add min and max to the list
43ecd47 2017-12-31 Robert Lancaster     This patch does several things:
8ba4cd3 2017-12-29 Robert Lancaster     This patch should do the following:
ead1b81 2017-12-27 Jasem Mutlaq         Dome toolbar is operational now and ready for testing
b536337 2017-12-27 Jasem Mutlaq         Initial work for adding a dome toolbar
625721e 2017-12-27 Jasem Mutlaq         This patch should fix two bugs I found with PHD2.
3b61f05 2017-12-27 Jasem Mutlaq         + Fix issue with non-guide dithering blocking regular calibration. + Fix issue with non-guide dithering getting triggered while guiding. + Robert fi..
25abb45 2017-12-27 Jasem Mutlaq         Fix small typo
4e95346 2017-12-26 Robert Lancaster     This patch should add the pulse graphs for RA and DEC with settings to turn them off.  It includes a slider to adjust the height of the corrections ..
41bfb77 2017-12-24 Robert Lancaster     This patch adds tooltips for the guide buttons I added in the last patch.  It also remembers 3 of the settings in the KStars config file.  And final..
9f23a79 2017-12-23 Robert Lancaster     This patch will add the following items: 1.  A Time Slider for the guide plots, which also functions as a scrolling view for the drift graph. 2.  A ..
a2731b1 2017-12-23 Jasem Mutlaq         Add defualt focuser option and make default devices selection more reliable and consistent across modules
904ca5b 2017-12-23 Jasem Mutlaq         Add set as parking position option to simplify this process for end users
38fc232 2017-12-22 Jasem Mutlaq         Remove lock policy from filter manager and let focus module handle it as it reduces complexity and fixes some corner issues. BUG:388129 FIXED-IN:2.9.0
3ec398b 2017-12-22 Jasem Mutlaq         Make sure to set the ST4 and Guide drivers on explicit set since combobox index does not necessary trigger signal to setST4
f28673e 2017-12-22 Jasem Mutlaq         Remove unused variables
a2809ae 2017-11-17 Aleix Pol            Adapt the cmake buildsystem to be able to work with KDE CI
0b5b265 2017-12-18 Robert Lancaster     This should make sure that the host and port get set correctly for PHD2 and linguider when switching profiles.
098ecf2 2017-12-17 Jasem Mutlaq         2.8.9 changelog update
06b1afd 2017-12-17 Jasem Mutlaq         Disable parity option by default as it could be problematic

2.8.9 (Sarin):
=================================================================================================
bcf13d8 2017-12-16 Robert Lancaster     Add scatter plot in guide module
e6bb032 2017-12-15 Jasem Mutlaq         Update INDI drivers list
2853e56 2017-12-14 Jasem Mutlaq         target filter need to be set after meridian flip and before in-sequence focusing is started in case current filter is different
3f058ed 2017-12-14 Jasem Mutlaq         Init variables to zero D9326
09e0df4 2017-12-14 Robert Lancaster     I cleaned up some of the code in the PHD2 file, added a Request List so that it remembers what it asked PHD2 to do, and added a skeleton to make it ..
7a979bb 2017-12-14 Jasem Mutlaq         Update driver list for v1.6.0
d895018 2017-12-14 Jasem Mutlaq         If version is not valid, set it to 1.0
b236166 2017-12-13 Jasem Mutlaq         Do not use Autofocus filter policy on preview
4b9daca 2017-12-13 Jasem Mutlaq         Improve focus filter policy
ab0e8d2 2017-12-13 Jasem Mutlaq         Add option for when to perform in-sequence focusing
b473d01 2017-12-13 Jasem Mutlaq         Lock policy should determine lock filter search
feab1ce 2017-12-13 Jasem Mutlaq         Check target filter position is > 0
0549957 2017-12-12 Jasem Mutlaq         Resume guiding if it was suspended due to parking dust cap before
755e8df 2017-12-12 Robert Lancaster     This patch should add several improvements to the PHD2 interface in KStars.  Here is a list. 1.  Makes sure the temp directory exists so that the gu..
1399d97 2017-12-11 Jasem Mutlaq         Remove calibration button and make it automatic with just one simple guide button. A clear calibration button is added to reset the calibration
d3ec2d4 2017-12-11 Jasem Mutlaq         Bump version to 2.8.9
c0340ce 2017-12-10 Robert Lancaster     Use USHORT for PHD2 image
881385b 2017-12-10 Jasem Mutlaq         Make file system string comparision case insensitive so that it does not overwrite files on Windows.
7128916 2017-12-10 Jasem Mutlaq         Do not update focus state when in meridian flip
bbe79a3 2017-12-10 Jasem Mutlaq         Set focus to IDLE on filter position ready
91c1130 2017-12-10 Robert Lancaser      Add support for star image reception from PHD2
e4fc7c3 2017-12-10 Jasem Mutlaq         Only reset initialHA on first regular startup not after deviation restart
c28546d 2017-12-10 Jasem Mutlaq         Increase max failure attempts
063582f 2017-12-10 Jasem Mutlaq         Update debugging statement to show DMS
f8a0645 2017-12-08 Jasem Mutlaq         Update Guide params when using external guiders. This needs to be extensively tested as it may lead to regressions on the remote image reception fun..
c42dd43 2017-12-08 Jasem Mutlaq         Use QtConcurrent as to not freeze KStars during the calculation. Object1 should _not_ be a unique_ptr since reset will delete the object while we ar..
84ec267 2017-12-08 Jasem Mutlaq         Cache default Sun pointer instead of repeated search
060961b 2017-12-04 Jasem Mutlaq         Improve objectnearest search algorithm so that object selection especially for bright deep sky objects is not as furstrating
4d0d6c2 2017-12-04 Jasem Mutlaq         If not selected, return nullptr for objectnearest
1b1846b 2017-12-04 Jasem Mutlaq         If there is no country defined, just return site name
59b15b4 2017-12-04 Jasem Mutlaq         Update description and text for time and location settings to avoid confusion on what they exactly do
b675922 2017-12-03 Jasem Mutlaq         String should not contain show
a7d91de 2017-12-03 Jasem Mutlaq         Add support for local meridian solid line
ec1b8e3 2017-12-01 Jasem Mutlaq         remove duplicate file
d81a8c2 2017-11-26 Robert Lancaster     Add support for percentage display while downloading astrometry index files
6cb541f 2017-11-23 Robert Lancaster     This patch will calculate the download time for astrometry index files and will still set it for 60 seconds for the smaller

2.8.7 (Nunki):
=================================================================================================
abb0ff2 2017-10-25 Jasem Mutlaq         Limit DSLR maximum resolution to the imaging resolution defined by the user on first connection. This resolution is enforced at all times to avoid d..
5df85d8 2017-10-24 Jasem Mutlaq         Load TZRules from the file instead of hard-coding it
50a2088 2017-10-24 Jasem Mutlaq         BUGS:377516 Do not explicitly set time format, let it pick up system locale format.
0d43b78 2017-10-24 Jasem Mutlaq         Correct description for AU TZ rule
be91c1d 2017-10-20 Jasem Mutlaq         Handle GPS driver automatically and create a GPS-specific location for the user
82f2a0d 2017-10-18 Jasem Mutlaq         Only accept exact RGB count
b860b0a 2017-10-17 Csaba Kertesz        Small improvements to the INDI interface in KStars Lite
c6063d8 2017-10-17 Jasem Mutlaq         Check remote drivers against required drivers, and not vice versa
4cea5a9 2017-10-17 Jasem Mutlaq         Sync INDI drivers
3243dd7 2017-10-16 Jasem Mutlaq         Move spike reset before the meridian flip check
ca47748 2017-10-15 Jasem Mutlaq         When aborting capture due to guiding deviation, check if we need to perform meridian flip. Thanks to Turki for the heads up
70a7593 2017-10-15 Jasem Mutlaq         i18n fixes
9121b1e 2017-10-14 Jasem Mutlaq         Various fixes for rotation control
5848882 2017-10-14 Jasem Mutlaq         Fix sign for northPA
f757c0c 2017-10-14 Jasem Mutlaq         Fix PA issues with FOV display and Rotator
1ef9d58 2017-10-14 Jasem Mutlaq         Add regular open FITS action to generic viewers list as well
8442bb0 2017-10-14 Jasem Mutlaq         Check if solver pointer set
18a353c 2017-10-12 Jasem Mutlaq         Rename ogg file to avoid packaging conflicts
d697b06 2017-10-11 Jasem Mutlaq         Add necessary sounds for cross-platform availibility
dab113e 2017-10-10 Jasem Mutlaq         Revert to Oxygen-* sounds until a more multi-platform solution is found
6f05acb 2017-10-10 Jasem Mutlaq         Better handling of guide log file
49d5aa8 2017-10-10 Jasem Mutlaq         Do not require guide deviation to be checked to process post-meridian-flip guiding
fcb989d 2017-10-10 Jasem Mutlaq         Use standard KDE sounds

2.8.4 (Juli):
=================================================================================================
7c04782 2017-09-22 Jasem Mutlaq         Add support for PSF convoluted star detection algorithm adapted from PHD2 for auto selection of the guide star
0019dfb 2017-09-22 Jasem Mutlaq         Add copy constructor
765f011 2017-09-22 Jasem Mutlaq         Experimental zoom-dependent font size. Please test
86176fa 2017-09-22 Jasem Mutlaq         Do not use display labels for HD stars, use genetive name
c3f8853 2017-09-22 Jasem Mutlaq         Tempeorary hack to enable RTL for Arabic since qtbase_ar.qm does not exist upstream yet
00780eb 2017-09-22 Jérôme SONRIER       Update TZ rules
c7d478b 2017-09-22 Jasem Mutlaq         In case we are taking light images and the dust cap is parked, we unpark it before we proceed
3200cf1 2017-09-22 Jasem Mutlaq         Make the dark library dialog non-blocking so that user can take action
ece5d50 2017-09-21 Jasem Mutlaq         Bump to 2.8.4
06864de 2017-09-21 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
2c5480b 2017-09-21 Jasem Mutlaq         Update rotator settings to match those of INDI
4b6176e 2017-09-21 Jasem Mutlaq         Set this string so that RTL languages can set it to RTL and layout can switch automatically
161f6dd 2017-09-21 Jasem Mutlaq         Do not translate None for HiPS sources
46e5f9f 2017-09-21 Jasem Mutlaq         Fix None issue not getting selected when displayed in different locale
868e941 2017-09-21 Jasem Mutlaq         Unify font families and make more space due to language issue
1f584ff 2017-09-21 Yuri Chornoivan      Fix minor typo
0d4b150 2017-09-20 Jasem Mutlaq         Do not set target coords from telescope coords immediately after a model reset since the telescopes coords will be invalid
fb9ef7a 2017-09-20 Jasem Mutlaq         Unpark can be IDLE after initial startup so handle this
84dd672 2017-09-20 Jasem Mutlaq         Do not dither after meridian flip
cdbde3f 2017-09-20 Jasem Mutlaq         Thank to Yuri for the tip now finding Polaris in different locales works
261f862 2017-09-20 Csaba Kertesz        Allow more tolerance for the alignment
d1ba9c4 2017-09-20 Csaba Kertesz        Fix compiler warning (-Wvla) to avoid stack overflow
6d0e344 2017-09-20 Jasem Mutlaq         Reject large calibration stars that do not fit within the guide box
618f206 2017-09-20 Jasem Mutlaq         Fix compile error
2d056f4 2017-09-20 Jasem Mutlaq         Do not build testing unless required
8833f71 2017-09-20 Jasem Mutlaq         Several i18n fixes and add warning when Slewing to Sun
b5278f3 2017-09-19 Jasem Mutlaq         Disable scripting for non-UNIX systems for now until DBus handling is fixed properly
e4fd674 2017-09-19 Jasem Mutlaq         Remember if temperature check is enforced for current CCDs in the list
c11fccd 2017-09-19 Jasem Mutlaq         Increaser range for focus filter offsets
879088e 2017-09-19 Jasem Mutlaq         When ekos state is stopping, we must check for its status in all shutdown stages
0a98aff 2017-09-18 Jasem Mutlaq         Save settings for capture calibration in options
a0a733f 2017-09-18 Jasem Mutlaq         Use better naming scheme for generic blobs
1b11f4e 2017-09-18 Jasem Mutlaq         Do not process mount status unless guider is internal
e90fd9a 2017-09-17 Jasem Mutlaq         Give hints if UTC offset is not set
ac46233 2017-09-17 Jasem Mutlaq         Swap elevation and read only
05142d1 2017-09-17 Jasem Mutlaq         Elevation should come before read only
5bb9d50 2017-09-17 Robert Barlow        Update citydb with elevations from Google and reduce minimum elevation in location dialog
201f95f 2017-09-17 Jasem Mutlaq         Make guide exposure 3 decimals
bb7d7f4 2017-09-17 Jasem Mutlaq         Limit next exposure setting for automatic ADU to camera limits
49419db 2017-09-17 Jasem Mutlaq         Add support for ROTATOR class and handle setting of it like other devices
bdb2615 2017-09-16 Jasem Mutlaq         Fix issues with elevation and city addition and update in location dialog
371edd5 2017-09-16 Jasem Mutlaq         DB changes from Robert
f9a841c 2017-09-16 Jasem Mutlaq         Rotator fixes
fdd6f99 2017-09-15 Robert Barlow        Add elevation to geo-location and database
6de0ec3 2017-09-15 Jasem Mutlaq         Fix rotator limits and PA angles
f509a28 2017-09-15 Jasem Mutlaq         Fix rotator calculations and only start to check PA after solving first actual image after load and slew. Fix reading of RA and DE from FITS files a..
04872e5 2017-09-15 Jasem Mutlaq         Set status to 0 otherwise cfitsio would magically fail if the previous operation failed.
ad6d365 2017-09-15 Jasem Mutlaq         Alignment settings changes should be handled in align module
20d854e 2017-09-15 Jasem Mutlaq         Update active telescope name for all CCds
ec2ecbf 2017-09-15 Yuri Chornoivan      Fix minor typo
b3f002d 2017-09-15 Jasem Mutlaq         Consider device not found if filterName is null initially
7d071bd 2017-09-15 Jasem Mutlaq         Support for rotator in load&slew. It should automatically adjust rotator the orientation of the solved image
9e92c2d 2017-09-15 Jasem Mutlaq         Rotator control and sequence settings now work and tested on my observator with NightCrawler
0ce0ee8 2017-09-15 Jasem Mutlaq         Fix rotation of PA FOVs
ec1e4ef 2017-09-14 Jasem Mutlaq         Fix scheduler abort job statement
7a40915 2017-09-14 Yuri Chornoivan      Fix minor typos
46b57ef 2017-09-14 Jasem Mutlaq         Make constellation names less prominent as they can be distacting.
dbc15e9 2017-09-13 Jasem Mutlaq         More progress on rotator integration with alignment module
09daa11 2017-09-13 Jasem Mutlaq         Fix saving of last equipment profile
a13e691 2017-09-13 Jasem Mutlaq         Improve handling of device removals in focus module
c8c977d 2017-09-12 Jasem Mutlaq         More progress on Rotator integration with Ekos
d852d8d 2017-09-12 Jasem Mutlaq         FOV rotation is specified as E of N for clarity and now it is properly drawn on the sky map
61d7679 2017-09-12 Jasem Mutlaq         saveB was not connected to slot, how did this happen?
9439fee 2017-09-12 Jasem Mutlaq         Use camera width and pixel size for FOV calculatio. Add button to fetch values from INDI, this is still TODO
b56f73f 2017-09-11 Jasem Mutlaq         Manage dome motion in alignment module
907c966 2017-09-11 Jasem Mutlaq         Stop timer on telescope disconnect
6c3476e 2017-09-11 Christian Dersch     Updated from upstream. Workaround for M102

2.8.3 (Tommy):
=================================================================================================
1eb46b9 2017-09-11 Jasem Mutlaq         If calibration view is gone then set dark frame as false
833600c 2017-09-10 Jasem Mutlaq         Comet and Asteroid calculation produce J2000 results so we need to precess them
9b1e68f 2017-09-10 Jasem Mutlaq         Localized constellation names should be used by default
2458141 2017-09-10 Jasem Mutlaq         Use bigger font for constellation names
11a630e 2017-09-10 Jasem Mutlaq         Display error when failing to save an image locally
65e868c 2017-09-09 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
a641c62 2017-09-09 Valentin Boettcher   Update remainder of VSOP87 files
942632f 2017-09-09 Jasem Mutlaq         Check whether a sequence is complete before preparing jobs as we do not need to trigger precapture jobs prematurely
16ccf06 2017-09-09 Jasem Mutlaq         Use unique connections to avoid dupes
0514332 2017-09-09 Jasem Mutlaq         Do not set starSelected to false on stop. Doing so will make focus module switch HFR algorithms on the next run which might return a different HFR v..
a87381a 2017-09-09 Csaba Kertesz        Make the UI tests optional and omit them if CFitsIO is not available
dc5e05c 2017-09-09 Csaba Kertesz        Add myself to the active developers
60f35f4 2017-09-09 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
1c82cd3 2017-09-09 Robert Lancaster     copyLocale step for MacOS until KF5 looks for translations relative the current binary on MacOS
70e6630 2017-09-09 Csaba Kertesz        Add CFitsIO target dependency to fix compilation error on Fedora
0aefab5 2017-09-08 Jasem Mutlaq         Improve FOV view for the Mosaic Tool
adbb893 2017-09-08 Jasem Mutlaq         Improve Mosaic tool: 1. Dragging now actually works. 2. Title J2000 positions are very accurate. 3. Provide extra space to allow for rotations.
1c75eb1 2017-09-08 Jasem Mutlaq         remove options button since it is repeated down
28e3c90 2017-09-08 Jasem Mutlaq         Handle SettleBegin event and on dither error, resume with guiding policy
ef713cf 2017-09-08 Jasem Mutlaq         Move profile out of job since it applies to the whole schedule list
8e8a5a1 2017-09-08 Jasem Mutlaq         Add note that all elements are in J2000 ecliptic coordinates
cd138b7 2017-09-07 Jasem Mutlaq         Set lastPrecessJD for all solar system bodies
94868fd 2017-09-07 Jasem Mutlaq         Better debug statements
e5357b2 2017-09-07 Jasem Mutlaq         Add earth.B0 from Valentin script. Moving vsops into one directory
d758bd0 2017-09-07 Jasem Mutlaq         Fix inaccurate positions of asteroids, comets, and other solar system bodies. There were problem in multiple places, but the Earth ecliptic longitud..
8c71580 2017-09-07 Jasem Mutlaq         Remove unused debug
9b65f45 2017-09-07 Valentin Boettcher   Improved VSOP87 data
0922489 2017-09-06 Jasem Mutlaq         Remove i18n when it should not be used
0138944 2017-09-06 Jasem Mutlaq         Fix time unit box stepping action. This fix should be available in the next KStars release 2.8.3 BUGS:384434 FIXED-IN:17.12
9c41018 2017-09-06 Jasem Mutlaq         Disable auto detect StellarMate in Windows as qMDNS does not work there now
eb4b0d7 2017-09-06 Jasem Mutlaq         More logging fixes
9cdb3a3 2017-09-05 Kevin Funk           clang-tidy: modernize-use-nullptr run
880316d 2017-09-05 Kevin Funk           CMake: Treat Eigen includes as system headers
a95c63d 2017-09-05 Kevin Funk           clang-tidy: modernize-use-override run
6982b22 2017-09-05 Jasem Mutlaq         Correct header
041c3cf 2017-09-05 Jasem Mutlaq         CMake: Use dynamically fetched translations by Kevin Funk
13f94dc 2017-09-05 Jasem Mutlaq         QLoggingCategory migration still going
61575d0 2017-09-05 Jasem Mutlaq         Add option to reset mount model after meridian flip is complete
905f65d 2017-09-05 Csaba Kertesz        Fix the late compilation errors
7ebcb80 2017-09-05 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
fb5e85f 2017-09-05 Jasem Mutlaq         Verify comet and asteroid data before saving the returned result as JPL apparently does not return 404 but a different valid page that does not cont..
bc9a84f 2017-09-05 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
f646c0d 2017-09-05 Jasem Mutlaq         Permit user to disable camera BLOBs when using external guiders
04a3320 2017-09-05 Csaba Kertesz        Add KDELibs4Support dependency to find kdeversion.h on all systems
11ff043 2017-09-04 Csaba Kertesz        Be compatible with KDE version in Ubuntu Xenial
98b1bad 2017-09-05 Jasem Mutlaq         Allow user to explicitly select telescope type in guide module
8b9e277 2017-09-05 Jasem Mutlaq         Record focus frame count used for HFR average in the options
8569beb 2017-09-05 Jasem Mutlaq         If problem is encountered while dither, report dither error first before abort
b56915c 2017-09-04 Jasem Mutlaq         Do not load Ekos summary screen FITS in resource limited mode
49a82bc 2017-09-04 Jasem Mutlaq         Do not alter telescope type in Align module unless the solver is executed
64c3b77 2017-09-04 Jasem Mutlaq         Add support to non-guiding dither
fef70ef 2017-09-04 Jasem Mutlaq         Add note on longitude of earth perihelion which is an important FIXME item
5d32e77 2017-09-04 Jasem Mutlaq         Fix spacing problem
60604f4 2017-09-01 Csaba Kertesz        Adding mouse pointer-based telescope control actions
d0936b8 2017-09-01 Jasem Mutlaq         Sync to master INDI update
9283958 2017-09-01 Jasem Mutlaq         Sync drivers with upstream updates
a660d6a 2017-09-01 Jasem Mutlaq         Bump INDI dependency now to 1.5.0
2a0aa23 2017-08-31 Jasem Mutlaq         Add info message when stopping guiding
85d34e4 2017-08-30 Jasem Mutlaq         Use correct debug file
c82db62 2017-08-30 Jasem Mutlaq         refactor mouse mode to cursor mode and use enum of const int. Add magenta crosshair for live view selection. Increase pen width for view crosshair
9aa5f08 2017-08-30 Jasem Mutlaq         Make sure HasWCS is true in case of manually loading WCS after load is complete in case of manually injecting WCS data
c6329a6 2017-08-30 Jasem Mutlaq         Use --help as it works across all versions
b6e6a3e 2017-08-30 Jasem Mutlaq         Fix few profile wizard GUI issues
b177ef4 2017-08-30 Jasem Mutlaq         Also enable guide check deviation when guiding starts since some external guider do not send calibration signal
e86d660 2017-08-29 Jasem Mutlaq         Add ability to reset mount model in the scheduler in case of alignment failure
44ac701 2017-08-29 Jasem Mutlaq         Telescope group should not be exclusive. This fixes the isChecked issue always evaluating to true
7c43604 2017-08-29 Jasem Mutlaq         Bump to 2.8.3 and fix filter table typo by recreating it
b3fe48f 2017-08-29 Jasem Mutlaq         Fix tab order. Differentiate between saving and adding new filters
3b4bd87 2017-08-29 Jasem Mutlaq         Add missing files
d7dd6d1 2017-08-29 Jasem Mutlaq         Add support to auto-detecting StellarMate gadgets
3e22461 2017-08-29 Jasem Mutlaq         Limit search area in guide and focus to 70% from center
912c0d2 2017-08-28 Csaba Kertesz        Compilation fix
3a59076 2017-08-27 Csaba Kertesz        Add basic GUI testing to KStars Lite
fa9acd2 2017-08-24 Csaba Kertesz        Fix KStars Lite startup and compilation warnings on Linux host
d7a70e6 2017-08-28 Jasem Mutlaq         Initial work for full field focusing, it works now for those who want to use it
0389b7e 2017-08-28 Jasem Mutlaq         Fix warning
a62c609 2017-08-28 Kevin Funk           CMake: Fix some CMake CMP0054 warnings
56bfdea 2017-08-28 Jasem Mutlaq         Handle GUIDE_LOOPING in abort
178ff0d 2017-08-28 Jasem Mutlaq         Use currentIndexChanged to detect changes better
ddd861d 2017-08-27 Jasem Mutlaq         Fix crash is saving and opening session list

2.8.1 (Hipster):
=================================================================================================
617e4fe 2017-08-17 Jasem Mutlaq         Initial work on mount tracking support
08205fb 2017-08-16 Jasem Mutlaq         In case no star is selected in autofocus and timeout is triggered, go to last known center
b847689 2017-08-16 Jasem Mutlaq         Switch to equatorial mode to correctly orient the display for the camera position angle. Needs testing
c55ab9f 2017-08-16 Jasem Mutlaq         Make zoom modifier a bit less dramatic
552a61e 2017-08-16 Jasem Mutlaq         HiPS experiemental support is now operational in KStars with 3 catalogs. Others will be available via HiPS download manager in the next release
2a2ffcb 2017-08-14 Csaba Kertesz        Miscellaneous fixes
a317b9d 2017-08-16 Jasem Mutlaq         More work on healPIX and HIPS. Added options for HIPS Grid, color selection. Still testing Healpix functions with KStars projections and SkyPoint.
2344a8e 2017-08-16 Jasem Mutlaq         More progress on Healpix, getPix works now but still long way to go
f48d4c8 2017-08-16 Jasem Mutlaq         Remove extra semi colon
dc93af9 2017-08-15 Jasem Mutlaq         Dome should sync ACTIVE_TELESCOPE if detected
4a3c5f5 2017-08-15 Jasem Mutlaq         Disable omp for now
3fa4529 2017-08-15 Jasem Mutlaq         Add separate none selector to execlusive groups, more Hips related work
f0ef17d 2017-08-14 Jasem Mutlaq         More work to manage HIPS. Now 3 hips sources are stored in the default database. HIPS GUI manager to be added to add and remove HIPS sources
8ad7925 2017-08-14 Jasem Mutlaq         More work on HiPS. Nothing works yet we have a long way to go. Copyright added and cache mechanism imported from SkyTextX
7feab37 2017-08-14 Csaba Kertesz        Allow higher tolerance for the alignment
f9cbb1d 2017-08-14 Jasem Mutlaq         Initial work for HIPS support in KStars
f312564 2017-08-14 Jasem Mutlaq         Use constexpr
6911b50 2017-08-13 Csaba Kertesz        Fix a division by zero
29811be 2017-08-11 Csaba Kertesz        Usability improvement for Ekos sessions
b42a164 2017-08-11 Jasem Mutlaq         Forgot to add missing files
2bbf3a4 2017-08-11 Jasem Mutlaq         Add Polaris Hour Angle adapted from SkyTechX
8d85c26 2017-08-11 Jasem Mutlaq         QDateTime setUtcOffset is deprecated since Qt v5.2 so ought to move away from it and we are now using timespec instead. I made the necessary changes..
1ee8f79 2017-08-10 Jasem Mutlaq         Adding support to custom properties setting in capture module. Removing explicit support for gain settings since this is covered by custom properties.
3d6f003 2017-08-10 Jasem Mutlaq         Formatted again with clang
fa1fad0 2017-08-10 Jasem Mutlaq         Add switch for scheduler logging
5430fc4 2017-08-10 Jasem Mutlaq         Resize config dialog to resonable size on startup
004da33 2017-08-10 Jasem Mutlaq         Separate INDI and Ekos shutdown
4c011c1 2017-08-10 Jasem Mutlaq         Ignore duplicate device if received
98d99b6 2017-08-10 Jasem Mutlaq         Add proper debugging category statements
7e40c62 2017-08-10 Jasem Mutlaq         Handle proper removal of devices in case of Multiple-Devices-Per-Driver drivers
b325443 2017-08-10 Jasem Mutlaq         Add INDI debug option
b2afffe 2017-08-10 Jasem Mutlaq         Fix handling of already connected PHD2
36fbe22 2017-08-10 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
8b24907 2017-08-10 Jasem Mutlaq         More debug statements
fa79fc4 2017-08-09 Csaba Kertesz        Improve the testing robustness on x86 target
529a65c 2017-08-09 Jasem Mutlaq         On position set, set equipment to connected if not already set
d5bdd46 2017-08-09 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
04b1a72 2017-08-09 Jasem Mutlaq         Retries set equipment connected if it fails 3 times
3adad76 2017-08-09 Jasem Mutlaq         Do not calibrate for external guiders
93eda2a 2017-08-09 Csaba Kertesz        Show the progress while the Sky Calendar is being plotted
c22a83f 2017-08-09 Jasem Mutlaq         Set PHD2 and LinGuider options as per profile info
b90ae91 2017-08-09 Jasem Mutlaq         Use one function to handle all guider selection transitions
d35ae9d 2017-08-08 Jasem Mutlaq         If type is unkown default to primary in align module
3da2cc9 2017-08-08 Jasem Mutlaq         Default to uknown telescope type initially
bd5ef9b 2017-08-08 Jasem Mutlaq         Fix typo
926443e 2017-08-08 Jasem Mutlaq         Handle scope switch when standard INDI properties is not defined
18e6916 2017-08-08 Jasem Mutlaq         read in both primary and guide infos from telescope
b2d545e 2017-08-08 Jasem Mutlaq         Separate filter wheel management from focus to alignment
3ed6831 2017-08-08 Jasem Mutlaq         Support selection of no filter wheel device. Save CCD and Filter Wheel device names in the sequence file to be set when loaded again
303ef97 2017-08-07 Jasem Mutlaq         Fallback to Profile Telescope info in case a non-INDI compliant mount driver is used
0dac605 2017-08-07 Jasem Mutlaq         Remove unused debug
7fe20b8 2017-08-07 Jasem Mutlaq         Update more files to the new logging category
970db6d 2017-08-07 Jasem Mutlaq         Migrate more to QLoggingCategory
5028e95 2017-08-06 Jasem Mutlaq         Migrating KStars to use QLoggingCategory framework which supports granular control over logging in runtime.
8a0f7c5 2017-08-06 Jasem Mutlaq         Add initial work for retrieving geolocation. However the backend used in Linux geoclue is not working with QtPositioning so need to investigate
e43ef3a 2017-08-06 Jasem Mutlaq         Add dependency for QtPositioning and bump to 2.8.1
1e22cf5 2017-08-05 Jasem Mutlaq         Partial fix for comet positions. Some position are better, but others are way off.
9676f88 2017-08-04 Jasem Mutlaq         Add support for Rotator Angle handling directly
b75189c 2017-08-04 Jasem Mutlaq         Fix command line options parsing and do not set time twice if already set on startup
eac48c2 2017-07-19 Akarsh Simha         1. Improve accuracy of eccentric anomaly calculation by iteration
0e47636 2017-08-03 Robert Barlow        Patch by Robert Barlow to support custom catalogs in WUT. BUGS:357671
29ed0b2 2017-08-03 Jasem Mutlaq         Do not process zero length blobs
22d9b92 2017-08-01 Jasem Mutlaq         Check return status of addJob before proceeding. Always use CLIENT mode when taking previews
b41529f 2017-07-31 Csaba Kertesz        Fix app-closing crashes related to constellation and catalog handling
ff4b962 2017-08-01 Jasem Mutlaq         Fix problem with resetting PAH buttons in second rotation stage
405a80e 2017-07-31 Jasem Mutlaq         Display INDI universal messages as received from INDI server
99004c2 2017-07-29 Csaba Kertesz        Remove libnova dependency from the Android build
3665023 2017-07-28 Csaba Kertesz        Fix a crash in the What is interesting dialog
82e903e 2017-07-28 Jasem Mutlaq         BUGS: 382721 Just use less than and greater than keys for time.
48bf745 2017-07-26 Csaba Kertesz        Fix Coverity findings
0175158 2017-07-26 Csaba Kertesz        Normalized slots and other fixes for Clazy
299c1dc 2017-07-26 Csaba Kertesz        Further Krazy fixes
d5435c7 2017-07-25 Csaba Kertesz        Fix Krazy findings
9c62a17 2017-07-25 Csaba Kertesz        Fix crashes when an operation is in progress while KStars is being closed
0d0d217 2017-07-25 Csaba Kertesz        Add Coverity build script
3c86098 2017-07-25 Csaba Kertesz        Add Krazy build script

2.8.0 (Arcturus):
=================================================================================================
ebc576a 2017-07-25 Jasem Mutlaq         Fix compiling on MacOS
dfc5705 2017-07-24 Csaba Kertesz        Try to fix the FreeBSD build with reordering the includes
d530dbe 2017-07-24 Csaba Kertesz        Fix the compilation on FreeBSD
6c82d12 2017-07-24 Csaba Kertesz        Add a missing include
d08c6cb 2017-07-24 Csaba Kertesz        Add Clang Tidy analyzer script and fix the findings
f974195 2017-07-23 Csaba Kertesz        An other missing include for Fedora
ae8bf98 2017-07-23 Csaba Kertesz        Add a missing include for the Fedora build
457ac1a 2017-07-23 Csaba Kertesz        Add Clang Static Analyzer script and fix the findings
b624554 2017-07-23 Csaba Kertesz        Add a missing include
dc5fa72 2017-07-23 Ben Cooksley         Fix compilation on FreeBSD by telling CMake that KF5::Notifications is one of the libraries we use. This triggers CMake to add the include directori..
ddc939b 2017-07-22 Jasem Mutlaq         Just busy state is enough to restart remote astrometry timer
2441691 2017-07-22 Jasem Mutlaq         Use restart time
b2c6aba 2017-07-22 Jasem Mutlaq         1. Set ACTIVE_CCD when detected. 2. Start remote solver timer when detecting it started remotely.
4149073 2017-07-21 Csaba Kertesz        Add missing includes for the Fedora build
4d8791c 2017-07-21 Csaba Kertesz        Add Clazy script, fix all problems and add more smart pointers
62e4188 2017-07-20 Robert Lancaster     Compile fixes for MacOS
2870fe2 2017-07-20 Jasem Mutlaq         Add support to selection of telescopes from profile itself. By default, it is left to default which just uses whatever telescope settings that were ..
1533eaa 2017-07-20 Jasem Mutlaq         Bump to 2.8.0
a8b5c11 2017-07-20 Jasem Mutlaq         BUGS:382377
13c13eb 2017-07-20 Jasem Mutlaq         Fix for qtdbusmacros deprecated in 5.9
654754f 2017-07-18 Csaba Kertesz        Add cppcheck script, fix findings and add more smart pointers
7eea2c2 2017-07-19 Ben Cooksley         Merge branch 'Applications/17.08'
59df556 2017-07-19 Ben Cooksley         Cherry pick various compilation fixes
b2954d5 2017-07-19 Ben Cooksley         Let's see if QPointer's include being missing is the only thing we're missing here
021a86d 2017-07-19 Ben Cooksley         Various compilation fixes
7f19b35 2017-07-19 Ben Cooksley         Let's see if QPointer's include being missing is the only thing we're missing here
45e50e5 2017-07-19 Ben Cooksley         Merge Applications/17.08 into master
661f074 2017-07-19 Ben Cooksley         The new header is available in Qt 5.8, so let's use it there. This is required because the compatibility header is broken in Qt 5.8
b2324cd 2017-07-18 Csaba Kertesz        Add a missing include
6b65694 2017-07-17 Jasem Mutlaq         Fix corner case under Windows where if remote solver was selected previously and not available now then the whole align module is disabled
484707d 2017-07-17 Michael Fulbright    This patch adds the ability to have a scheduled refocus every N minutes during a capture sequence. A timer is started when the sequence stars and af..
6cda665 2017-07-17 Csaba Kertesz        Fix memory leaks and the Android build
9d35ec5 2017-07-17 Csaba Kertesz        Rearrange the generated source files
d9fed37 2017-07-16 Csaba Kertesz        Add smart pointers for starblock-based components and update valgrind suppressions
dbf01f7 2017-07-16 Jasem Mutlaq         Better use version check for different QT versions for Qt DBus headers
a9c230a 2017-07-16 Csaba Kertesz        Rename skiplist in skycomponents to skiphashlist (name collision with htmesh)
ff59317 2017-07-16 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
76fbd52 2017-07-16 l10n daemon script   GIT_SILENT made messages (after extraction)
0355432 2017-07-16 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
0d61049 2017-07-16 l10n daemon script   GIT_SILENT made messages (after extraction)
f51523f 2017-07-16 Jasem Mutlaq         Better use version check for different QT versions for Qt DBus headers
c5e1053 2017-07-16 Jasem Mutlaq         qdbusmacros deprecated
3a06498 2017-07-15 Csaba Kertesz        Smart pointer usage to free up resources correctly
ab753ad 2017-07-10 Csaba Kertesz        Memory management clean-up, valgrind suppression file and other fixes
06d8553 2017-07-15 Luigi Toscano        Merge remote-tracking branch 'origin/Applications/17.04'
4442dc4 2017-07-14 Jasem Mutlaq         BUGS:382344
307dcc6 2017-07-13 Jasem Mutlaq         Wait for wcsWatcher to finish before deleting imageData on reload
cba3e10 2017-07-13 Jasem Mutlaq         Implement better solution to remember autoWCS and solverWCS option settings since we change them on the fly in PAH
a48e721 2017-07-13 Christian Dersch     Add missing objects
1490de9 2017-07-13 Jasem Mutlaq         Disable WCS on PAH Refresh phase
9f1514c 2017-07-12 Jasem Mutlaq         Replacing default NGC/IC catalog with OpenNGC. Christian Dersch compiled this catalog from OpenNGC data into KStars format. For more details, please..
95c4033 2017-07-12 Jasem Mutlaq         Add more debug statements to WCS stuff
86bea8d 2017-07-12 Jasem Mutlaq         BUGS:382054
632ae31 2017-07-12 Jasem Mutlaq         BUGS:382150
a65afbc 2017-07-12 Jasem Mutlaq         Use stock INDI client library on Windows since it is now ported to WIN32
36683ae 2017-07-12 Jasem Mutlaq         Remove obsolete connection
6bef4f9 2017-07-11 Jasem Mutlaq         Check if wcsWatcher is not running first before running a job
c0823cc 2017-07-10 Jasem Mutlaq         Try to solve the issue of external guiding frames once and for all. When using external guiding app, ALL CCDs BLOBs get automatically disabled. Howe..
80cb32f 2017-07-10 Jasem Mutlaq         Hide mount control on disconnection
c3194ac 2017-07-10 Jasem Mutlaq         Add convenient looping mode to guide module
7078e12 2017-07-10 Jasem Mutlaq         Use 24-hour format for scheduling
f5c7c49 2017-07-09 Jasem Mutlaq         Delete mount control on destroy. Correctly update park initial state
964727e 2017-07-08 Jasem Mutlaq         New Android release to fix startup crash
19daa1b 2017-07-08 Jasem Mutlaq         Update kspaths to account for new package name
ebca5a0 2017-07-08 Jasem Mutlaq         Fix Windows mis-aligned content bug in what is interesting QML view
ac956f9 2017-07-08 Jasem Mutlaq         Fix odd Windows bug, add splitters, remove miniButton
cc7aa3a 2017-07-07 Jasem Mutlaq         Improve space usage in observation plannner
f1c93b0 2017-07-07 Michael Fulbright    Add dither size in pixels and dither timeout to UI
0a06ac5 2017-07-07 Jasem Mutlaq         Fix EQMOd crash
02c0eef 2017-07-07 Jasem Mutlaq         Change package and update version
2ad1f32 2017-07-07 Jasem Mutlaq         Disable background so that toolbar appears fine
816eabc 2017-07-06 Hannah von Reth      Also detect libnovad
2b6f304 2017-07-05 Csaba Kertesz        Further MSVC fixes
ec56e60 2017-07-05 Csaba Kertesz        Fix the MSVC build
5dd49dc 2017-07-05 Csaba Kertesz        Make ld.gold linker support optional
5eb60f0 2017-06-25 Csaba Kertesz        Add Unity build support for datahandlers and htmesh components
5128276 2017-07-04 Csaba Kertesz        Fix the Moon phases
c939ab9 2017-07-04 Jasem Mutlaq         Any build directory should be ignored
6960b21 2017-07-04 Jasem Mutlaq         Use updated signal and slot
17941a7 2017-07-04 Jasem Mutlaq         Explicitly use kstars.knsrc file from resources for KNewStuff
d89cd04 2017-07-04 Csaba Kertesz        Fix the Android build errors
32ffa48 2017-07-03 Csaba Kertesz        Don't generate the astronomy.net downloader under Android
f0849fc 2017-07-03 Jasem Mutlaq         Fix bug in filtering objects via constellation or regions. BUGS:381311 FIXED-IN:17.08
7299257 2017-07-03 Csaba Kertesz        Fix the KStars linking for gslcblas when gcc is used
c2d40c0 2017-07-03 Jasem Mutlaq         Possible fix for AltvsTime time problem
a275e0c 2017-07-03 Jasem Mutlaq         Fix day duration format. BUGS:381704 FIXED-IN:17.08
5bf07b2 2017-06-29 Jasem Mutlaq         Fix compile issue
13d365e 2017-06-29 Jasem Mutlaq         Make PHD2 use the dither settle time in options
a07f301 2017-06-29 Robert Lancaster     This patch should add a function for KStars on OS X to detect if PTPCamera has commandeered the camera and provide the user with an option to quit t..
b11c408 2017-06-29 Jasem Mutlaq         Add support for post-dither settle period in seconds before resuming guiding and capture
bae46be 2017-06-29 Jasem Mutlaq         Only clear alignment model if mount support such operation
0503574 2017-06-27 Robert Lancaster     This patch should update the "Center Telescope” feature to conform with the new method of loading WCS data on demand.  The feature was programmed wh..
8888bdb 2017-06-23 Csaba Kertesz        Fix some sanitizer findings, update .gitignore and add a source file to compilation
5a51c28 2017-06-25 Csaba Kertesz        Add Unity Build support
eb7dba4 2017-06-24 Jasem Mutlaq         Clear pahImageInfo when recapturing due to missing WCS
a788125 2017-06-24 Jasem Mutlaq         Use combo box to improve GUI for selection of guider app
f35a750 2017-06-24 Jasem Mutlaq         Remove guider selection from guide options and make it part of profile. This frees Guide device selection to select an actual CCD while at the same ..
2c32445 2017-06-23 Csaba Kertesz        Add sanitizer support
f075756 2017-06-14 Csaba Kertesz        Fix compiler warnings
b6d848b 2017-06-13 Csaba Kertesz        Add verbose warning and optimized debug/linker flags
97a3f8d 2017-06-22 Jasem Mutlaq         No need to perform meridian flip if there are no more pending jobs in the sequence queue
c0a58d2 2017-06-21 Jasem Mutlaq         If WCS info is not yet available to PAH process, capture another frame and then proceed
9207f5a 2017-06-21 Jasem Mutlaq         Re-enable support for disabling reception of remote guider frames when using external guiders. It was disabled before as it was causing issues that ..
413b405 2017-06-21 Jasem Mutlaq         If remote guiders are specified as external guiders then do not count them as regular devices to watch for
a88739f 2017-06-21 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
f25f12b 2017-06-21 Jasem Mutlaq         Fix slots that was refactored
ac3aa9c 2017-06-21 l10n daemon script   GIT_SILENT made messages (after extraction)
2679fd2 2017-06-21 l10n daemon script   GIT_SILENT made messages (after extraction)
5721eec 2017-06-20 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
b2d25f3 2017-06-18 Jasem Mutlaq         Slight fixes to Rotator GUI
b9dc0f9 2017-06-17 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
0782ea6 2017-06-16 Jasem Mutlaq         Add button to open web manager in browser
35e6bf5 2017-06-15 Csaba Kertesz        Refactor the needed Android NDK workaround without committed object file
e50e04b 2017-06-14 l10n daemon script   GIT_SILENT made messages (after extraction)
604298c 2017-06-13 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
0b7839d 2017-06-12 Jasem Mutlaq         Minor GUI improvements in Rotator Control
572b4f5 2017-06-12 Jasem Mutlaq         Add rotator support to Ekos
1c9b5c6 2017-06-12 Jasem Mutlaq         Initial work for rotator support.
9096ca3 2017-06-11 Csaba Kertesz        Update the source format with clang-format
679fbc8 2017-06-11 Csaba Kertesz        Clang source formatting tool support
82d1687 2017-06-11 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
f325314 2017-06-10 l10n daemon script   GIT_SILENT made messages (after extraction)
5e540e6 2017-06-09 Robert Lancaster     This patch should make astrometry downloads work on Linux just like they now work on Mac.  It makes use of KAuth and a helper file to read and write..
b0936ba 2017-06-08 Csaba Kertesz        Update the security flags
84f9dea 2017-06-07 Csaba Kertesz        Update .gitignore
ca7105b 2017-06-06 Csaba Kertesz        Add some missing files for the Android build
c9f2566 2017-06-06 Csaba Kertesz        Add security (hardening) flags
33c3f4f 2017-06-06 l10n daemon script   GIT_SILENT made messages (after extraction)
8937be4 2017-06-06 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
1226f35 2017-06-06 l10n daemon script   GIT_SILENT made messages (after extraction)
8c91d48 2017-06-05 Yuri Chornoivan      Fix minor typo
2cd36d2 2017-06-04 Csaba Kertesz        Add missing file
32225ec 2017-06-04 Jasem Mutlaq         Minor GUI fixes. Check if WCS header exists before trying to load WCS data in FITSView
53155f1 2017-06-04 Jasem Mutlaq         Make guide capture timeout 10 seconds instead of 5
ebe437f 2017-06-04 Robert Lancaster     Astrometry index files patch
f538bc0 2017-06-04 Jasem Mutlaq         WCS data is no longer loaded by default. It must be explicitly loaded either via calling loadWCS() directly, or IF WCS header is valid, then togglin..
705ab3f 2017-06-02 Robert Lancaster     I made a patch that will make astrometry index file downloading as easy as clicking a button, at least on Macs for now.  I did send a patch with a r..
4d50bde 2017-06-02 Montel Laurent       Use Q_DECL_OVERRIDE
827f5c2 2017-05-30 Csaba Kertesz        Replace NULL with nullptr
d0bd857 2017-05-26 Csaba Kertesz        Add ccache support
e76af84 2017-06-01 Robert Lancaster     This patch will force astrometry.net to use the config file that the user specifies in the options.  That should be less confusing to users.
85c60d4 2017-05-31 Jasem Mutlaq         Add missing help icon
dfd6dd3 2017-05-31 Robert Lancaster     Back button fix for QML
19fd019 2017-05-30 Robert Lancaster     This patch will add a help page to “Whats Interesting” so that those new to the feature can get a sense for what all of the buttons do and how Whats..
15601f9 2017-05-30 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
acbf9a1 2017-05-30 l10n daemon script   GIT_SILENT made messages (after extraction)
f76ce9e 2017-05-30 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
e92de6e 2017-05-30 l10n daemon script   GIT_SILENT made messages (after extraction)
88b8c40 2017-05-29 Jasem Mutlaq         Possible solution to polynomial fitting getting stuck at a particular exposure.
2497d03 2017-05-29 Pino Toscano         remove invalid Patterns key from desktop file
35c8145 2017-05-28 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
450f28a 2017-05-28 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
b70a941 2017-05-27 Robert Lancaster     This patch will add the tracking feature option to Whats Interesting that I mentioned before as well as clarifying the auto center feature a bit.
4f15bc7 2017-05-26 Robert Lancaster     This patch should fix a problem I found in Whats Interesting.  The problem was that the satellite positions were not updating and I found that the p..
a3646d7 2017-05-25 Jasem Mutlaq         Manually added Henry-Draper indexes for some named stars that were messing. Okteta is awesome
5e13e48 2017-05-25 Jasem Mutlaq         Set capture timeout threshold to 5 seconds by default to account for any possible delays in the pipeline. Only capture after dither is successful wh..
e893a64 2017-05-24 Robert Lancaster     For quite some time, I have known there was an issue with the SimClock in KStars.
88f75a0 2017-05-24 Jasem Mutlaq         Update documentation for stars and the offsets within the binary files so I do not have to calculate them again
2ec053b 2017-05-24 Robert Lancaster     I found that one of the Text items in Whats Interesting was stealing the mouse hover events that was supposed to turn it yellow when you hover over ..
7b3e646 2017-05-23 Csaba Kertész        Final fixes for Android
d2c6cb3 2017-05-23 Csaba Kertész        Fix automatic mode in KStars Lite
c692f30 2017-05-22 Jasem Mutlaq         ISO8601 should be unified between local and remote modes. Fix remaining issues with flat capture counters and switch between local and remote in modes
27ed811 2017-05-22 Robert Lancaster     This patch will remove some objects from the info_url file because those objects are no longer in the database under that name.  This should clear u..
de3b4f3 2017-05-22 Jasem Mutlaq         Fix counter to remote images
f3f5a18 2017-05-22 Jasem Mutlaq         Suspend guiding also if running two cameras from the same driver
6259704 2017-05-22 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
9fa1975 2017-05-21 Jasem Mutlaq         Add option to change orientation of Ekos module icons
1736b6e 2017-05-21 Robert Lancaster     This patch will correct the name of the SolverFOV color in the color scheme files because it was mislabeled. Also, it sets the colors for RA and DEC..
3d10e97 2017-05-21 Csaba Kertész        New Android build system for KStars Lite
b1e818c 2017-05-20 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
2d72814 2017-05-20 Jasem Mutlaq         Add support for setting gain within Ekos and in sequence manager files
b932f8c 2017-05-19 Jasem Mutlaq         Set resize mode for mount panel to fix issues under non-Linux systems apparently
01e71f2 2017-05-19 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
91ba7a2 2017-05-18 Jasem Mutlaq         Do NOT load observing list on startup since it can take too long and delay program loading signaficantly if it is a large list. Instead show it on f..
bb83532 2017-05-18 Jasem Mutlaq         Use text fit so that it works across all themes
3bf915d 2017-05-18 Jasem Mutlaq         Add progress dialog when adding objects from wizard as it can take a very long time for large lists. All clear list button
0b31828 2017-05-18 Jasem Mutlaq         Make it work on Mac and add center mount
57c95bf 2017-05-17 Jasem Mutlaq         MIssed semicolon
d9eb3dd 2017-05-17 Jasem Mutlaq         MIsc improvements. Make it stay on top
e80867e 2017-05-17 Jasem Mutlaq         Add build timestamp
af8981e 2017-05-17 Jasem Mutlaq         Make the mount control button more prominent
45b0809 2017-05-17 Jasem Mutlaq         QtQuick controls 2.0+ do not exist on Ubuntu 16.04 so again failing back to Quick 1.4 until next Ubuntu LTS release comes along
b1bf1b1 2017-05-17 Jasem Mutlaq         Add INDIPREFIX to MacOS environment variables
61ed202 2017-05-17 Jasem Mutlaq         Delete preview job on abort
5b4cd02 2017-05-17 Jasem Mutlaq         + New mount tool box is ready for use. Probably the GUI needs some more theming to look pretty + N/S/W/E motion state is now recognized by the teles..
04367f0 2017-05-17 Jasem Mutlaq         More progress. Motion and speed controls work. WIll implement the rest soon. The GUI needs improvement in coloring, sizes, theming, separators..etc
f762a15 2017-05-16 Jasem Mutlaq         Initial work for Mount Tool Box in QML. Removing obsolete unused PNG icons
f782833 2017-05-16 Yuri Chornoivan      Fix minor typo
594735c 2017-05-15 Jasem Mutlaq         Add splitter to Ekos GUI
c0b3764 2017-05-15 Jasem Mutlaq         Add button to toggle star detection display
eb3dc4d 2017-05-15 Jasem Mutlaq         Set full directory name including frame type and filter when using remote directory
4cdd796 2017-05-15 Jasem Mutlaq         Warn about empty remote directory in local mode
d8ce7fe 2017-05-15 Jasem Mutlaq         2.7.8 release
18eef19 2017-05-15 Robert Lancaster     This patch should both make the dbus commands work in kstars for scripting and also for the scheduler, as well as starting up a dbus server from ins..
0f50dfc 2017-05-14 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
42d048c 2017-05-14 l10n daemon script   GIT_SILENT made messages (after extraction)
6eea8fd 2017-05-13 Robert Lancaster     Add QHY Firmware path for OSX
890b2ff 2017-05-12 Jasem Mutlaq         Remove file before copying otherwise it will fail because QFile::copy does not overwrite
3955288 2017-05-12 Jasem Mutlaq         Remove generic device on disconnect. Remove mount process when telescope is removed
fc16143 2017-05-12 Jasem Mutlaq         Check offline astrometry.net version and if equal or less than 0.67 then --no-fits2fits must be enforced and vice versa
839b5e8 2017-05-12 Robert Lancaster     I did a little cleaning up in Whats Interesting.  I changed the layouts a little to correct a couple of minor display issues involving centering and..
0e114c6 2017-05-11 Jasem Mutlaq         Add sewerqia city
ecb4906 2017-05-11 Jasem Mutlaq         Use appropiate OSX ps flag as suggested by Robert
6814cb2 2017-05-11 Robert Lancaste      This patch should fix the Image URL problem on Windows for Whats Interesting.  It also makes What’s Interesting MUCH faster in downloading and displ..
0be6cda 2017-05-10 Robert Lancaster     Fix toggle of WI Tool from context menu
d04024a 2017-05-09 Jasem Mutlaq         Use QUrl so that images are properly loaded in all platforms
77a3f8e 2017-05-09 Jasem Mutlaq         Find wiview on Windows
d8bf2e0 2017-05-09 Jasem Mutlaq         Make it find wcslib on Windows
7ef959f 2017-05-08 Jasem Mutlaq         Save stream file and directory names in INDI
ed52d99 2017-05-07 Robert Lancaster     This patch will fix the crash you observed with one of the ways to access Whats Interesting, adds a toolbar action for whats interesting and makes i..
46fde5f 2017-05-06 Robert Lancaster     I added Night Vision support to Whats Interesting.  See what you think.
e3b8c15 2017-05-05 Robert Lancaster     This patch should help to support running local INDI servers for GPhoto cameras on OS X.  It adds two environment variables, CAMLIBS and IOLIBS with..
a7bd3a8 2017-05-04 Jasem Mutlaq         Forgot to add icon
74a8e78 2017-05-03 Robert Lancaster     This patch adds an icon/button for the WI object inspector instead of just having it be on by default.  Also it changes the colors for whats interes..
334f9ee 2017-05-03 Jasem Mutlaq         Bump to 2.7.7
03934bf 2017-05-03 Jasem Mutlaq         Fix exposure number when doing auto ADU calculations in file name. Include fractional exposure values in filenames when needed
da3e48d 2017-05-02 Yuri Chornoivan      Fix minor typo
a20ba3c 2017-05-01 Jasem Mutlaq         + Add timeout to guide module for capture timeouts + Add dithering maximum interation options + Add whether dithering failure causes autoguiding to ..
2886366 2017-05-01 Artem Fedoskin       Fix issue with rotation when in automatic mode in KStars Lite. Added low-pass filter to reduce hittering of screen in auto mode.
4e417ff 2017-04-28 Robert Lancaster     This patch fixes a typo that I made in whats interesting.  I accidentally had typed ra instead of dec so it was reporting the wrong dec values.  Als..
c8e7212 2017-04-28 Jasem Mutlaq         Remove old ASI info
866d79c 2017-04-28 Jasem Mutlaq         Correct ASI CCD driver metadata
490b49b 2017-04-28 Robert Lancaster     This patch addresses several key issues with whats interesting.  First, on Macs it will first check inside the app bundle for the whats interesting ..
b5a3f4a 2017-04-27 Jasem Mutlaq         Add SkySafari to Profile Wizard services
696bbd6 2017-04-27 Jasem Mutlaq         Set focus object to null so it doe not insist on tracking previous objects while in slew
854a588 2017-04-27 Robert Lancaster     In this patch, I implemented batch downloads for object lists.  Note that it will download the objects currently selected/shown in the list based on..
4df4332 2017-04-26 Robert Lancaster     I cleaned up some of the positioning calculations in the wiview.qml file so that the info text panel should now always be the correct size and all t..
b7e0710 2017-04-23 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
805df81 2017-04-23 Robert Lancaster     See if this improves things.  I did a complete rewrite of the way the model manager works.  It is now much more efficient.  This also includes the o..
ef66fff 2017-04-23 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
1a1c9c0 2017-04-23 l10n daemon script   GIT_SILENT made messages (after extraction)
7fb136c 2017-04-23 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
84c1a82 2017-04-23 l10n daemon script   GIT_SILENT made messages (after extraction)
49588f8 2017-04-22 Jasem Mutlaq         Adjust decimals if the minimum is less than 0.001
f9b8097 2017-04-21 Pino Toscano         cmake: remove unused FindQJSON.cmake
d40e915 2017-04-15 Jasem Mutlaq         If sender is null then update radio button status
1dd2945 2017-04-14 Jasem Mutlaq         Make images and thumbnail names consistent. Now full-scale images are named image-* and thumbnail are thumb-* and all are appended with .png from th..
9f63b1d 2017-04-14 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
eea6f38 2017-04-14 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
956e4ac 2017-04-13 Jasem Mutlaq         Update DBUS functions to offer better functionality and consistent names
a12375f 2017-04-11 Jasem Mutlaq         Stop solver on timeout
1dd3381 2017-04-09 Robert Lancaster     This patch includes the previous 2. It also modifies the first screen of whats interesting and adds Messier objects to the list. As a part of that, ..
83430ff 2017-04-08 Robert Lancaster     Here are some more improvements to the Whats Interesting panel. This will download wikipedia info text box in addition to the description. It can dy..
9c6c0c8 2017-04-06 Valentin Boettcher   I've added some simple comet tails and an option to disable them.
c194c72 2017-04-05 Jasem Mutlaq         Skip PHD2 and LinGuider when starting INDI Web Manager drivers since these two are just place-holders for the apps
a8767da 2017-04-04 Robert Lancaster     Further improvements to WIT tool
925f6eb 2017-04-04 Jasem Mutlaq         Only do size optimization on Linux since it causes issues on Mac
0d3213f 2017-04-03 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
3f389e9 2017-04-03 l10n daemon script   GIT_SILENT made messages (after extraction)
70b2059 2017-04-03 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
dc8a76c 2017-04-03 l10n daemon script   GIT_SILENT made messages (after extraction)
4455e7e 2017-04-02 Robert Lancaster     I was working on the Whats Interesting tool because I think it has a lot of potential.  I added photos and descriptions to the list.  I added photos..
215a4fa 2017-04-02 Csaba Kertész        Optimize binary size by dropping unneeded symbols at linking stage
141bf29 2017-04-02 Jasem Mutlaq         Save INDI and Ekos manager window sizes between sessions
706e576 2017-04-02 Jasem Mutlaq         Update duino driver
abe7bd2 2017-03-31 Jasem Mutlaq         Add shortcut for full screen toggle in Ekos in align and focus
2d2ea1f 2017-03-31 Jasem Mutlaq         Detect if flat image is already saturated before calculating fitting. Only utilize polynomial fitting if we have 4 or more points since it can quite..
70ef4f0 2017-03-29 Csaba Kertész        Smaller fixes found by Clang compiler
57b8315 2017-03-29 Yuri Chornoivan      Fix minor typo
faed6f0 2017-03-29 Yuri Chornoivan      Fix minor typo
98d5bd3 2017-03-29 Jasem Mutlaq         Initial work for Image Guiding algorithm by Bob Majewski. All guide images must be explicitly converted to floats and then partitioned into NxN regi..
4802a9e 2017-03-27 Jasem Mutlaq         Retry meridian flip 3 times before giving up
84e2ce9 2017-03-27 Robert Lancaster     I found the drawing issue that was making the horizontal bar for different pixel heights of the window.  It took me some time to dig up what exactly..
f42e950 2017-03-27 Jasem Mutlaq         Sync remote astrometry driver CCD name to currently selected CCD
78f8955 2017-03-26 Jasem Mutlaq         Improve tooltips
adbd47e 2017-03-26 Robert Lancaster     This patch should allow the remote solver to print its solutions nicely in the table the same way the online and the local solver already do.  It al..
2c26f9f 2017-03-26 Jasem Mutlaq         Add notification that KStars needs to be restarted after changing INDI drivers directory
d4acce3 2017-03-26 Jasem Mutlaq         Update INDI drivers
888eb17 2017-03-26 Jasem Mutlaq         Read indidrivers.xml as the first file. Silenty ignore replicas. Do not allow device manager to start INDI services for remote drivers
9b7303a 2017-03-26 Jasem Mutlaq         Add tooltip that contains driver information for local driver and remote driver tip for remotes
1d8b974 2017-03-26 Jasem Mutlaq         Create INDI driver entries regardless of what is currently install. Drivers that are not locally available are treated as remote-only drivers
cfe12ca 2017-03-24 Jasem Mutlaq         Do not process WCS on loading if we plan to create a WCS file. Make loadWCS asynchronous and use signal to proceed in the chain
19ce0e9 2017-03-24 Jasem Mutlaq         Do not make thumbnail selector dependent on detail dialog since it can be used also in observing list
381430f 2017-03-24 Jasem Mutlaq         Create the noimage pixmap to the image chooser and delete afterwards
69552e0 2017-03-23 Jasem Mutlaq         Use Windows-friendly file names
672b44d 2017-03-23 l10n daemon script   GIT_SILENT made messages (after extraction)
2310535 2017-03-23 Jasem Mutlaq         Disable auto default on as it causes stylying issues on Mac
1c44058 2017-03-22 Valentin Boettcher   Here is a little patch to fix the comet/asteroid update from JPL, which now requires https.
abb6666 2017-03-22 Yuri Chornoivan      Fix minor typo
01d26fd 2017-03-22 Jasem Mutlaq         Add support to per-filter exposure time that is persistent
485cc27 2017-03-22 Jasem Mutlaq         Do not remove temporary file until all operations are complete first
8eb962a 2017-03-22 Jasem Mutlaq         tooltip improvements
5b1bba6 2017-03-22 Jasem Mutlaq         Fix issue with mount alignment running prematurely on Sync
5e8544f 2017-03-21 Jasem Mutlaq         If dark frame fails to load then remove it completely and capture a new one
b10c0f1 2017-03-21 Jasem Mutlaq         Using astyle Artistic Style format with options -A1 -W3 -k2 -S -xG -C
a180b38 2017-03-21 Valentin Boettcher   Junion Job: Investigate NEOs is fixed!
73746bb 2017-03-21 l10n daemon script   GIT_SILENT made messages (after extraction)
d1b3170 2017-03-20 Jasem Mutlaq         Make 2nd rotation value and direction always in sync with 1st one regardless of auto-mode
ee946e3 2017-03-20 Jasem Mutlaq         Add support for observers in capture module. Observer names are sent to INDI CCD driver where they are recorded in the FITS header. Furthermore, tar..
390c59f 2017-03-20 Jasem Mutlaq         Add more debug logging to flat ADU calculations
7b79d86 2017-03-20 Robert Lancaster     Here is a patch that will add a sort function to the mount modeling tool that will start with the point that is currently closest to the telescope a..
3abb7e8 2017-03-19 Jasem Mutlaq         Use TELESCOPE_TYPE from CCD driver, no need to save list of guide drivers
1cd268f 2017-03-18 Jasem Mutlaq         Make focus policy click focus
1bfba0f 2017-03-18 Jasem Mutlaq         Use appHelpActivated since invokeHelp produces wrong URL
c46af6e 2017-03-17 Jasem Mutlaq         Sync 2nd rotation point to 1st point in auto mode
a201799 2017-03-17 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
9eb602c 2017-03-17 Jasem Mutlaq         Do not run 2nd WCS in limited resource mode
2cb8299 2017-03-17 Jasem Mutlaq         Further improvement to Ekos profile wizard. Only make it automatically show one time per session. Added more tips
8560ed7 2017-03-17 Yuri Chornoivan      Fix minor typos
aec88b0 2017-03-17 Jasem Mutlaq         Adding Ekos Profile Wizard which should aid new users in creating equipment profiles for their equipment
c83dfb1 2017-03-16 Robert Lancaster     This patch should probably fix the dotted lines disappearance issue on the Alignment Solutions Plot.  It is due to a bug in some versions of QCustom..
62fd111 2017-03-16 Jasem Mutlaq         Initial page for Ekos wizard
03ade4e 2017-03-15 Jasem Mutlaq         Fix warning
14d49a6 2017-03-15 Robert Lancaster     This patch should address the path issue for your new port finding algorithm.  I also reversed the order of the items in the path so it looks for pr..
e5e4667 2017-03-14 Jasem Mutlaq         Apply patch by INDI forum user Noriq to fix linguider dither issue
bb6e6ef 2017-03-14 Robert Lancaster     Fix problem with coord in alignment points wizard
a1560a5 2017-03-14 Robert Lancaster     This patch addresses some inaccuracies we found in the positioning of objects in the alignment points by instead using J2000 coordinates in the alig..
344d9bb 2017-03-14 Jasem Mutlaq         Use a better font for flag objects
52d3a8c 2017-03-13 Yuri Chornoivan      Fix minor typos
381e2aa 2017-03-13 Robert Lancaster     I was thinking that it would be nice to get a preview of the alignment points on the sky.  I found a nice way to do that using flags, without disrup..
8200439 2017-03-12 Jasem Mutlaq         bump version to 2.7.6
3c8c0d4 2017-03-12 Robert Lancaster     This patch should simplify the align points wizard, making the interface easier to use, while actually giving it more functionality in that it can n..
6a0ef36 2017-03-11 Robert Lancaster     This patch will improve the functionality of the align points wizard. I found some spherical trig in another part of kstars that I could modify slig..
8b4072a 2017-03-10 Jasem Mutlaq         Add support to telescope center locking in the INDI tool bar
b44d8b4 2017-03-10 Robert Lancaster     This patch adds export functionality to the solutions table, a spin box for the mount model wizard align point number, makes nicely formatted greek ..
a3fa83f 2017-03-10 Yuri Chornoivan      Fix minor typos
30949d1 2017-03-09 Jasem Mutlaq         Try to account for snap prefix if there is one
1c01255 2017-03-09 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
c2ee59e 2017-03-09 Robert Lancaster     + Many fixes for graphics + Added wizard to generate alignment points + Save/Load alignment list points + Tooltips
b342656 2017-03-09 Yuri Chornoivan      Fix minor typo
d072891 2017-03-08 Jasem Mutlaq         Remote astrometry service should be working. Now needs more testing
e40eea8 2017-03-08 Jasem Mutlaq         sendOneBLOB(IBLOB*) is only available from libindi v1.4.2 and above
b014131 2017-03-08 Jasem Mutlaq         Let processXXX messsages go up to chain to DeviceDecorator where they are sent to GenericDevice to be processed if required and GenericDevice will e..
039cccd 2017-03-08 Jasem Mutlaq         Bump INDI dependency to 1.4.1
ce27508 2017-03-08 Jasem Mutlaq         Update FindINDI.cmake patch from Jonathan Riddel
29813c4 2017-03-08 Jasem Mutlaq         + Adding Mount Model and Solution results view by Robert Lancaster + More work toward support for INDI astrometry drivr
76545d5 2017-03-07 Jasem Mutlaq         Store raw data in the BLOB and it should be converted to base64 by the client library
63c7e94 2017-03-07 Jasem Mutlaq         Let size be original size while bloblen be base64 size
0605490 2017-03-07 Jasem Mutlaq         Fix handling of write-only BLOB property. Improve sending blobs from control panel
8f34593 2017-03-05 Jasem Mutlaq         Use properly formatted ISO 8601 timestamp
175ee0b 2017-03-06 Artem Fedoskin       Fixed compilation error in KStars
619ccd9 2017-03-06 Artem Fedoskin       Merge branch 'master' of git://anongit.kde.org/kstars
f04395f 2017-03-06 Artem Fedoskin       Added rotation to automatic mode
42ef244 2017-03-05 Jasem Mutlaq         Capture should also abort on guide abort not just IDLE state
a5ebe58 2017-03-05 Jasem Mutlaq         Detect if guiding was stopped in linguider externally
c211a67 2017-03-05 Jasem Mutlaq         Add PHD2 and Linguider as dropdown options in the guider selection to make it more intuitive for end users
4bdf211 2017-03-05 Jasem Mutlaq         Do not abort capture on dithering fail since it is not detreminetal to the capture process overall
b619176 2017-03-05 Jasem Mutlaq         Do not disable blobs transfer at all to avoid any issues with the multiple guider and capture configurations supported within Ekos
1851db0 2017-03-05 Jasem Mutlaq         Slightly increase the form size
589b12a 2017-03-02 Jasem Mutlaq         Make meridian flip successful only if there is an RA diff
eda8044 2017-03-02 Jasem Mutlaq         Use fits_copy_header since we are writing data next
b0e0e34 2017-03-01 Jasem Mutlaq         + Fix issue where parking mount and dome were not called if flat job was not at the beginning of the sequence. + Added tolerance parameter to ADU ca..
4abd745 2017-03-01 Jasem Mutlaq         Use better FindINDI.cmake and updated build rules
037dd24 2017-03-01 Jasem Mutlaq         Move gsl polynomial function to Ekos namespace since is can be used by multiple modules
bee440c 2017-03-01 Jasem Mutlaq         Use polynomial fitting also in capture module to calculate optimal exposure time in flat frames in addition to least-square fitting
090bc41 2017-02-27 Robert Lancaster     Since several people have had problems with the default directories for indiserver, astrometry, xplanet, etc on OS X when they build KStars themselv..
dc33a3a 2017-02-27 Yuri Chornoivan      Fix minor typo
6ffe659 2017-02-27 Jasem Mutlaq         Remove obsolete variables
6f0c77d 2017-02-26 Jasem Mutlaq         Add scheduler option to run for specific number of repeats
472c3d9 2017-02-26 Jasem Mutlaq         Turn GSL default error handler off to avoid program crash on abort
499a6fa 2017-02-26 Jasem Mutlaq         Raise minimum required INDI to 1.4.0
59cc532 2017-02-26 Jasem Mutlaq         Introducing new algorithm for focus based on polynomial fittings of data and then finding minimum solution for best HFR position. Requires GSL depen..
252fb76 2017-02-26 Jasem Mutlaq         Turn off fits2fits for Mac
42c6c03 2017-02-25 Jasem Mutlaq         Handle OBJCTRA and OBJCTDEC if they are strings
04285f6 2017-02-25 Jasem Mutlaq         Last commit was wrong, this should properly address 1.3.1 vs 1.4.0 change
2e053ff 2017-02-25 Jasem Mutlaq         INDI_LIBRARIES is no longer used in INDI v1.4.0
753d14f 2017-02-25 Yuri Chornoivan      Fix various minor typos
061ebec 2017-02-25 Jasem Mutlaq         Move QProgressIndicator to KStars auxiliary since it may be used outside of Ekos
4fe02df 2017-02-25 Jasem Mutlaq         Respect astrometry options when generating args in load and slew
e7175e4 2017-02-24 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
4b63e3c 2017-02-24 Robert Lancaster     This patch will fix numerous minor OS X issues and will also add some new functionality to OS X with the Astrometry Conf File Editor and to all oper..
72c2073 2017-02-24 l10n daemon script   GIT_SILENT made messages (after extraction)
7e2c195 2017-02-23 Jasem Mutlaq         Disable offline solver under Windows
28d7f75 2017-02-23 Jasem Mutlaq         Disable load and slew in remote solver mode
894b0d6 2017-02-23 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
25ace6a 2017-02-23 Jasem Mutlaq         Fix several minor issues in Align. Make isSlewDirty a member variable in case scope does not send busy signal
94d4fba 2017-02-23 Jasem Mutlaq         Fix typo
07b9038 2017-02-23 Jasem Mutlaq         Do not send parity in blind solve mode
7d0f10f 2017-02-23 Jasem Mutlaq         Add more logging and remove resource mode lock. Creating WCS file should always loadWCS
7a02475 2017-02-23 l10n daemon script   GIT_SILENT made messages (after extraction)
e99ea5b 2017-02-22 Jasem Mutlaq         removed slot
540aba5 2017-02-22 Jasem Mutlaq         Fix warning
aa0f514 2017-02-22 Jasem Mutlaq         Add astrometry timeout option. Fix typos
824f2e3 2017-02-22 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
a3ea4e0 2017-02-22 l10n daemon script   GIT_SILENT made messages (after extraction)
ec17576 2017-02-21 Yuri Chornoivan      Fix minor typo
d5098fa 2017-02-21 Pino Toscano         fixuifiles
3838176 2017-02-21 Jasem Mutlaq         Fix type mismatch
9b7a4ff 2017-02-21 Jasem Mutlaq         Fix typo
1b7da11 2017-02-21 Jasem Mutlaq         If script shuts down INDI then no need to check for user option regarding stopping Ekos after shutdown since INDI termination will stop Ekos
42a91f9 2017-02-21 Jasem Mutlaq         Fix missing ifdef for KStars Lite
1230f24 2017-02-21 Jasem Mutlaq         Do not send invalid values in online astrometry mode if the passed arguments do not contain such value
f2f23a2 2017-02-21 Jasem Mutlaq         remove obsolete function
f701e66 2017-02-21 Jasem Mutlaq         Minor GUI change
86adb72 2017-02-21 Jasem Mutlaq         Various misc fixes
6a85987 2017-02-21 Jasem Mutlaq         Keep last telescope state to reduce notification spam
9b57f2b 2017-02-21 Jasem Mutlaq         Apply filter if autostretch option is also off
a2a64ff 2017-02-20 Jasem Mutlaq         Forgot to remove old stuff
9764bad 2017-02-20 Jasem Mutlaq         Re-work how alignment module options are generated for different modes (online, offline, remote, from file) and how they are saved between sessions...
ddc789b 2017-02-20 Robert Lancaster     This patch fixes several things you asked me to take a look at. First, it changes the color of the center telescope cursor to red to make it more vi..
014a201 2017-02-20 Jasem Mutlaq         Separating FITSLabel into its own file
6aebe40 2017-02-20 Jasem Mutlaq         Double number of retries to get job ID
718177e 2017-02-20 l10n daemon script   GIT_SILENT made messages (after extraction)
7411457 2017-02-18 Jasem Mutlaq         Use cross-platform friendly filenames as ISO8601 with colons causes issues under Windows. Also display dark frames in the dark view
f6e9f5a 2017-02-18 Jasem Mutlaq         Capture module is ONLY enabled when a CCD is enabled
1dadbf9 2017-02-18 Jasem Mutlaq         Storing current profile pointer in Ekos manager and now using a MUCH better method to connect devices if auto-connect was turned on
a8152d8 2017-02-18 Jasem Mutlaq         Bump to 2.7.5 for fixes today. Add auto connect option in profiles
e20b8c1 2017-02-18 Jasem Mutlaq         Use deleteLater() to allow freeing of resources when returning to the event loop
8e1f17e 2017-02-18 Jasem Mutlaq         Check if property exists before doing black magic to extract it
e52d03e 2017-02-18 Jasem Mutlaq         Load filter offsets on startup. When starting a sequence, read offset value of current filter as it forms the basis of all offsets
65b9a40 2017-02-18 Jasem Mutlaq         Fix saving of bayered FITS. Reset fptr on error
ae2dd7f 2017-02-18 Jasem Mutlaq         Fix order of columns
b8864c5 2017-02-18 Jasem Mutlaq         Fix focus module not getting properly updated on slew. Make reset button disabled while focus in progress
90380f6 2017-02-17 Jasem Mutlaq         Remove obsolete option
e1cbf1a 2017-02-17 Jasem Mutlaq         Implement proper update of button status inside each module separately by signals and not directly as it causes many issues and goes against the sep..
17f7941 2017-02-17 Jasem Mutlaq         Fix compile error
2b48cfd 2017-02-17 Jasem Mutlaq         Keep track of target transfer format when changing CCDs
07f1579 2017-02-17 Jasem Mutlaq         Doh Ctrl+S was already used by Save. Using Ctrl+T now
76352d9 2017-02-17 l10n daemon script   GIT_SILENT made messages (after extraction)
92db8c1 2017-02-16 Jasem Mutlaq         Add an explicit message explaining why PAA tool is disabled as the tooltip enough is not clear
3803bb5 2017-02-16 Jasem Mutlaq         Fix shortcut
bfe5f62 2017-02-15 Jasem Mutlaq         Only loadWCS for normal and align frames
e4705bd 2017-02-15 Jasem Mutlaq         Slight improvement in the capture GUI layout
a95a686 2017-02-15 Jasem Mutlaq         Moving DSLR transfer format option to capture instead of options. It is not recorded in the sequence file like other parameters
6974f25 2017-02-15 Jasem Mutlaq         Use combo box to select which telescope to use for FOV calculations. Add customized tooltip for each scope
3011d93 2017-02-15 Jasem Mutlaq         Add function to enable/disable alignment and to clear alignment points
78a26d7 2017-02-15 Jasem Mutlaq         Clear mount model before doing any PAA steps
05959d0 2017-02-15 Jasem Mutlaq         Retain wcs struct so that it is used in subsequent calls
b672425 2017-02-15 Jasem Mutlaq         Add button to clear mount model and improve the GUI
b57a305 2017-02-15 Jasem Mutlaq         + Add FITS page options in KStars settings to better separate it from the rest of advanced options since it deserves its own. + Use Limited Resource..
9302044 2017-02-15 l10n daemon script   GIT_SILENT made messages (after extraction)
015f0ae 2017-02-14 Jasem Mutlaq         Add wcsWatcher wait for finished to possibly prevent FITSData object destruction while loadWCS could be still running in it as it was called in QtCo..
c5ca4bf 2017-02-14 Jasem Mutlaq         Reduce size of WCS data by using floats instead of doubles as we do not require the full precision of doubles. Check for more errors and report them
0b463bc 2017-02-14 Jasem Mutlaq         Add support to viewing and removing dark frames in Ekos options
db35c9a 2017-02-14 Jasem Mutlaq         updated the base size to reflect the correct size of the fits view inside the fits viewer
6c76b5c 2017-02-14 Robert Lancaster     This patch contains 3 fixes. First, It will allow kstars to handle drivers that have xml files but no binary files.  That way, if your remote server..
bacc8a2 2017-02-13 Artem Fedoskin       Added "Automatic Mode" in KStars Lite. In this mode SkyMapLite is controlled according to data from smartphone sensors(accelerometer and magnetomete..
3467d53 2017-02-13 Jasem Mutlaq         Fix issue where Ekos modules were being check if initialized in update mount status.
01eeafd 2017-02-13 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
9e0c655 2017-02-13 l10n daemon script   GIT_SILENT made messages (after extraction)
a1a21e3 2017-02-12 Yuri Chornoivan      Fix minor typo
2f918df 2017-02-12 Pino Toscano         ekos: use QDialogButtonBox also for Reset and Defaults buttons
aa20a06 2017-02-12 l10n daemon script   GIT_SILENT made messages (after extraction)
b85e492 2017-02-11 Jasem Mutlaq         Break long description into paragraphs
97449ae 2017-02-11 Jasem Mutlaq         KStars 2.7.4 bump
ad6988b 2017-02-11 Jasem Mutlaq         Make PAA cut off FOV 30 arcmintes to test it out
b8b9340 2017-02-11 Jasem Mutlaq         Make dRA, dDEC and pix scale read only
1b68268 2017-02-11 Jasem Mutlaq         Remove rest of APP units
19a40bc 2017-02-11 Jasem Mutlaq         Align GUI cleanup
8b39b5d 2017-02-11 Jasem Mutlaq         More improvements to live video preview
8803dba 2017-02-11 Jasem Mutlaq         Change background for focus and guide frames
f8048b9 2017-02-11 Jasem Mutlaq         Connect before adding FITS to that signals are caught
0d395c1 2017-02-11 Jasem Mutlaq         Add DSLR settings dialog to let user edit missing info for new setups
27de2d8 2017-02-11 Robert Lancaster     I added the other features that I wanted including the defaults and reset buttons as well as the update coordinates and scale buttons. As you pointe..
a631fe5 2017-02-11 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
c35fc02 2017-02-11 Jasem Mutlaq         Display FPS in stream window
2e31112 2017-02-11 Jasem Mutlaq         Fix warning
7a52bd9 2017-02-11 Jasem Mutlaq         Fix QRoundProgressBar background issue
712c29b 2017-02-10 Jasem Mutlaq         Add support to Auto Mode in PAA to help automate the process. PAA was successfully tested today with my mount, it works great
65eea81 2017-02-10 Jasem Mutlaq         Add contains function to know if a point exists within the image boundary
513aa1c 2017-02-10 Jasem Mutlaq         Fix QLabel repaint issue
d81aa55 2017-02-10 Jasem Mutlaq         Preliminary support for stream subframing
c330cb1 2017-02-09 Jasem Mutlaq         PAA is ready for some under-the-sky testing
2e98e18 2017-02-09 Jasem Mutlaq         Use target color and shorter name for celestial poles
e11303d 2017-02-09 Jasem Mutlaq         Keep track of all active FITSViewers in a dedicated list since we cannot rely on getChildren since some FITSViewers are independent Windows.
aa8fc27 2017-02-09 Jasem Mutlaq         More progress on PAA. Now using 3 points to define a circle
bbbd896 2017-02-09 Robert Lancaster     Fix EQ Grids
6278209 2017-02-09 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
8674c03 2017-02-08 Jasem Mutlaq         More progress on PAH
199a0dc 2017-02-07 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
9fb47d3 2017-02-07 Jasem Mutlaq         Add function to find circle solutions given two points and a radius. More work on PAH is required
8ed61da 2017-02-07 Jasem Mutlaq         Fix a couple of issues with flags. They are supposed to be saved in J2000 internally but where in JNow before. Fixed other issues with adding, updat..
f832371 2017-02-07 Jasem Mutlaq         Check if sky composite exists to prevent crash
525c489 2017-02-07 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
bb13963 2017-02-07 Jasem Mutlaq         More progress on PAH. Detect hemisphere on Alignment module startup. Starting to apply algorithm
5776c83 2017-02-07 Jasem Mutlaq         Make Off-axis guide scope parameters available per CCD instead of global option
522b9c4 2017-02-07 Jasem Mutlaq         Add option to disable auto removal of temp file on closing in cases where it is desired
ed7c65c 2017-02-06 Jasem Mutlaq         More progress on PAH. WCS data is working properly now
19b11c5 2017-02-06 Jasem Mutlaq         Do not call future for loadWCS after updating the header as it will cause problems for any subsequent calls to WCS
56562af 2017-02-06 Jasem Mutlaq         Add function to change telescope type used for astrometry in CCD
2b8b601 2017-02-06 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
54588c9 2017-02-06 Jasem Mutlaq         Separating Align specific drawings to AlignView
6b31ee4 2017-02-06 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
9677a2b 2017-02-05 Jasem Mutlaq         Add warning if we switch to legacy polar alignment mode. Reset lines and points in restartPAH function
5563fc4 2017-02-05 Jasem Mutlaq         Why was calculateFOV not called here? I do not know but restoring it now
12c3d94 2017-02-05 Jasem Mutlaq         + Adding Meridian flip notifications (started, completed, failed) + Fixed park/unpark notifications
960f016 2017-02-05 Robert Lancaster     This includes 3 small fixes.
f46fb9f 2017-02-05 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
d6f81a1 2017-02-04 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
44fa08b 2017-02-04 Jasem Mutlaq         More progress on PAH
d5f28d6 2017-02-04 Yuri Chornoivan      Fix word duplication
6f4da33 2017-02-04 Robert Lancaster     This patch will disable key buttons while slewing to address a problem I have had many times when using kstars, particularly with the align module. ..
849a505 2017-02-04 Jasem Mutlaq         Update color schemes to properly account for Dark Palette option. It was only enabled for night vision scheme, but if a user customizes the night vi..
a47f7b5 2017-02-04 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
77c45c5 2017-02-04 Jasem Mutlaq         Get pixel size info from CCD chip. Add warnings for DSLRs in case CCD info is incomplete
96e2554 2017-02-04 Jasem Mutlaq         No need to keep checking when some focus properties are defined since a simple fix in EkosManager would not send all FOCUS_ properties to focus module
c562af8 2017-02-04 Jasem Mutlaq         Include focuser in postfix so that when CCDs connecting with built-in focuser come online, it does not become repetitive
c99bc33 2017-02-04 Yuri Chornoivan      Fix minor typos
989cae1 2017-02-04 Jasem Mutlaq         Use sigmal clipping when focus frames count > 3 and simple averaging for the rest. Please note that invalid values for currentHFR (-1) must be count..
6481dce 2017-02-04 Robert Lancaste      This is the summary screen patch.  It should display HFR for focus, sigmas for RA and Dec in guiding, and more uniform colors for the Progress Indic..
55d287c 2017-02-04 Jasem Mutlaq         More progress on Polar Alignment Helper
670f5b0 2017-02-03 Jasem Mutlaq         Add label for absolute focus ticks
1e484db 2017-02-03 Jasem Mutlaq         Preliminary work for Polar Alignment Helper. DO NOT TEST not in working condition
0eb880d 2017-02-02 Jasem Mutlaq         Return the use of average frames in focus module
fb17de3 2017-02-02 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
ea3c9ec 2017-02-02 Jasem Mutlaq         Set lastPrecessJD for comets. Minor location tab GUI improvements
5458353 2017-02-01 Jasem Mutlaq         Add Limited Memory Mode in FITSViewer where it turns off memory-intensive operations if desired. It also limited zoom in to 100% to reduce memory fo..
1da5ace 2017-01-31 Robert Lancaster     Use dark image in all FITSView widgets until an actual image is captured. Same image is also used in Observation Planner to denote no image
d9c81bd 2017-01-30 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
23f581b 2017-01-29 Robert Lancaster     + Fading the floating toolbar so its not as obtrusive. Note that the effect can be modified. + Made a button to make the FITSViewer optional for tak..
e571833 2017-01-29 Artem Fedoskin       Merge branch 'master' of git://anongit.kde.org/kstars
daf62d1 2017-01-29 Artem Fedoskin       Fixed QML display bugs in Qt 5.8. Changed the top TabBar in INDI Device Panel
4f37277 2017-01-28 Jasem Mutlaq         Align module now uses the embeded FITSView. Added initial widget for polar alignment helper but currently disabled
25f8e48 2017-01-27 Jasem Mutlaq         Add helpful hints
1dc15c9 2017-01-27 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
15c96b0 2017-01-27 Robert Lancaster     1. Fixed a bug or two where the floating toolbar buttons would make kstars crash if there were no image 2. Finished work on the other buttons so all..
18e10f5 2017-01-27 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
fccc022 2017-01-26 Robert Lancaster     Fixes to floating toolbar and its buttons
9b8d6b6 2017-01-26 Jasem Mutlaq         Improve space usage by hiding relative profile and making a dialog for it to popup when required
a4cebf2 2017-01-26 Jasem Mutlaq         In case upload mode is LOCAL then try to find out if any jobs have any light frames before returning
d786493 2017-01-26 Jasem Mutlaq         Readjust stretch of right layout
df7216c 2017-01-26 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
1d6fed2 2017-01-25 Jasem Mutlaq         Support all *_VIDEO_STREAM properties
3e6016b 2017-01-26 Artem Fedoskin       Merge branch 'master' of git://anongit.kde.org/kstars
88969b6 2017-01-26 Artem Fedoskin       Disabled Jupiter moons in KStars Lite. Fixed Lite compilation errors. Slew rate is now initialized and updated correctly and displayed with correspo..
76a599a 2017-01-25 Jasem Mutlaq         Initial work for floating toolbar within FITS View widget. More work needs to be done in order for it to be functional
8825874 2017-01-25 Jasem Mutlaq         Remove unnecessary headers
ded0dd3 2017-01-25 Robert Lancaster     KStars GSC Installer for OSX
fbfbf5f 2017-01-25 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
9a15987 2017-01-25 Jasem Mutlaq         Include tooltips on labels as well as fields
5ca1d7c 2017-01-24 Jasem Mutlaq         Add Jamie Smith to contributors
d31ee96 2017-01-24 Jasem Mutlaq         Complete overhaul for recording live video streaming to make it more accessible to more users
d6c23e8 2017-01-24 Jasem Mutlaq         INDI now send RGB24
6b5a82a 2017-01-24 Jasem Mutlaq         Add OSX port to Stephane contributions
83ca206 2017-01-24 Jasem Mutlaq         Make NotifyConfig optional. Use MacroBoolTo01 macro
661fb97 2017-01-23 Raymond Wooninck     Fix indent
1cd7681 2017-01-23 Raymond Wooninck     Fix build. KNotifyConfig is required even when libindi is not found
dc39200 2017-01-23 Jasem Mutlaq         Add notification configuration dialog in settings menu
a448465 2017-01-23 Robert Lancaster     More fixes
a67b511 2017-01-23 Robert Lancaster     More OSX installer fixes
5bbeb39 2017-01-22 Jasem Mutlaq         Fix installer path in OSX
8a6cf02 2017-01-22 Jasem Mutlaq         Record stream width and height each time we receive a frame
d107161 2017-01-22 Robert Lancaster     More wizard fixes
a35ef82 2017-01-22 Jasem Mutlaq         Check for streamWindow on closed
f921dfc 2017-01-21 Jasem Mutlaq         dos2unix
bdb4260 2017-01-21 Robert Lancaster     Wizard improvements in OSX
ab9c3f2 2017-01-21 Jasem Mutlaq         Clear target name when stopping scheduler
2ea4840 2017-01-21 Jasem Mutlaq         On CCD change, check whether video streaming is ongoing
7dd0b94 2017-01-21 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
9d55dac 2017-01-20 Robert Lancaster     OSX startup wizard changes
ea4edb2 2017-01-19 Jasem Mutlaq         Add live video button to capture module
9eabf40 2017-01-19 Jasem Mutlaq         Slightly improved logging in guide and calibration
4abcf69 2017-01-19 Akarsh Simha         Cosmetics
261a6fe 2017-01-15 Akarsh Simha         Add tropics to the equinox / solstices calculator module
647d01a 2017-01-15 Akarsh Simha         Remove Jupiter's Moons
5980577 2017-01-19 Jasem Mutlaq         Add another button for Ekos options visible in all modules. Divide Ekos option to different tabs to clarify things
fa59c32 2017-01-19 Jasem Mutlaq         Simply solver options to remove leading and trailing spaces before parsing it
c87f6c2 2017-01-19 Robert Lancaster     OSX minor changes
3cab491 2017-01-18 Yuri Chornoivan      Fix minor typo
d1f3f76 2017-01-18 Robert Lancaster     Icon fixes
e4b64e0 2017-01-18 Jasem Mutlaq         Change  Czech Republic to Czechia REVIEW:129688
0e24e6d 2017-01-18 Jasem Mutlaq         Remove wrong tooltip
4f86620 2017-01-18 Jasem Mutlaq         Add ability to switch DSLR formats which is set to FITS by default but can be set to native. In Focus, Guide, and Align module, it is always set to ..
5f14516 2017-01-17 Jasem Mutlaq         Only use frameType no need for frameName unless we are saving it
3cc402b 2017-01-17 Jasem Mutlaq         Only show no-fits2fits warning if we have it already in options
9a53e34 2017-01-16 Jasem Mutlaq         Check if currentCCD was initilized in abort
985d5cf 2017-01-14 Jasem Mutlaq         Check if we have no-fits2fits in options already in loadandslew
4b10cde 2017-01-13 Jasem Mutlaq         Save pixmap in stream as it is used later for saving a file
87fa30b 2017-01-13 Jasem Mutlaq         Toggle off the fullscreen mode on exist
24576a0 2017-01-12 Jasem Mutlaq         remote obsolete connection
22ed15d 2017-01-12 Jasem Mutlaq         Check if pixmap is null
e197656 2017-01-12 Yuri Chornoivan      Fix minor typo
e0bf3e2 2017-01-11 Jasem Mutlaq         Compare frame type against the enum instead of strings
704d93f 2017-01-11 Jasem Mutlaq         Add support to fullscreen mode for focusing widget
afc6309 2017-01-11 Jasem Mutlaq         Filter focus offsets is now supported. Needs testing
7410242 2017-01-10 Jasem Mutlaq         Fix crash in file downloader BUGS:374796 FIXED-IN:17.04
8904c00 2017-01-09 Jasem Mutlaq         Initial work for filter focus offsets
e6d7f72 2017-01-09 Jasem Mutlaq         Display error in log if saving fails
53a3808 2017-01-08 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
e5760dd 2017-01-07 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
7b014d6 2017-01-06 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
6fea78f 2017-01-05 Jasem Mutlaq         Adding more notification events in INDI and Ekos
4848239 2017-01-03 Jasem Mutlaq         Try to find out when detection algorithm is giving false positive and we are just bouncing around for a solution
8291bf2 2017-01-02 Jasem Mutlaq         Make streaming window remember previous size. Make default size 320x240
b54081e 2017-01-02 Jasem Mutlaq         use correct name for option
09d4b01 2017-01-02 Jasem Mutlaq         Corrent name of contributor Yuri
d70aa13 2016-12-28 Akarsh Simha         Fix centering of  symbol for catalog stars (and also open cluster dots)
5abce75 2016-12-28 Akarsh Simha         Fix spurious timezones in time infobox display
7fbad13 2016-12-28 Yuri Chornoivan      Fix minor typo
473f6cd 2016-12-28 Jasem Mutlaq         Add option so that INDI is disconnected before executing the shutdown script which could be terminating INDI server
8113749 2016-12-27 Akarsh Simha         Call updateCoords on SkyPoint before rendering the eyepiece view
71f1c63 2016-12-27 Akarsh Simha         Initialize DSS Image metadata correctly and add a validity bool
e535eac 2016-12-24 Yuri Chornoivan      Fix minor typo found by Łukasz Wojniłowicz
583ca07 2016-12-20 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
25dcc35 2016-12-20 Jasem Mutlaq         Increase maximum mount settle value to 15 seconds
9b39365 2016-12-20 l10n daemon script   GIT_SILENT made messages (after extraction)
1023f93 2016-12-19 Jasem Mutlaq         Save satellite options before updating TLEs
dff5bde 2016-12-16 Yuri Chornoivan      Fix minor typo
a1af7ae 2016-12-16 Yuri Chornoivan      Fix typo, use entities
be95892 2016-12-15 Jasem Mutlaq         Adding preliminary documentation for eyepiece view simulation. It must be updated to fully explain the tool, I used some of Akarsh comments and adde..
ca1d482 2016-12-14 Raphael Cojocaru     Updated screenshot for INDI tab
e22a0f4 2016-12-14 Akarsh Simha         Fix DSS image sizes in Eyepiece View feature.
6ce3890 2016-12-14 Akarsh Simha         Calculate widths correctly for position angles in the second quadrant
fe4084b 2016-12-14 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
6be6fc0 2016-12-14 Jasem Mutlaq         Fixing downloader issue and showing progress dialog where appropiate. It starts with unknown progress and then once progress is established it start..
dfd9ae6 2016-12-14 Akarsh Simha         Fix SkyMap::slotCenter()
4e9a770 2016-12-14 Akarsh Simha         Fix regressions in rendering of Eyepiece View in Observation Planner
e651634 2016-12-14 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
810d443 2016-12-14 Jasem Mutlaq         Fix issues with signals/slots when using threaded INDI client. Use more KSNotification through out the code.
785bfdd 2016-12-14 Jasem Mutlaq         Check for canSync first without any pre-conditions
9a1083e 2016-12-13 David Faure          Enable strict iterators in debug mode, to catch unwanted detach()s.
28ee1a8 2016-12-12 David Faure          Fix build with strict iterators.
eee680c 2016-12-12 Jasem Mutlaq         Move stopEkos after shutdown script is successfully executed and make it configurable
6533eb6 2016-12-12 Jasem Mutlaq         Fix warning
f9e07c4 2016-12-12 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
6b7d0de 2016-12-10 Pino Toscano         Use KStandardGuiItem more
04f6bf3 2016-12-06 Jasem Mutlaq         Restore no-fits2fits and user should explicitly remove it as version checking is only reliable for offline version and unknown for others
c80d1e5 2016-12-06 Jasem Mutlaq         Minor optimization and documentation updates
882d953 2016-12-05 Jasem Mutlaq         A few minor code optimizations plus adding documentation to clear things up. starData and deepStarData structures must be fully documented to remove..
88e3a31 2016-12-05 Jasem Mutlaq         Slightly improve efficiency of reading static stars
f28141d 2016-12-04 Jasem Mutlaq         Remove --no-fits2fits since it is dropped from astrometry.net in recent builds
4b3704c 2016-12-04 Pino Toscano         Use KStandardGuiItem::overwrite()
30834f4 2016-12-04 Jasem Mutlaq         Set autofocus in scheduler job when detected
e84b029 2016-12-01 Jasem Mutlaq         Using pixmaps to represent visible vs non-visible satellites. The pixmap does not scale with zoom level but that is intentional as we are not trying..
e60f991 2016-12-01 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
58b197d 2016-12-01 Jasem Mutlaq         Fixing a few satellite issues including label color. Please test. CCMAIL:kstars-devel@kde.org
841a532 2016-11-30 Akarsh Simha         Suppress unnamed star drawing time output
c9e2b73 2016-11-30 Akarsh Simha         Use QtConcurrent (blocking)map to process multiple StarBlocks in parallel.
3a2eaef 2016-11-30 Akarsh Simha         Helpful stuff to be able to do map-reduce on StarBlockLists
21ea98e 2016-11-30 Akarsh Simha         Simplify code in StarBlock by using a typedef to handle KSTARS_LITE
968c4db 2016-11-30 Akarsh Simha         Temporary: Report unnamed star drawing time
52a2814 2016-12-01 Jasem Mutlaq         Rework how configuration settings are applied. All this time _any_ configuration settings that changes resulted in a complete reload of many catalog..
17749ee 2016-12-01 Yuri Chornoivan      Fix minor typos
87d6ea6 2016-12-01 Jasem Mutlaq         Not need to skip if there is no claimed type
1fd2377 2016-11-30 Jasem Mutlaq         Save/Load guide rate
d7d027a 2016-11-30 Jasem Mutlaq         Increase maximum X and Y range
37b052a 2016-11-30 Jasem Mutlaq         Improving tooltip documentaiton including PID description from Wikipedia
7b15909 2016-11-30 Jasem Mutlaq         Add parity support for remote solver
fd48533 2016-11-30 Jasem Mutlaq         Sync write-only properties too
e882f13 2016-11-29 Jasem Mutlaq         fix few issues when estimating time for sequences that loop
8984239 2016-11-29 Jasem Mutlaq         Enclose within debug
7779492 2016-11-28 Jasem Mutlaq         Only set fake position if the focuser is purely relative. Reduce clutter in timer-based focusing
bc40bd3 2016-11-28 Burkhard Lück        remove obsolete stuff from kstars documentation
33b64bd 2016-11-27 Jasem Mutlaq         Handle device disconnection in each module
4a37588 2016-11-27 Jasem Mutlaq         Better handling of disconnections in focuser
8326cb0 2016-11-27 Jasem Mutlaq         Do not disable focus module when focuser is disconnected. Let focuser module handle disconnections
1e1de91 2016-11-27 Jasem Mutlaq         Fixes when using multiple focusers
2cf3193 2016-11-27 Jasem Mutlaq         Include focusers and filter in aux group as well
5724792 2016-11-26 Pino Toscano         Merge remote-tracking branch 'origin/Applications/16.12'
42eee1e 2016-11-26 Pino Toscano         use QDialogButtonBox
b1be6c2 2016-11-26 Pino Toscano         polish INDIHostConf UI
a63a71a 2016-11-26 Pino Toscano         Merge remote-tracking branch 'origin/Applications/16.12'
043526f 2016-11-26 Jasem Mutlaq         Check for widgt before calling mapFromParent BUGS:372926
f2cd5da 2016-11-24 Andreas Sturmlechner Add missing ifdef to fix build
f38ff7c 2016-11-24 Jasem Mutlaq         Temporary hack to solve kstars.exe remaining in the background due to a big in Qt 5.8 that is not resolved yet CCBUG:366596
21f0d1a 2016-11-24 Jasem Mutlaq         Remove obsolete file
d050927 2016-11-24 Jasem Mutlaq         Fix for quick device removal that may cause inconsistencies in QTabWidget
c092dba 2016-11-24 Yuri Chornoivan      Fix various minor typos
1ddab20 2016-11-24 Jasem Mutlaq         Fix a few rounding issue with multi-byte data. BUGS:372853
59627f1 2016-11-23 Jasem Mutlaq         Adding support to supernovae data from the Open Supernovae Catalog
ee5f4fe 2016-11-23 Jasem Mutlaq         Improve file downloader but still needs work and lots of is already duplication KDE KIO stuff which can't be used in Android yet unfortunately so du..
c98efd3 2016-11-23 Jasem Mutlaq         Use progress dialog so user can see some progress and ability to cancel download
468bb31 2016-11-23 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
c76bdb1 2016-11-23 Jasem Mutlaq         Initial work on supernova from open supernova catalog
be603d6 2016-11-22 Jasem Mutlaq         Fix ifdef error
8e2f15a 2016-11-22 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
c2a8435 2016-11-21 Jasem Mutlaq         Use correct icon for geographic location
b546802 2016-11-21 Jasem Mutlaq         Use a Mutex to protect line loading while using QtConcurrent
a753da5 2016-11-21 Jasem Mutlaq         Warn user when changing INDI server binary
3be4939 2016-11-21 Jasem Mutlaq         Fix astrometry directory action on OSX
f196748 2016-11-20 Jasem Mutlaq         When performing load and slew on a non-FITS file, give the user an option to either use the blind solver or use existing solver settings
056cfa9 2016-11-20 Jasem Mutlaq         Add Sony ARW to list of accepted raw files
8b20c6c 2016-11-20 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
718c19d 2016-11-20 Jasem Mutlaq         If focus star is selected then apply whatever algorithm the user selects. Otherwise, always run centeroid algorithm
093337a 2016-11-20 Jasem Mutlaq         Fix integer overflow
165a828 2016-11-20 Jasem Mutlaq         Disable J2000 status display by default. If advanced users want to enable it, they can, it should remain simple by default
f0508ff 2016-11-20 Jasem Mutlaq         If clock was started paused, display that in the logs and set the current date and time since tick from SimClock is not being picked up in paused st..
2988dc4 2016-11-20 Jasem Mutlaq         When starting Ekos, also make sure clock is started and up to date
47f7bda 2016-11-19 Jasem Mutlaq         Add ability to launch FITSViewer from within guide and focus frame if requested by user to further inspect the images
99dc797 2016-11-19 Jasem Mutlaq         Use KSNotification so that it is compatible with Android as well. Improve its functionality
4af2f26 2016-11-19 Jasem Mutlaq         Set currentCCD to activeCCD if they're different
3362315 2016-11-19 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
6a0a9a3 2016-11-19 Jasem Mutlaq         Fix BLOB issue when using external guiders. Now it is only disabled as required and re-enabled for other CCDs
d0d9722 2016-11-19 Yuri Chornoivan      Fix minor typo
198cf16 2016-11-19 Jasem Mutlaq         Consider wait stage prior to progress so that other modules are not blocked while in the waiting period which should expire after a particular timeo..
1ffd45d 2016-11-19 Jasem Mutlaq         DO not show warning dialog twice
42d67c7 2016-11-18 Jasem Mutlaq         Improve scheduler GUI
4930a87 2016-11-18 Jasem Mutlaq         When checking job completion, check rememberJobProgress flag
5089e1b 2016-11-18 Jasem Mutlaq         Set column layout stretch
05eac3a 2016-11-18 Jasem Mutlaq         Fix ifdef for FITSViewer
f3b28bd 2016-11-18 Jasem Mutlaq         Make file and capture settings in bold
223a4b0 2016-11-17 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
0e9b036 2016-11-17 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
9f113c7 2016-11-17 Jasem Mutlaq         Further improve capture GUI to utilize all available space
6ac8834 2016-11-17 Jasem Mutlaq         Fix warning
ce4bb80 2016-11-17 Jasem Mutlaq         Fix warning about un-used variable
eb3408f 2016-11-17 Jasem Mutlaq         Remove unused variables
0a329d5 2016-11-17 Jasem Mutlaq         Implement setAlgorithmIndex
8431423 2016-11-17 Jasem Mutlaq         Disable warning until QCustomPlot 2.0 is released
72d38db 2016-11-17 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
72295c4 2016-11-17 Jasem Mutlaq         Capture GUI rework to make it more compact and clear to end user
c69409c 2016-11-17 Jasem Mutlaq         Remove useless log option and reduce vertical space
6a88ddf 2016-11-17 Jasem Mutlaq         Push filter type to stack on load
5ef5cfb 2016-11-17 Jasem Mutlaq         Always reset INDI connection status when a new device is detected. Compare the connected devices against detected devices not profile devices since ..
b0bb15c 2016-11-17 Jasem Mutlaq         Multiply by 1000 not 3600
fdab09d 2016-11-17 Jasem Mutlaq         Disabled out of range warnings as they clog the logs
fa77da3 2016-11-17 Jasem Mutlaq         Moving functios to detect sequence completion to scheduler to better estimate time and also start capture immediately if only calibraton frames are ..
0d00f76 2016-11-16 Jasem Mutlaq         Add weather to aux list
b38d761 2016-11-16 Jasem Mutlaq         Dropping ISO8601 as it creates an illegal filename under Windows and replacing colons with dashes
1e083f0 2016-11-15 Jasem Mutlaq         Add support to dithering every X frames as requested
fcbacdf 2016-11-15 Jasem Mutlaq         Do not set time as it is already set in SimClock ctor
cb99a35 2016-11-15 Jasem Mutlaq         KStars now depends on INDI v1.3.1
7e9dccd 2016-11-15 Jasem Mutlaq         Simple fix by Rob to show WCS Labels after switch
cfb6d38 2016-11-14 Jasem Mutlaq         Bump to 2.7.2
7b474dc 2016-11-14 Jasem Mutlaq         Set all connection to UniqueConnection in Align and fix mismatched signal/slot
5ec1c8c 2016-11-14 Jasem Mutlaq         Improve visibility of the magnitude number in the labels.
9e82b30 2016-11-14 Jasem Mutlaq         Warn users if BLOB was disabled in the camera due to usage of external guiding applications
3b7d6e9 2016-11-14 Jasem Mutlaq         Set the appropiate FITS view type
09efca4 2016-11-14 Robert Lancaste      OSX Bundle improvements
3b23570 2016-11-13 Robert Lancaster     Fix today calender icon not showing up
80d70f5 2016-11-13 Jasem Mutlaq         Not cancel slot
a73a386 2016-11-13 Jasem Mutlaq         Only reset file on startup
c29ef84 2016-11-13 Jasem Mutlaq         Fix ifdefs to compile without cfitsio/lite
eb2453a 2016-11-13 Robert Lancaster     XPlanet Fixes and Bundle Defaults
5b4cc61 2016-11-12 Raphael Cojocaru     Added functionality for Update button. Now, the AltvsTime widget will recompute all the graphs points when the Update button is pressed.
8bf445e 2016-11-12 Robert Lancaster     Night theming for OSX
3f95d5b 2016-11-12 Artem Fedoskin       Merge branch 'master' of git://anongit.kde.org/kstars
3606db6 2016-11-12 Artem Fedoskin       KStars Lite - add sand clocks into the first startup
9ca83ff 2016-11-11 Jasem Mutlaq         Apply capture filter for dark frames
3b92240 2016-11-11 Jasem Mutlaq         Check index do not crash
b71de87 2016-11-11 Jasem Mutlaq         New Lite Android version
3ef929f 2016-11-10 Artem Fedoskin       KStars Lite - added splash screen right after startup
c51ce42 2016-11-10 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
68f2771 2016-11-10 Jasem Mutlaq         Change Ekos icon size to 48x48. Reset image progress value to zero on abort
d690d0b 2016-11-10 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
bbf323c 2016-11-09 Jasem Mutlaq         2.7.1 release
36c93a9 2016-11-09 Jasem Mutlaq         Watch out for negative boundary values
bf3040d 2016-11-09 Jasem Mutlaq         Expand profile Pixmap to cover more area. Only submit state changes once per action, GUIDE_DITHERING_SUCCESS was being emitted twice
390e58c 2016-11-09 Jasem Mutlaq         If no star is selected while waiting, change state to IDLE
9ad587c 2016-11-09 Jasem Mutlaq         Add new progress bar for current image being captured in the summary
594cd91 2016-11-09 Jasem Mutlaq         Retry failed tasks before giving up. Add new signal for image time progress
a3dcdb2 2016-11-09 Jasem Mutlaq         Disable too verbose logging until necessary
e120f3d 2016-11-09 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
4042778 2016-11-09 Jasem Mutlaq         Fix warning and add clarification message
341b6e7 2016-11-09 Jasem Mutlaq         Improve handling of sync and slew failure in align module
64a2d1e 2016-11-08 Jasem Mutlaq         Fixing problems with saving configuration on Android
cead4ef 2016-11-08 Jasem Mutlaq         Ensure box size combo index >= 0
1934a83 2016-11-08 Robert Lancaster     OSX and XPlanet fixes
ca6c401 2016-11-08 Jasem Mutlaq         Fix function name in namespace
4bd2790 2016-11-07 Jasem Mutlaq         If user canceled dark frame capture then we set the options to off
e1beafd 2016-11-07 Jasem Mutlaq         If loadSlew is active, we do not check targetDiff value
9ca7f7c 2016-11-07 Jasem Mutlaq         Adding support to other FITS data types
ea574b6 2016-11-07 Jasem Mutlaq         Make it compile on Android
194102e 2016-11-07 Jasem Mutlaq         Make moonless night fallback default
e727178 2016-11-07 Jasem Mutlaq         Save color scheme file to config
53fbf26 2016-11-07 Jasem Mutlaq         Show splash first thing
329eb0f 2016-11-07 Jasem Mutlaq         Do not include histogram in lite
e93c4bd 2016-11-07 Robert Lancaster     More OSX bundle work to copy data if it does not exist
61f2c7b 2016-11-07 Jasem Mutlaq         Add KStars version to log
9cc2943 2016-11-06 Jasem Mutlaq         Bump to 1.0.1
12c5815 2016-11-06 Jasem Mutlaq         Fix compile
a1ec471 2016-11-06 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
362394d 2016-11-06 Jasem Mutlaq         Various fixes for KStars Lite
7b5afc7 2016-11-06 Jasem Mutlaq         Adapting FITSData to work for KStars Lite and adding a static function to create an autostreched QImage from a FITS File
9182ea1 2016-11-06 Jasem Mutlaq         QtConcurrent for milkyway seems to crash it sometimes to disabling it for now
e37c3ee 2016-11-06 Jasem Mutlaq         New notification system that can work for both desktop and mobile version
6f67ba0 2016-11-06 Artem Fedoskin       Merge branch 'master' of git://anongit.kde.org/kstars
a6d6d54 2016-11-06 Artem Fedoskin       KStars Lite - Change version of apk
a4751fe 2016-11-06 Jasem Mutlaq         SIGNIFICANT boost in startup speed from using a combination of delayed image loading, which also saves RAM, and QtConcurrent. The usage of QtConcurr..
09f7929 2016-11-06 Jasem Mutlaq         Connect streamWindow when there is a valid object. Make it unique
b6c7370 2016-11-06 Jasem Mutlaq         Reset buttons fixes
3de1e6f 2016-11-06 Jasem Mutlaq         Add more debug logging. Change status to progress when slewing is over
b1ba2bc 2016-11-06 Jasem Mutlaq         Break outside of else
723b756 2016-11-06 Jasem Mutlaq         Autostretch fixes
b2c8887 2016-11-06 Jasem Mutlaq         Use templated functions to reduce memory footprint of FITS operations
f7a9269 2016-11-06 Artem Fedoskin       Merge branch 'master' of git://anongit.kde.org/kstars
0e8ed22 2016-11-06 Artem Fedoskin       Solve bug https://bugs.kde.org/show_bug.cgi?id=371998
61df105 2016-11-04 Robert Lancaster     OSX bundle fixes
3b5c564 2016-11-04 Jasem Mutlaq         Make auto debayering as an option so that it can be disabled if not desired
a7603e2 2016-11-03 Jasem Mutlaq         Compile without WCS take 2
8e84022 2016-11-03 Jasem Mutlaq         Compile without WCS
3435bcf 2016-11-03 Jasem Mutlaq         Treat empty drivers as invalid as well
87e676a 2016-11-03 Robert Lancaster     OSX bundle fixes
65d0bad 2016-11-03 Jasem Mutlaq         Improve file downloading to emit cancelled signal and show optionally a progress dialog. Also can directly save to file and now saves progressivly a..
05b8f16 2016-11-02 Robert Lancaster     OSX Bundling patch
203e5b2 2016-11-02 l10n daemon script   SVN_SILENT made messages (.desktop file) - always resolve ours
2f928fb 2016-11-02 Artem Fedoskin       KStars Lite - Fix bug with INDI in Android version
3b3e27e 2016-11-02 Artem Fedoskin       KStars Lite - Fix size of icons in top drawer
ad7de0d 2016-11-01 Artem Fedoskin       Merge branch 'master' of git://anongit.kde.org/kstars
6b9087d 2016-11-01 Artem Fedoskin       KStars Lite - Location name can be now automatically retrieved from internet while setting coordinates from GPS
8c481c8 2016-11-01 Jasem Mutlaq         Cannot use UniqueConnection with labdas so going back to regular signals/slots
31240e6 2016-11-01 Jasem Mutlaq         Make group as unknown if it is empty
ff744ac 2016-11-01 Jasem Mutlaq         Disable debug comments that litter the logs
8450f00 2016-10-30 Jasem Mutlaq         Various fixes for guiding
a4bb1d7 2016-10-30 Jasem Mutlaq         Dithering success should keep busy signal
85ac071 2016-10-30 Jasem Mutlaq         Increase edge limit to 15% for focus and guide frame to avoid edge star detection
4bc9e99 2016-10-30 Jasem Mutlaq         km --> AU
2052307 2016-10-30 Jasem Mutlaq         Deprecess an empty point when we add a flag, otherwise use ra0/de0 from the object
e1ecb21 2016-10-30 Jasem Mutlaq         Fix manual focus dialog calculating wrong sky point based on bogus epoch
cd598e8 2016-10-29 Jasem Mutlaq         Preliminary support to solving captured non-FITS images in Align module. Needs testing
41aa2eb 2016-10-29 Jasem Mutlaq         Do not enable Align module if there is no scope
2e6113a 2016-10-29 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
b3dc10d 2016-10-29 Jasem Mutlaq         Set currentGoto mode value since the connect in the ctor gets only activated for explicit clicks
845d077 2016-10-29 Jasem Mutlaq         set tab order
137b2e0 2016-10-29 Pino Toscano         fixuifiles
6bda418 2016-10-29 Jasem Mutlaq         Create file URL from Local File
831d1d9 2016-10-28 Jasem Mutlaq         Fix few problems that appeared after removing build_kstarslite
949ce3b 2016-10-28 Jasem Mutlaq         Merge branch 'master' of git://anongit.kde.org/kstars
0327f0f 2016-10-28 Jasem Mutlaq         Removing build_kstarslite from repo and moving it to Github where it is maintained there
40760c3 2016-10-28 Jasem Mutlaq         Use the old-style connect for the deprecated function to make it compile on Qt < 5.6
316e19a 2016-10-28 Jasem Mutlaq         errorOccured was introduced in 5.6 so account for that
807467e 2016-10-28 Jasem Mutlaq         Use local file otherwise it is broken under Windows
a867d71 2016-10-28 Jasem Mutlaq         Invalid directory was being set since it was storing a file and not a path, fixed
f087747 2016-10-28 Jasem Mutlaq         Fix Epoch range as it was limited to 99.99
df74f94 2016-10-28 Jasem Mutlaq         Use std::abs. Thanks to Christian Dersch for finding this issue
c027f68 2016-10-28 Jasem Mutlaq         Call checkCCD if CCD_TEMPERATURE permission is not RO otherwise no need. Reset frame to zero in case we have invalid limits
5127008 2016-10-28 Jasem Mutlaq         Set pulseTimer to be oneShot
f1da6f6 2016-10-28 Jasem Mutlaq         Clear temperature out when switching cameras
154a795 2016-10-27 Jasem Mutlaq         Add 2.7.0 changelog from GIT

2.7.0 (Menkab):
 ===================----------------------------------
13c1993 2016-10-27	Jasem Mutlaq	Adding missing list icons
70c3d29 2016-10-27	Robert Lancaster	Add two missing icons required for KNewStuff
524d99a 2016-10-27	Jasem Mutlaq	Bump version to 2.7.0 and arrange developers
3ec33f0 2016-10-27	Jasem Mutlaq	Change start to stop for preview as well
34d5920 2016-10-27	Jasem Mutlaq	No need to unpack full image when we only need thumbnails
523dfed 2016-10-27	Jasem Mutlaq	Also disable temperature checkbox if there is no cooler
dc9fb7e 2016-10-27	Jasem Mutlaq	Fix reading raw files bugs
eaafa93 2016-10-27	Jasem Mutlaq	Always reset frame when doing calibration. Use pulseTimer instead of single shot so that we can stop it on abort
bef4d86 2016-10-27	Jasem Mutlaq	Add LibRaw as optional dependency to handle reading of RAW files recieved from cameras. This enables multiplatform support for handling RAW files as libraw is available in major platforms
0dbb399 2016-10-27	Robert Lancaster	KLauncher handling on OSX
f27f7b4 2016-10-27	Jasem Mutlaq	Add support to NEF handlign. I probably need to utilize libraw instead of dcraw so that this can work multiplatform
ed8bc05 2016-10-26	Artem Fedoskin	Update icons in KStars Lite
cc5fc1c 2016-10-26	Robert Lancaster	More OSX window fixes to stay on top
40ad456 2016-10-26	Jasem Mutlaq	Stop align timer on solve fail
f758660 2016-10-26	Jasem Mutlaq	Put connect statements when we run solver since we disconnect the slots upon exist
db63f1a 2016-10-25	Robert Lancaster	Fix GUI of add deep sky
4e245ad 2016-10-25	Jasem Mutlaq	Retain frame value when receving updated CCD_INFO property unless they are out of bounds
4031709 2016-10-25	Jasem Mutlaq	Always use the POSIX INDI client under Linux to match what users use by default
3b0bf48 2016-10-25	Jasem Mutlaq	Add log comment when timing out. Must find solution for loadAndSlew condition on timeout
6dfa89a 2016-10-25	Jasem Mutlaq	Add parity detection to astrometry modules and it is reused on next captures unless a solver fails then it gets reset to both. Adding alignment solver timer as well to watch for timeout
931a353 2016-10-25	Jasem Mutlaq	Reset the guide state on calibrate. Show detected stars when doing auto-star selection
f9846aa 2016-10-25	Robert Lancaster	Fix buttons in OSX
de60e6f 2016-10-25	Robert Lancaster	Make Windows as tools on OSX to workaround some Qt bug where they get behind main window
fe65e03 2016-10-25	Artem Fedoskin	Added new splash screen and icon in KStars Lite
684cb82 2016-10-24	Jasem Mutlaq	Fixing more issues with guiding and subframing in auto-calibrate-guide mode
65db5ce 2016-10-24	Jasem Mutlaq	Use flag to know if calibration was ever completed instead of checkin for prior status. Fix dark frame bug
c9930ea 2016-10-24	Jasem Mutlaq	Some fixes to guiding with dark frames
fc982bf 2016-10-24	Jasem Mutlaq	Use continue cancel dialog
d26bea3 2016-10-24	Jasem Mutlaq	Add button to display INDI logs
043e2e6 2016-10-23	Robert Lancaster	Fix context menu location in FITSViewer
3ec82dd 2016-10-23	Jasem Mutlaq	For dithering, just set initial state and let the workflow handle it
b3633c3 2016-10-23	Jasem Mutlaq	Better use QDir::tempPath() directly. Also monitor if process was started at all or if an error occured and handle it
77352b6 2016-10-23	Jasem Mutlaq	Add timeout to each stage of the startup/shutdown and restart procedure in case it timeouts
3e0de03 2016-10-23	Jasem Mutlaq	Use system temp path from QStandardPaths
9e0e602 2016-10-23	Robert Lancaster	Adding context menu to FITSViewer just like SkyMap. Label fixes. New center telescope icon
09e751f 2016-10-23	Jasem Mutlaq	Fix crash due to activeJob pointer not being reset. Make sure all queue icons are disabled during sequence execution
36c6899 2016-10-22	Jasem Mutlaq	Use a timer to check if guiding deviation are still not resolved after 1 minute. If that happens then complete abort of the sequence occurs
8d5cca1 2016-10-22	Jasem Mutlaq	Gradient algorithm should only be run on subframes as running on full frame images would make it impossible to run
e5abf7c 2016-10-22	Jasem Mutlaq	Set ST4 default driver
1545e48 2016-10-22	Jasem Mutlaq	Fix setting of ST4 driver
2632b0c 2016-10-22	Jasem Mutlaq	Enable guide log file
abce52f 2016-10-22	Artem Fedoskin	Added support for dark theme in KStars Lite
b1404a2 2016-10-22	Jasem Mutlaq	Using QtConcurrent to parallelize some aspects of KStars. Now WCS is running in a seprate thread and this brought opening time from 5 seconds to less than 1 second in WCS-enabled frames
099173e 2016-10-22	Robert Lancaster	Separating object info and gridlines. New telescope center icon. Speed improvements
699a1b7 2016-10-21	Jasem Mutlaq	Fix currentZoom being set to 0 if view width is a lot smaller than image width due to using floor()
4b6d88b 2016-10-21	Jasem Mutlaq	Reset default focus square to 64 and guide square to 32
f1e5848 2016-10-21	Jasem Mutlaq	Immediately send heart beat upon connection, do not rely on timeout
0a4bb6b 2016-10-21	Jasem Mutlaq	If null is sent to any param, ignore it
69c6da9 2016-10-21	Jasem Mutlaq	Set binning in cmath to calculate final frame w and h
dc272db 2016-10-21	Jasem Mutlaq	Use correct timeout for INDI and Ekos timeouts
d7d7258 2016-10-21	Jasem Mutlaq	Increase subframe capture size since star can sometimes move a bit around and we do not want to lose it. Also reset first load upon subframing so that the frame is adjusted properly
139cc1c 2016-10-21	Jasem Mutlaq	Remove space
5121015 2016-10-21	Jasem Mutlaq	Always use full width & height in Align module
6f8ef3e 2016-10-21	Artem Fedoskin	Fix building error
816026d 2016-10-21	Robert Lancaster	Add support to identifying objects within a WCS enabled image
c5862ad 2016-10-21	Jasem Mutlaq	Sync job to gui should include remote dir and upload mode combos
918e01d 2016-10-20	Jasem Mutlaq	Add upload mode and remote dir options to capture jobs
944a3c7 2016-10-20	Jasem Mutlaq	Do not update remote astrometry binary file automatically
9e8cb4a 2016-10-20	Jasem Mutlaq	Fix few issues with guiding restart and stop
2529647 2016-10-20	Jasem Mutlaq	Reduce massRatio threshold to 1.5 to include stars in noisy images
8bd4d47 2016-10-20	Jasem Mutlaq	If we are in autofocus, we need to proceed with capture after autostar is selected without subframe
38d88a1 2016-10-20	Jasem Mutlaq	Reset state to GUIDE_GUIDING after a successful dithering
2c71703 2016-10-20	Jasem Mutlaq	If guide status > GUIDE_GUIDING set aborted state as suspended
6033a71 2016-10-19	Jasem Mutlaq	Fixing multiple focus issues
4098038 2016-10-19	Jasem Mutlaq	Commenting out test case
60590cc 2016-10-19	Jasem Mutlaq	Update focus DBus function calls
f05f6fd 2016-10-19	Jasem Mutlaq	Restrict search area for stars also in focus mode as to avoid edge cases. In canny detector, calculate total mass ratio among potential regions and select one with the highest mass ratio. If the ratio is small then it is most likely just noise
01ec464 2016-10-19	Jasem Mutlaq	Set default focus box size to 32
349557d 2016-10-19	Jasem Mutlaq	Connect focus newHFR to capture module
f442343 2016-10-19	Jasem Mutlaq	Only abort due to guiding errors if we are taking a light frame. Also check for focus status failure flag
5e935c6 2016-10-19	Artem Fedoskin	Use colors from current color scheme in KStars Lite pages, drawers and context menus. Change the way INDI client is built and included in Android version
f6022ae 2016-10-19	Jasem Mutlaq	Fixing tab order
9817e1b 2016-10-18	Jasem Mutlaq	New gradient-based sobel algorithm is mostly working now, need mass testing
c971a38 2016-10-18	Jasem Mutlaq	Algorithm mostly working but would fail if multiple stars within same frame. Trying out region partitioning later on
84fcffa 2016-10-18	Jasem Mutlaq	libnova documentation interfers with KStars, so removing it
b661e44 2016-10-18	Jasem Mutlaq	More progress on gradient star detection. Adding option to select which algorithm to use in Focus module
a12e12f 2016-10-17	Akarsh Simha	Reduce debug output
a663435 2016-10-17	Jasem Mutlaq	More work on canny star
80b6a2a 2016-10-17	Jasem Mutlaq	Always make generated file sequence number last so we can easily parse it and lift artificial limit of 999
53b3eec 2016-10-17	Jasem Mutlaq	Improving the GUI a bit and grouping comming settings togeather
7c266f1 2016-10-16	Artem Fedoskin	Create android_libs folder on startup of build-kstarslite.sh
5686e05 2016-10-16	Artem Fedoskin	Added KStars Lite building script
6486d96 2016-10-16	Jasem Mutlaq	More progress on the gradient based detector
46999cd 2016-10-16	Jasem Mutlaq	Starting on canny based single star detector
8980355 2016-10-16	l10n daemon script	SVN_SILENT made messages (after extraction)
42391b1 2016-10-16	Jasem Mutlaq	If there is no focuser still then return
5934307 2016-10-15	Robert Lancaster	Adding support to panning and trackpad gestures for panning and zooming plus other improvements
c63569a 2016-10-15	Jasem Mutlaq	Adding initial canny edge detector
4ad48a3 2016-10-15	Jasem Mutlaq	Add necessary getStatus functions
b57daae 2016-10-15	Jasem Mutlaq	Add getStatus function
4c66d46 2016-10-15	Jasem Mutlaq	Update the scheduler to use commands of updated Ekos modules
f11601a 2016-10-14	Akarsh Simha	Fix crash in observing list whenever catalog configuration was changed.
42d4149 2016-10-14	Akarsh Simha	Add utility method to create a QList<T *> from QList<QSharedPointer<T>>
e108f42 2016-10-14	Akarsh Simha	More FIXMEs
c1247ca 2016-10-14	Jasem Mutlaq	Updating icons to latest and fixed Breeze icons
ab6be7b 2016-10-11	Jasem Mutlaq	Use QStandardPaths to find INDI paths
ddb83b1 2016-10-11	Akarsh Simha	A commit full of FIXMEs and hardly anything else
30862b9 2016-10-11	Akarsh Simha	Avoid truncating the wishlist if there's a crash while saving it.
1daa4f7 2016-10-11	Raphael Cojocaru	More work on porting Altvstime to QCP 2.0
5ca9db7 2016-10-10	Jasem Mutlaq	GUI changes, simplifyig interface and operations. Lots of fixes given multiple options
a47364f 2016-10-10	Raphael Cojocaru	Start working on porting Altvstime to QCP 2.0
7958708 2016-10-10	Jasem Mutlaq	Focus uses its own fits frame like guide module. Improve GUI
60755c2 2016-10-10	Jasem Mutlaq	Improve GUI a bit
183aca0 2016-10-10	Jasem Mutlaq	Remove auto park since it is done in scheduler. Improve GUI
b19391e 2016-10-10	Jasem Mutlaq	Improve GUI. Fix resume/suspend action
682bf87 2016-10-10	Akarsh Simha	Add missing overload for CachingDms::setD()
f40ddf7 2016-10-09	Robert Lancaster	Adding zoom to fit and central crosshair. Grid lines TODO
6d23b0c 2016-10-09	Jasem Mutlaq	FIx issues when switching guiders and connecting to guider with existing guide state
144b2f3 2016-10-09	Jasem Mutlaq	few fixes
de269d3 2016-10-09	Jasem Mutlaq	LinGuider is now supported. Needs more testing of course
deaf6c7 2016-10-09	Jasem Mutlaq	Display logs only when guide logging is enabled
22b6ead 2016-10-09	Jasem Mutlaq	More progress on linguider. small fix in phd2
90c09b9 2016-10-09	Jasem Mutlaq	Use new signals for guide
b7b5b9a 2016-10-09	Jasem Mutlaq	Fix signal/slots connections
25c6335 2016-10-09	Jasem Mutlaq	Moving post capture script to sequence queue where it belongs
e9a3db1 2016-10-09	Jasem Mutlaq	Fix wrong state names. Need to change them all anyway
8652a42 2016-10-09	Jasem Mutlaq	Should be at first tab
095e5e8 2016-10-09	Jasem Mutlaq	Adding initial skeleton for linguider support based on PHD2
0a7a4d8 2016-10-08	Jasem Mutlaq	PHD2 is mostly working now in the Ekos updated guide module
d56d662 2016-10-08	Jasem Mutlaq	Adding option to enable/disable guide images coming from external guide applications
be7dc22 2016-10-08	Jasem Mutlaq	Add missing breeze icon
e774127 2016-10-08	Jasem Mutlaq	Search by name and then by label and only if found add it to pi exec drivers.
eb99d58 2016-10-08	Robert Lancaster	Fix zoom to center to correctly reflect coordinates of the viewport
dfd322c 2016-10-08	Jasem Mutlaq	Init FITS url path to be the user home directory
9d9d749 2016-10-08	Jasem Mutlaq	More progress on internal guider implementation
484f8f5 2016-10-08	Jasem Mutlaq	Use fixed size for all buttons
a1c4eee 2016-10-08	Jasem Mutlaq	Refactor name to be more standard
d208d82 2016-10-08	Jasem Mutlaq	Zoom to center by default
367b94c 2016-10-07	Jasem Mutlaq	Set button policies to fixed
ab1f936 2016-10-06	Jasem Mutlaq	Checking for timeout in both Ekos starting phase and when connecting INDI devices. Better fail than wait forever
08f5350 2016-10-06	Jasem Mutlaq	More reliable way of checking if Ekos devices are connected
c146cc9 2016-10-06	Jasem Mutlaq	More progress on guide graph
a3baa10 2016-10-06	Jasem Mutlaq	Update slots
fcc87c1 2016-10-06	Jasem Mutlaq	More progress on guide module
fb55ed2 2016-10-06	Jasem Mutlaq	Disabling a few calls uncompatible with the new QCustomPlot. Need to update it to use QCPAxisTickerTime later on
4e3fd8c 2016-10-06	Jasem Mutlaq	Update to 2.0 beta of QCustomPlot
83e4670 2016-10-05	Jasem Mutlaq	Fixing slot issue with observer manage. BUGS:370061
82eb842 2016-10-05	Jasem Mutlaq	Disabling some icons which are missing
40b5cc7 2016-10-05	Jasem Mutlaq	More progress on guide operation. Now internal guiding basically works. Need to use QCustomPlot for plotting instead of legacy one
8e30648 2016-10-05	Jasem Mutlaq	Histogram object is not strictly necessary in star finding
e78a098 2016-10-05	Robert Lancaster	Various fixes for OSX and icons
6852392 2016-10-04	Artem Fedoskin	Fix bug with horizontal grid (revert to old way of calculating cosAlt if new way produced 0 value)
bbd21bd 2016-10-04	Jasem Mutlaq	Starting work on guide module after calibration is almost done in internal guider
05f6fa0 2016-10-04	Jasem Mutlaq	If no crosshair is present, center around the tracking box on mouse wheel events
373c3eb 2016-10-04	Jasem Mutlaq	Master sync
fe69ba4 2016-10-04	Artem Fedoskin	Fix issue with lines not extended to horizon in KStars Lite
94b829b 2016-10-04	Artem Fedoskin	Fixed issue when lines were not extended up to horizon.
3bccca1 2016-10-03	Yuri Chornoivan	Fix minor typo
0bdaf2d 2016-10-02	Akarsh Simha	Prevent unsafe connect by accepting slot in KSDssDownloader constructor
55a83c0 2016-10-02	Akarsh Simha	Fix crashes in KSDssDownloader
f5a4b8c 2016-10-02	Akarsh Simha	Show some basic info about the object in a easy-to-access label
5f9bd2e 2016-10-02	Akarsh Simha	Allow to demote objects in the Dobsonian hole
cec7c8f 2016-10-02	Akarsh Simha	Fix missing columns in Session View. Also show J2000 coords instead.
c990d40 2016-10-02	Akarsh Simha	Finish up restructuring of Observing List UI
cf1767b 2016-10-01	Akarsh Simha	Restruct. Obs. Planner: More vertical real estate for the Table Views.
81e3011 2016-10-02	Akarsh Simha	Fix custom catalog handling regression introduced by b32c9417353
98649c6 2016-10-02	Jasem Mutlaq	Master sync
3ff4e34 2016-10-02	Jasem Mutlaq	Robert fixes to to use only svg fallback all over instead of png oxygen
9c7736d 2016-10-01	Akarsh Simha	Fix the altitude % display in the observation planner.
64ff47c 2016-10-01	Akarsh Simha	Change behavior of deprecess to update RA0, Dec0 only if they are J2000
b1adcc8 2016-10-01	Akarsh Simha	Convenience method: recomputes both equatorial and horiz. coordinates
7cb8bda 2016-10-01	Akarsh Simha	Show the correct epoch in Details Dialog, and also the correct coords.
79fac9a 2016-10-02	Jasem Mutlaq	Fix typo
5497c1e 2016-10-02	Jasem Mutlaq	Add some missing icons to the QRC
e252eea 2016-10-02	Jasem Mutlaq	Syncing with master
bc11836 2016-10-02	Robert Lancaster	Adding missing icons
5b821a2 2016-10-02	Robert Lancaster	Fixes icons on systems that cannot load icons from system  themes using the fromTheme method like OS X, Windows, and some Linux Distros.   If there is no system theme, it tries to set the theme to one of the bundled  themes if possible, but also adds the fallback method for loading icons  without a theme to each icon if that doesn't work.   Added an icons directory  to keep the theme icons and toolbar icons separate from the other data.  Included two bundled custom themes, based on breeze and oxygen.  Also fixed  the call to the "geographic" icon and the "edit indi profile" icon since they  may have been referencing the wrong icons.
b10766d 2016-10-01	Akarsh Simha	New workflow in the Observation Planner: Sort by % max. alt achieved
94dc45f 2016-10-01	Akarsh Simha	Add methods: SkyPoint::maxAlt() and SkyPoint::minAlt()
922657a 2016-10-01	Akarsh Simha	Replace includes by forward delcarations, change include order etc.
a10ba5e 2016-10-01	Akarsh Simha	Avoid polluting the global namespace with Eigen stuff.
29f66bf 2016-09-30	Jasem Mutlaq	Calibration mostly works now in internal guider. Need to test all cases after guiding and dithering are complete
e191630 2016-09-30	Jasem Mutlaq	Minor GUI update
a8a8b94 2016-09-30	Jasem Mutlaq	Minor GUI update to utilize space. Refactor sync
c67aceb 2016-09-30	Jasem Mutlaq	Minor GUI change. Need to update to reflect guiding changes
3549507 2016-09-30	Jasem Mutlaq	Refactor update
68711ba 2016-09-30	Jasem Mutlaq	Loading guide frame in its own separate view without need for FITSViewer window
12a6c78 2016-09-30	Jasem Mutlaq	Rearranging Guide states
b291c29 2016-09-30	Jasem Mutlaq	Refactor changes
f06e813 2016-09-30	Jasem Mutlaq	Streamline focus GUI in a grid
4d0ae87 2016-09-30	Akarsh Simha	Fix headers <---> items in Observation Planner
18580ad 2016-09-30	Jasem Mutlaq	Make profile images scalable without keeping aspect ratio, keep star images expandable with aspect ratio set. Use icons for Ekos options
765ac46 2016-09-30	Akarsh Simha	CachingDms test case for implicit conversion from dms
74541e1 2016-09-30	Akarsh Simha	New colum in the Wish List view for the new workflow: Current Altitude
e2a39fe 2016-09-30	Akarsh Simha	Refactor and simplify code in Observation Planner
99841a7 2016-09-30	Akarsh Simha	Cosmetic: Reorganize code in a more readable manner.
de54636 2016-09-30	Akarsh Simha	warnings--, fix compile error on Mac OS X.
cce4f30 2016-09-29	Jasem Mutlaq	Right-click now removes the crosshairs. Also, if there is a crosshair present then zoom in or out will try to center the view on the crosshair location
531ec87 2016-09-29	Artem Fedoskin	Fixing http://indilib.org/forum/general/1549-qt-error-when-building-kstars-from-source.html. Made Qt::AA_EnableHighDpiScaling used only in KStars Lite
14dc85d 2016-09-28	Akarsh Simha	Disable dms and CachingDms counting instrumentation
5a978fd 2016-09-28	Akarsh Simha	Revert "Experiment: Make Azimuth CachingDms"
b85333a 2016-09-28	Akarsh Simha	constify CachingDms setters
fdf1cac 2016-09-28	Akarsh Simha	Experiment: Make Azimuth CachingDms
4fd4a00 2016-09-28	Akarsh Simha	Revert "Experiment: Explicitly write out the computations of precession"
66a7ea2 2016-09-28	Akarsh Simha	Experiment: Explicitly write out the computations of precession
743cba7 2016-09-28	Akarsh Simha	Disable time-measuring instrumentation in SkyPoint and StarObject
c5e709b 2016-09-28	Akarsh Simha	Reduce number of multiplications in SkyPoint::aberrate() by factoring
c1dc0b4 2016-09-28	Akarsh Simha	Update comments in SkyPoint::precess()
d9158d4 2016-09-28	Akarsh Simha	Experiment: Is using Eigen::Matrix3d faster than 2D array and for loop?
32de274 2016-09-28	Akarsh Simha	Improve efficiency of SkyPoint::angularDistanceTo() etc.
d470574 2016-09-28	Akarsh Simha	Reduce coordinates to the range properly
7a5cca4 2016-09-28	Akarsh Simha	FIXME comments and cosmetic changes
aa7dda0 2016-09-28	Akarsh Simha	Add tests to check SkyPoint::precess() and related routines.
5ca4464 2016-09-28	Akarsh Simha	Reduce unnecessary include dependencies, use forward declarations.
1a6d50b 2016-09-26	Akarsh Simha	Virtualize dms setters to prevent wrong results if we convert to dms*
5c0232b 2016-09-26	Akarsh Simha	Improve CachingDms use in SkyPoint
b3d5b61 2016-09-26	Akarsh Simha	Fix accounting of bad cache uses.
27d32e1 2016-09-25	Akarsh Simha	Change some KSNumbers values to CachingDms to improve re-use
6b9ddf7 2016-09-25	Akarsh Simha	Improve use of CachingDms
2029a90 2016-09-25	Akarsh Simha	Inline inlinable methods in KSNumbers
8fd7073 2016-09-25	Akarsh Simha	A dms::reduceToRange() method.
6e4fff4 2016-09-25	Akarsh Simha	Profiling code to estimate the time spent in StarObject::udpateCoords()
f838f26 2016-09-25	Akarsh Simha	FIXME! dms::reduce() doesn't modify the dms, it returns a new one
e01f22a 2016-09-25	Akarsh Simha	Some minor optimizations.
786e4fc 2016-09-25	Akarsh Simha	Make EquatorialToHorizontal faster by a number of improvements
69caa28 2016-09-25	Akarsh Simha	Avoid resetting "catalog" coordinates if no proper motion was applied
284282f 2016-09-25	Akarsh Simha	Make KSNumbers::obliquity() return CachingDms
13ac9e9 2016-09-25	Akarsh Simha	Change LST and latitude to CachingDms -- this saves a lot of trig calls!
5a9c6a4 2016-09-25	Akarsh Simha	Show global number of bad CachingDms uses
d9ec631 2016-09-25	Akarsh Simha	Add profiling code to catch bad uses of CachingDms
62b1e6a 2016-09-25	Akarsh Simha	Profiling: Show caching information.
da8bcf7 2016-09-25	Akarsh Simha	Tests for CachingDms
8c2dffa 2016-09-25	Akarsh Simha	A CachingDms class that caches trigonometric values.
37ba58d 2016-09-24	Akarsh Simha	Calculate trig function redundancy within DeepStarComponent::draw()
33b0361 2016-09-24	Akarsh Simha	Revert "Experiment 1: Can we cache trig values during first computation?"
2d4f65a 2016-09-24	Akarsh Simha	Experiment 1: Can we cache trig values during first computation?
5da196c 2016-09-24	Akarsh Simha	Optimizations in StarObject::getIndexCoords()
e7e88e1 2016-09-24	Akarsh Simha	Cosmetics
b91a0c3 2016-09-24	Akarsh Simha	Profile trigonometric function calls to dms objects
0860ef6 2016-09-24	Akarsh Simha	Profiling Code: Determine time spent in EquatorialToHorizontal
25b07e4 2016-09-24	Akarsh Simha	Profiling Code: Count trigonometric calls on dms, and profile them.
4549930 2016-09-24	Akarsh Simha	Fix include order; and cosmetic changes. (++krazy::happiness;)
f1be36f 2016-09-28	Akarsh Simha	Use KStarsDateTime::stringToEpoch etc. in FocusDialog
3aedbf0 2016-09-28	Akarsh Simha	Fix epoch problems in KStarsDateTime
90e7e72 2016-09-27	Akarsh Simha	Fix the definition of Julian Epoch in KStarsDateTime
22eefeb 2016-09-28	Jasem Mutlaq	More progress in guide module. Load & Save settings now work
ac085a8 2016-09-28	Jasem Mutlaq	More progress on guide and calibration options
5351890 2016-09-28	Jasem Mutlaq	Send heartbeat imediately upon reception of watchdog device. Then set the timer only when receiving back the heartbeat value
e06921b 2016-09-27	Jasem Mutlaq	Fix typo that was causing a crash
642bbc6 2016-09-27	Jasem Mutlaq	Working on implementing calibration and guiding options
8a971e3 2016-09-27	Jasem Mutlaq	Updated splashscreen from Yuri
cb0af55 2016-09-26	Jasem Mutlaq	Now it compiles but nothing works as most functions disabled. Need to work next on calibration and guiding options setup
e90f2e5 2016-09-26	Jasem Mutlaq	More re-organization to the Ekos code base. Should be ready in a few days
5b52774 2016-09-25	Jasem Mutlaq	More progress of migrating guide stuff to new architecture, still a lot of way to go. Nothing compiles yet
120af42 2016-09-25	Jasem Mutlaq	More progress on migrating guide stuff
e901f7d 2016-09-24	Jasem Mutlaq	Add new guide interface files. Organizing Ekos hierarchy
9ee9a4c 2016-09-24	Jasem Mutlaq	Ekos GUI updates
8a9983e 2016-09-24	Jasem Mutlaq	Ekos re-organization
e1f76e5 2016-09-24	Jasem Mutlaq	Moving all mount module files to their own dedicated directly
c35aeef 2016-09-24	Jasem Mutlaq	Moving all scheduler module files to their own dedicated directly
abcbcd8 2016-09-24	Jasem Mutlaq	Moving all guide module files to their own dedicated directly. Separating external vs internal guiding tools. Started on creating internal to unify all guiding commands so that they can be used for either internal or external guiding tools equally. Major redesign of guide module tab to make all information available in one place. Still lots of work in progress
aeb0239 2016-09-24	Jasem Mutlaq	Moving all focus module files to their own dedicated directly
f19e281 2016-09-24	Jasem Mutlaq	Moving all align module files to their own dedicated directly. GUI is simplified even more
37fecee 2016-09-24	Jasem Mutlaq	Moving all capture module files to their own dedicated directly
030e485 2016-09-24	Jasem Mutlaq	Moving common Ekos files to the auxiliary directory for better organization
ab7cc64 2016-09-24	Jasem Mutlaq	Removing polar alignment mode since it can be done directly so now less user hassle to switch modes
4212cea 2016-09-24	Jasem Mutlaq	Draw FOV even while alignment is in progress to display mid progress results on the sky map
82083ae 2016-09-24	Jasem Mutlaq	Several changes to the guiding GUI to make it more compact, still needs further improvements maybe with embedded FITS View
fcdf2f9 2016-09-24	Jasem Mutlaq	Move and rename startup and shutdown procedure to make GUI more compact. Reduce spacings and margins
685791e 2016-09-24	Jasem Mutlaq	Re-order groups to make it more compact
c808d92 2016-09-24	Jasem Mutlaq	GUI improvement to make Ekos viewable on low resolution displays
cbb8de7 2016-09-24	Jasem Mutlaq	Remove unused functions, compact GUI
880bbb6 2016-09-24	Jasem Mutlaq	Compact align UI, needs further improvement in layout
cee6680 2016-09-23	Yuri Chornoivan	Fix EBN issues
6db7a79 2016-09-22	Artem Fedoskin	Added author and credits. Added lock for centering in KStars Lite (if you center and track some object on Android you will be able only to pinch-to-zoom while the lock is on)
270a2b7 2016-09-22	Jasem Mutlaq	Get rid of unnecessary signals since it is all being tracked now by the state
1a46021 2016-09-22	Jasem Mutlaq	Use state change to signal actual events instead of different signals for all various status changes
6c580c2 2016-09-22	Jasem Mutlaq	Use refactored name
8840a60 2016-09-22	Jasem Mutlaq	Remove unused signals since we rely mostly on module states now
bd27846 2016-09-22	Jasem Mutlaq	Get rid of obsolete signals and use lambdas where possible. keep track of modules states
0585d04 2016-09-22	Jasem Mutlaq	Use align status to indicate actual changes in status. Fix order of solving and delays to announce the solution
06e7889 2016-09-21	Artem Fedoskin	Set new splash screen in regular KStars
bbd70f6 2016-09-22	Michael Palimaka	Fix regression where INDI version check is ignored
f9e75a6 2016-08-14	Heiko Becker	tests: Use QTEST_GUILESS_MAIN
d0ff31b 2016-09-21	Artem Fedoskin	Probable fix of bug with disappearing and re-appearing labels in regular KStars. Need to test on other devices
7d0b855 2016-09-21	Artem Fedoskin	KStars Lite. Added "Find Object" icon to bottom drawer
950a626 2016-09-20	Yuri Chornoivan	Fix minor typo
548a0ac 2016-09-20	Akarsh Simha	Drastically speed up binary file -> SQLite database generation
b32c941 2016-09-20	Artem Fedoskin	Final commit before merging to master. Added comments to the rest of SkyNodes, basic nodes and dialogs. Adopted KStars Lite way of searching to regular KStars.
67128ca 2016-09-18	Jasem Mutlaq	All modules should use status to indicate what they are doing
928d184 2016-09-18	l10n daemon script	SVN_SILENT made messages (.desktop file) - always resolve ours
1deb1f2 2016-09-18	Jasem Mutlaq	Add more logging to isSequenceFileComplete to diagnose any future issues
55f164c 2016-09-17	Jasem Mutlaq	Disable and enable start button based on number of jobs
353d5f8 2016-09-17	Artem Fedoskin	Added comments to all SkyItem derived classes. Started to add comments to SkyNode derrived classes. Added function for deleting all childNodes to TrixelNode
31a7b6d 2016-09-16	Jasem Mutlaq	Disable all queue edit buttons while sequence is in progress
d210c12 2016-09-15	Jasem Mutlaq	Start sequence as well if state is capture complete
e52c841 2016-09-15	Jasem Mutlaq	Always set filterReady to true if the frame type is either bias or dark
020015c 2016-09-15	Jasem Mutlaq	Fix typo
d40a345 2016-09-14	Jasem Mutlaq	Set dome device in capture module
630156c 2016-09-14	Jasem Mutlaq	on guide abort, abort the capture completely
4d33442 2016-09-14	Jasem Mutlaq	Fix typo
2c94014 2016-09-14	Jasem Mutlaq	Debug tracking box
ba36ebd 2016-09-14	Jasem Mutlaq	Fix signal/slot connection. Disabled selecting autostar after calibration as guide would do it anyway
c547d10 2016-09-14	Jasem Mutlaq	Using lambda to signal alignment startup after configured delay
7ae00e2 2016-09-14	Jasem Mutlaq	Do not process a NULL BLOB
3642c4b 2016-09-14	Jasem Mutlaq	Fix setWCS enable/disable notification
898be9d 2016-09-14	Jasem Mutlaq	If we cannot load the file, do not signal we have a BLOB
91b5bfe 2016-09-13	Jasem Mutlaq	Get rid of obsolete signals. Move selectAutoStar to guide module instead of calibration
83a192a 2016-09-13	Jasem Mutlaq	Add the day offset if we are past dawn instead of hardcoded 12
40f1ec3 2016-09-13	Jasem Mutlaq	If focus fails at post-alignment stage, we need to set state back to post-alignment so that it proceeds correctly
bda8ab1 2016-09-13	Jasem Mutlaq	fix comments
ab4b451 2016-09-12	Jasem Mutlaq	Disable call to updateCoords since it creates problem when ra0/dec0 are not valid for some objects
ee5669c 2016-09-12	Jasem Mutlaq	Major overhaul of guiding module to make it work better with the FITSView tracking box that is used by all modules now. Use Dark Library to capture darks whenever necessary. Tweaked GUI a bit. Subframing on different binning and box size variations work a lot more reliably now
18e7dce 2016-09-12	Jasem Mutlaq	Improved scheduler GUI. Add ability to pause the scheduler. Fix bug with jobs being re-shuffled after scoring is complete. Fix single click vs double click issue when it comes to editing a job and resetting its status. Add KDE event in case scheduler is aborted due to whatever reason
dde6847 2016-09-12	Jasem Mutlaq	Fix slot name
b75dd9e 2016-09-12	Jasem Mutlaq	Fix astronomy.net online solving issues. Use asynchronous transfer since sync. causes a lot of event loop issues.
ab78d97 2016-09-12	Jasem Mutlaq	Use options verbose to check for verbosity settings
542f789 2016-09-12	Jasem Mutlaq	Add dark library options. Add options taken from Ekos align module
e29969e 2016-09-12	Jasem Mutlaq	Add capture paused state
1e647c4 2016-09-12	Jasem Mutlaq	Distinguish between shutterful and shutterless CCDs. Ask the user if the CCD has a shutter or not as to avoid asking the user to cover the telescope if it already has a shutter
a05de10 2016-09-12	Jasem Mutlaq	Focus module no longer have to actively revert to whatever frame settings it initially started with since this created more unnecessary complexities. Each module is separately responsible for their own frame settings. Subframing works correctly with dark frames
3954632 2016-09-12	Jasem Mutlaq	Added ability to pause sequences and then resume them later. The module now accepts an optional target name which it will append to the root directory of the sequence file. This way the scheduler or other scripts can still use the same sequence files but with different targets
32fe363 2016-09-12	Jasem Mutlaq	Reworked GUI, reduced clutter and darks are now taken from the Dark Library
81d5949 2016-09-12	Jasem Mutlaq	Add FITS Align support to the CCD interface
2b77d52 2016-09-12	Jasem Mutlaq	Add align tab so it can be inspected separately from preview or batch images
61283b4 2016-09-12	Jasem Mutlaq	Add Dark Library options and moved some seldom used options away from Ekos to reduce clutter to the settings screen instead
24f5007 2016-09-12	Jasem Mutlaq	Add Ekos abort event
9499956 2016-09-06	Jasem Mutlaq	More progress on dark frame library. Now it works across capture, guide, and focus modules
4e290af 2016-09-06	Jasem Mutlaq	More progress on dark frame library
38e52bb 2016-09-06	Jasem Mutlaq	+ Dark Library working in capture module. + Fix issues with setting FITS dir + Fix issue with Preview tab title being hidden after a capture when the previous capture is a batch image. + Autostretch only runs on FITS_NONE images. + Remove useless and broken gamma slider. + White space cleanups.
842b534 2016-09-05	Jasem Mutlaq	Use FOVManager to handle how FOVs are stored. This fixes a number of memory related bugs. Need to migrate this to SQLite instead of file
b524e15 2016-09-05	Akarsh Simha	Code to put USNO NOMAD binary data file contents into a SQLite database
3c99412 2016-09-05	Yuri Chornoivan	Complete the sentence
7f7d2d2 2016-09-05	Jasem Mutlaq	Initial work for dark library
0acf553 2016-09-04	Jasem Mutlaq	Fixing some issues with memory as reported by Valgrind, need to check more. Please double check.
eeb3f9e 2016-09-02	Jasem Mutlaq	Fix few focus box selection issues especially with different bin settings
66106b0 2016-09-01	Artem Fedoskin	Added tutorial mode. Fixed bug when context window for object was appearing while zooming.
d53f6ff 2016-08-31	Jasem Mutlaq	Reject invalid frame requests
4b23f1e 2016-08-31	Jasem Mutlaq	Save the frame settings for the current session for all the CCDs. Settings are saved when an image is captured. Needs testing
3518013 2016-08-31	Jasem Mutlaq	No need to be redundant here
5bae8f5 2016-08-31	Jasem Mutlaq	Introduce 1500ms delay between slew motion completion and start of capturing for next astrometry image to avoid residual motion from the mount
46cfa92 2016-08-30	Jasem Mutlaq	1. Making INDI Control Panel independent as an option 2. Reparent stuff to avoid problems closing them down after KStars is shutdown 3. Add show logs button to advanced options

2.6.0 (Ikarus):
 ===================----------------------------------

 - Complete Windows support (GSoC 2016)
 - Lite version for Tablets & Mobiles (GSoC 2016)
 - Updated and Improved Alt vs. Time tool.
 - Added FOV symbols to tool bar.
 - Increased performance by disabling AlwaysRecomputeCoordinates by default.
 - Fixed performance bug in SkyMap.
 - What's Interesting Tool is migrated to QML2.
 - Ekos: Create subdirectory for each filter type if available.
 - Ekos: Added Scheduler DBUS Interface
 - Ekos: Added support to PHD2
 - Ekos: Drivers profile support

2.3.0 (Altair):
 ===================----------------------------------

 - Migrated to KDE Frameworks 5
 - Ekos DBUS Interface
 - INDI DBUS Interface

 1.0 (Kornephoros): (* indicates to-be-done)
===================----------------------------------

Display Features:

- Added Comets and Asteroids (numbers of each?).

- Added Jupiter's Moons: Io, Europa, Ganymede and Callisto

- Added configurable "Target Indicator" at center of display.


Other Features:

* Have any planetary body leave a trail as it moves across the sky.

- Tag any named object with a name label (in popup menu)

- High-quality printouts

- "Default Zoom" menu item/toolbar button


Performance:

- Rigorous performance profiling with valgrind has resulted in
  sky-rendering times about half of what they were in 0.9.1

- Startup time has been greatly reduced by more efficient
  algorithms to read in large data files.


New Tools:

- Altitude vs. Time plotter

- Light-curve Plotter for variable stars

- Detailed Information Window has been greatly expanded; in addition
  to presenting data about the object, it allows you to manage the
  object's internet links, query professional astronomical databases,
  and attach personalized text to the object's data record.

* KStars script generator: a GUI to build KStars DCOP scripts.


Miscellany:

- New KStars icon

- Opening secondary KStars windows is finally stable

- Expanded DCOP functionality; can now generate interesting
  "demo movies" with KStars.

- Delay "focus below horizon" popup window to avoid mysterious
  exit condition.

- Updated some inline object images

* Expanded number of image/info links

- KStars can now alternately use a localized list of internet links,
  rather than the default which links to mostly English-only
  websites.

- We no longer support KDE 2.x


 0.9.1 (Indus):
===============--------------------------------------

   This is a maintenance release; it contains all the feature
   improvements we have made up to the KDE 3.1 feature freeze.

- The Info Panel has been removed; in its place, we display the
  time/geography/focus data directly on screen in three separate
  "Info Boxes".  These can be dragged around the window to any
  position, and they "stick" to the window edges on resize events.
  In addition, each box can be "shaded" (by double-clicking)
  between a full mode, and a short mode, in which only one line of
  information is shown.

- New "Detailed Information" window displays name, position and other
  information about any object in the sky.

- Redesign of Time Step widget in the main toolbar.  The new custom
  widget renders properly in all widget styles and should function
  more consistently.

- ~50% improvement in sky-rendering speed due to code optimization

- Improved display of angles as strings (use
  degree/arcminute/arcsecond symbols instead of letters d,m,s).

- More accurate Rise/Set/Transit times for planets

- new AstroCalculator module: "Day Duration"...calculates time of
  sunrise/sunset/noon as well as length of day and position of Sun
  at these three times.

- Added many locations to geographic database, including major
  observatories.

- More AstroInfo articles on on Blackbody Radiation, Parallax,
  Stars, Star Colors, Dark Matter, and Elliptical Galaxies

- Handling of Daylight Savings time (a.k.a. Summer Time) is more stable.

- Many bugfixes, including some more memory leaks.

- Various usability/stability improvements.


0.9 (Indus):
============--------------------------------------------

Display Features:
- Configurable InfoPanel: can choose to show parts of infopanel, or hide
  it all.

- We now show the sky "slewing" to a new position, instead of "snapping"
  immediately to the new position.  You can turn this off in the options.

- Added planet name labels

- Planets drawn with more realistic angular sizes and position angles

- The NGC/IC catalogs are now complete (13,000 deep sky objects; the old
  version had ~10,000).  In addition, the new catalog has more precise
  coordinates.

- Deep sky objects drawn with correct angular size and position angle
  (including images)

- Added many more zoom levels

- KDE3 automatically alpha-blends the planet, Messier, and star bitmaps
  in the sky map

- KStars can spawn multiple windows.  Use this with caution; it isn't
  stable yet!

- Added View Options toolbar, which provides buttons to toggle the display
  of major sky features (stars, constellations, planets, deep sky obj.,
  coordinate grid, and horizon)

- Added Advanced tab to Configuration window


Other Features:
- Can now add custom object catalogs!

- Manual focus function (you enter exact coordinates to center on).

- Added AstroCalc calculator window

- Added wider range of timesteps

- Time can now run backwards

- Added Daylight Savings Time rules

- Added DCOP interface, which will form the foundation of our scriptable
  behavior features.

- Can zoom with the mouse wheel, or by dragging with the middle mouse
  button.

- new "Advanced" Options tab for tweaking behaviors such as atmospheric
  refraction correction, hiding objects while moving, and animated slewing

- Preliminary Print function (does not work well yet)

- "Tip of the Day" window


Calculation Accuracy:
- More accurate Planet positions:  now properly include aberration,
  nutation, light travel time delay.  Planet positions are updated
  more often.

- Atmospheric refraction: in Alt/Az mode, we include the effect of our
  atmosphere, which bends light that passes through it, slightly altering
  the positions of objects in the sky.

- rewrote time handling code; simulation time is now kept by a separate
  class.


Performance:
- Using a memory cache for object images, which greatly reduces CPU load
  when object images are on-screen.

- rewrite of splashscreen/data loading procedure to be more efficient.

- Find Object (by Name) function is faster

- clicking on the map to identify an object is more intelligent when
  several objects are near the clicked location (it prioritizes the
  selection by object type).


Code Structure:
- major code overhauls to improve performance and memory usage

- Improved OOP code structure (classes are more independent; and
  have private data).

- Planet data stored in a hierarchy of classes.

- the information panel is now its own class

- using XMLGUI to describe menu and toolbar structure

- Menus conform to the standard KDE structure


Several bugfixes, including some crash conditions.


0.8 (Hydra):
============-----------------------------------------------

Sky display: Milky Way is now filled.  Added coordinate grid.
  Reorganized "colors" tab in options window.  Added options to
  show constellation names in native language, or as official IAU
  abbreviations.  Popup menu now shows Rise/Set times of the object.
  Added "genetive" star names (e.g., "alpha Orionis").  Added
  keyboard shortcuts to center on planets, and on cardinal direction
  points along the horizon (N, S, E, W).

Customization: Ability to add custom geographic locations, custom
  URLs, and custom color schemes.  Added "star chart" predefined
  color scheme.

Geographic locations: Added about 80 non-US cities to locations
  database.  Improved determination of a location's time zone.
  Added optional "Province" field to geolocation database.

Documentation: Updated Handbook.  Added AstroInfo articles to the
  Handbook.  Added toolbar button to launch handbook browser

Performance:
- Improved memory handling (unused objects are not loaded into
  memory on startup).


0.7 (Gemini):
=============------------------------------------------------
Added realistic star colors.
Added ability to provide custom image and information links.
Most Messier objects now shown as inline images directly on the sky map.
Expanded number of internet links.
Added Pluto.
Added Milky Way countour.
Added spectral type of stars to popup menu.
Automated object tracking when an object is centered.
Display name and coordinates of centered object in the infoPanel.
Fixed "extra layout" error messages.
Improved efficiency of KSPlanet::findPosition().
Initial startup parameters make more sense.
If focus point is below horizon when KStars restarts, a warning message
  is triggered.  Also, if it is shut down while tracking an object, it
  will still be tracking when restarted.
Choose latin or localized constellation names.
Various bug fixes and minor improvements.


0.6 (Fomalhaut):
================--------------------------------------------
Added the moon, with phases.
Reorganized the InfoPanel widget (and painted it black).
The sky map now stretches when the window is resized.
Improved startup speed and vastly improved speed of the "Find Object"
  function.

0.5 (Enif):
===========------------------------------
Added Sun and all planets except Pluto.
Reorganized view options dialog.
Added Splash Screen, with loading messages.

0.4 (Deneb):
============-----------------------------
Added customizable display options, including color palette.
Implemented Alt/Az Coordinate system.
Added optional opaque horizon.
Expanded star catalog.
Deep-sky objects symbols indicate object type, and color indicates catalog.
Added NGC/IC catalog.
Added links to HST press release images.
Added Find-by-name function.
Updated documentation.

0.3 (Castor):
=============----------------------------
added Messier objects, constellation lines, image downloads,
drag sky w/ mouse.

0.2 (Betelgeuse):
=================----------------
added global coverage to city database

0.1 (Altair):
=============--------------------
first public release

